Übersicht über alle achsspezifischen Parameter

Folgende Tabelle zeigt die antriebstyp- und achstypspezifischen Abhängigkeiten aller Parameter sowie die Funktionalität, in der die Parameter verwendet werden. Kursiv dargestellte Parameter werden momentan nicht verwendet bzw. sind nicht verfügbar.

ID | Struktur | Parameter | für Antriebstyp |  |  |  |  |  |  |  | für Achstyp |  |  | verwendet in Funktionalität/BF
 |  |  | Simu | Konv | SERC | Term | Light | Profi | CAN-open | DSE | L | R | S |
P-AXIS-00001 | getriebe[i].slope_profil. | a_beschl | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00002 | getriebe[i].slope_profil. | a_brems | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00003 | getriebe[i].dynamik. | a_emergency | X | X | X | X | X | X | X |  | X | X | X | Notstopp
P-AXIS-00004 | getriebe[i].slope_profil. | a_grenz | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00005 | getriebe[i].lslope_profil. | a_grenz_stufe_1 | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für linearen Slope
P-AXIS-00006 | getriebe[i].lslope_profil. | a_grenz_stufe_2 | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für linearen Slope
P-AXIS-00007 | getriebe[i].beschl_kennlinie. | a_konst | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00008 | getriebe[i].dynamik. | a_max | X | X | X | X | X | X | X |  | X | X | X | Dynamikgrenzwerte für lin. + nl. Slope
P-AXIS-00009 | handbetrieb.hb. | a_max | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00010 | getriebe[i].beschl_kennlinie. | a_min | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00011 | getriebe[i].lslope_profil. | a_stufe_1 | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für linearen Slope
P-AXIS-00012 | getriebe[i].lslope_profil. | a_stufe_2 | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für linearen Slope
P-AXIS-00013 | getriebe[i].dynamik. | a_trans_weight | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00014 | kenngr. | abs_pos_gueltig | X |  | X |  |  |  |  |  | X | X | X | Absolutes Meßsystem
P-AXIS-00015 | kenngr. | achs_mode | X | X | X | X | X | X | X |  | X | X | X | Achsmode
P-AXIS-00016 | kopf. | achs_nr | X | X | X | X | X | X | X |  | X | X | X | Achsnummer
P-AXIS-00017 | getriebe[i]. | achs_position[j] | X | X | X | X | X | X | X |  |  |  | X | Einzelachsinterpolator
P-AXIS-00018 | kenngr. | achs_typ | X | X | X | X | X | X | X |  | X | X | X | Achstyp
P-AXIS-00019 | antr.sercos. | antr_adr |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00020 | kenngr. | antr_typ | X | X | X | X | X | X | X |  | X | X | X | Antriebstyp
P-AXIS-00021 | lr_param. | anwahl_losekomp | X | X | X | X | X | X | X |  | X | X | X | Kompensation
P-AXIS-00022 | lr_param. | anz_driftwerte |  |  |  |  |  |  |  |  |  |  |  | Lageregelung
P-AXIS-00023 | kenngr. | anzeige | X | X | X | X | X | X | X |  | X | X | X | Lageregelung
P-AXIS-00024 | getriebe[i].lslope_profil. | a_feedh | X | X | X | X | X | X | X |  | X | X |  | Dynamikkenngröße für linearen Slope
P-AXIS-00025 | handbetrieb.hr. | aufl[i] | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00026 | getriebe[i].beschl_kennlinie. | b1 | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00027 | getriebe[i].beschl_kennlinie. | b2 | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00028 | getriebe[i].beschl_kennlinie. | b3 | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00029 | bahnrg. | bahnregelung |  |  |  |  |  |  |  |  |  |  |  | Bahnregelung
P-AXIS-00030 | getriebe[i]. | vb_max_red_zone | X | X | X | X | X | X | X |  | X | X |  | Geschwindigkeit im Sicherheitsbereich
P-AXIS-00031 | kenngr. | beweg_richt | X | X | X | X | X | X | X |  |  | X | X | Rotatorische Achsen
P-AXIS-00032 | bahnrg. | br_i_faktor |  |  |  |  |  |  |  |  |  |  |  | Bahnregelung
P-AXIS-00033 | bahnrg. | br_i_nenner |  |  |  |  |  |  |  |  |  |  |  | Bahnregelung
P-AXIS-00034 | bahnrg. | br_p_faktor |  |  |  |  |  |  |  |  |  |  |  | Bahnregelung
P-AXIS-00035 | bahnrg. | br_p_nenner |  |  |  |  |  |  |  |  |  |  |  | Bahnregelung
P-AXIS-00036 | lr_hw[i]. | cam_direct_access |  | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00037 | lr_hw[i]. | cam_hw_id_string |  | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00038 | lr_hw[i]. | cam_level |  | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00039 | lr_hw[i]. | cam_mask |  | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00040 | kopf. | clone_of | X | X | X | X | X | X | X |  | X | X | X | Mehrfachinstanziierung
P-AXIS-00041 | lr_hw[i]. | cntr_channel |  | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00042 | lr_hw[i]. | cntr_hw_id_string |  | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00043 | kenngr. | coll_check_ax_nr | X | X | X | X | X | X | X |  | X |  |  | Kollisionsüberwachung
P-AXIS-00044 | kenngr. | coll_decelerate_chan | X | X | X | X | X | X | X |  | X |  |  | Kollisionsüberwachung
P-AXIS-00045 | kenngr. | coll_offset | X | X | X | X | X | X | X |  | X |  |  | Kollisionsüberwachung
P-AXIS-00046 | handbetrieb.default. | control_element | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00047 | lr_param. | crosscomp | X | X | X | X | X | X | X |  | X |  |  | Kompensation
P-AXIS-00048 | lr_hw[i]. | da_channel |  | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00049 | lr_hw[i]. | da_hw_id_string |  | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00050 | antr.simu. | daempfung_n | X |  |  |  |  |  |  |  | X | X | X | Achssimulation
P-AXIS-00051 | antr.simu. | daempfung_z | X |  |  |  |  |  |  |  | X | X | X | Achssimulation
P-AXIS-00052 | kenngr. | def_cax_gear_st | X | X | X | X | X | X | X |  |  | X | X | C-Achse
P-AXIS-00053 | getriebe[i].slope_profil. | a_feedh | X | X | X | X | X | X | X |  | X | X |  | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00054 | getriebe[i]. | default_lr_hw_nbr | X | X | X | X | X | X | X |  | X | X | X | Getriebeschalten Spindel
P-AXIS-00055 | vorsteuer. | delay_time |  |  |  |  |  |  |  |  |  |  |  | Adaptive Vorsteuerung
P-AXIS-00056 | kenngr. | diff_pos_tracking | X | X | X | X | X | X | X |  | X | X | X | Nachführbetrieb
P-AXIS-00057 | lr_hw[i]. | drift_wert |  | X |  | X | X | X | X |  | X | X | X | Kompensation
P-AXIS-00058 | kenngr. | durchm_prog_abs | X | X | X | X | X | X | X |  | X |  |  | Drehen
P-AXIS-00059 | kenngr. | durchm_prog_rel | X | X | X | X | X | X | X |  | X |  |  | Drehen
P-AXIS-00060 | kenngr. | echtzeit_bit_nr |  |  | X |  |  |  |  |  | X | X |  | Messen mit SERCOS
P-AXIS-00061 | antr.simu. | eigenfrequenz_n | X |  |  |  |  |  |  |  | X | X | X | Achssimulation
P-AXIS-00062 | antr.simu. | eigenfrequenz_z | X |  |  |  |  |  |  |  | X | X | X | Achssimulation
P-AXIS-00063 | antr.sercos. | eval_calc_slot |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00064 | kenngr. | fast_from_cam | X | X | X | X | X | X | X |  | X | X |  | Referenzpunktfahrt
P-AXIS-00065 | antr.profibus. | feinaufloesung | X | X |  | X | X | X |  |  | X | X | X | Vorsteuerung, Providrive
P-AXIS-00066 | kenngr. | feininterpolation |  |  |  |  |  |  |  |  |  |  |  | Feininterpolation
P-AXIS-00067 | filter[i]. | fg_f0 | X | X | X | X | X | X | X |  | X |  |  | Lagesollwertfilter
P-AXIS-00068 | antr.sercos.ident[i]. | file |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00069 | handbetrieb.hr. | filter_zeit | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00070 | kenngr. | gantry_ax_nr | X | X | X | X | X | X | X |  | X | X |  | Gantrybetrieb
P-AXIS-00071 | kenngr. | gantry_max_diff_reset_locked | X | X | X | X | X | X | X |  | X | X |  | Gantrybetrieb
P-AXIS-00072 | kenngr. | gantry_max_diff_resetable | X | X | X | X | X | X | X |  | X | X |  | Gantrybetrieb
P-AXIS-00073 | kenngr. | gantry_offset | X | X | X | X | X | X | X |  | X | X |  | Gantrybetrieb
P-AXIS-00074 | kenngr. | gantry_slave_no_homing | X | X | X | X | X | X | X |  | X | X |  | Gantrybetrieb
P-AXIS-00075 | kenngr. | gantry_vb_korr | X | X | X | X | X | X | X |  | X | X |  | Gantrybetrieb
P-AXIS-00076 | handbetrieb.jog. | geschw[i] | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00077 | handbetrieb.tipp. | geschw[i] | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00078 | getriebe[i]. | getr_schalt_pos | X | X |  | X | X | X | X |  | X | X | X | Spindel
P-AXIS-00079 | kenngr. | getriebe_stufe | X | X | X | X | X | X | X |  | X | X | X | Getriebestufe
P-AXIS-00080 | filter[i]. | guete | X | X | X | X | X | X | X |  | X |  |  | Lagesollwertfilter
P-AXIS-00081 | getriebe[i].slope_profil. | tr_feedh | X | X | X | X | X | X | X |  | X | X |  | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00082 | handbetrieb.ipo. | hb_proz_a_max | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00083 | handbetrieb.ipo. | hb_proz_v_max | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00084 | kenngr. | homing_without_zero_pulse | X | X | X | X | X | X | X |  | X | X |  | Referenzpunktfahrt
P-AXIS-00085 | kenngr. | red_speed_zone_pos | X | X | X | X | X | X | X |  | X | X |  | Überwachung Sicherheitsbereich 1
P-AXIS-00086 | kenngr. | hub_messtaster | X | X | X | X | X | X | X |  | X | X |  | Messen
P-AXIS-00087 | antr.sercos.at[i]. | ident_len |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00088 | antr.sercos.mdt[i]. | ident_len |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00089 | antr.sercos.at[i]. | ident_nr |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00090 | antr.sercos.mdt[i]. | ident_nr |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00091 | kenngr. | in_add_interface | X | X | X | X | X | X | X |  | X | X | X | Lageregelung
P-AXIS-00092 | vorsteuer. | incr_per_rev | X | X |  | X | X | X |  |  | X | X | X | Vorsteuerung
P-AXIS-00093 | kenngr. | red_speed_zone_neg | X | X | X | X | X | X | X |  | X | X |  | Überwachung Sicherheitsbereich 1
P-AXIS-00094 | handbetrieb.ipo. | ipo_proz_a_max | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00095 | handbetrieb.ipo. | ipo_proz_v_max | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00096 | antr.simu. | ist_gleich_soll | X |  |  |  |  |  |  |  | X | X | X | Achssimulation
P-AXIS-00097 | kenngr. | red_speed_zone_2_pos | X | X | X | X | X | X | X |  | X | X |  | Überwachung Sicherheitsbereich 2
P-AXIS-00098 | kenngr. | kasto_achse | X | X | X | X | X | X | X |  | X | X |  | Kantenstoßen
P-AXIS-00099 | getriebe[i]. | kv | X | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00100 | antr.sercos.ident[i]. | laenge |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00101 | kopf. | link_to | X | X | X | X | X | X | X |  | X | X | X | Mehrfachinstanziierung
P-AXIS-00102 | antr.sercos.ident[i]. | liste |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00103 | getriebe[i]. | lose | X | X | X | X | X | X | X |  | X | X | X | Kompensation
P-AXIS-00104 | lr_param. | lr_ueberwach |  |  |  |  |  |  |  |  |  |  |  | Lageregelung
P-AXIS-00105 | kenngr. | red_speed_zone_2_neg | X | X | X | X | X | X | X |  | X | X | X | Überwachung Sicherheitsbereich 2
P-AXIS-00106 | lr_hw[i]. | mask_mess_1 |  |  | X |  |  |  |  |  | X | X |  | Messen mit Sercos
P-AXIS-00107 | kenngr. | max_a_override |  |  |  |  |  |  |  |  |  |  |  | Beschleunigungsoverride
P-AXIS-00108 | kenngr. | max_diff_soll_ist | X | X | X | X | X | X | X |  | X | X | X | Reglerfreigabe
P-AXIS-00109 | kenngr. | max_vb_override | X | X | X | X | X | X | X |  | X | X | X | Geschwindigkeitsoverride
P-AXIS-00110 | kopf. | mds_ident |  |  |  |  |  |  |  |  |  |  |  | Interpretation von Binärlisten
P-AXIS-00111 | antr.sercos. | mdt_offset |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00112 | meas_simu. | meas_simu_mode | X |  |  |  |  |  |  |  | X | X |  | Messen
P-AXIS-00113 | kenngr. | mess_neg_flanke | X | X | X | X | X | X | X |  | X | X |  | Messen
P-AXIS-00114 | kenngr. | mess_offset | X | X | X | X | X | X | X |  | X | X |  | Messen
P-AXIS-00115 | kenngr. | mess_signal_achs_steuer | X | X | X | X | X | X | X |  | X | X |  | Messen
P-AXIS-00116 | kenngr. | mess_signal_sercos |  |  | X |  |  |  |  |  | X | X |  | Messen mit SERCOS
P-AXIS-00117 | kenngr. | mess_signal_taster | X | X | X | X | X | X | X |  | X | X |  | Messen
P-AXIS-00118 | kenngr. | messachse | X | X | X | X | X | X | X |  | X | X |  | Messen
P-AXIS-00119 | antr.sercos.ident[i]. | mod |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00120 | lr_param. | mod_komp | X | X | X | X | X | X | X |  |  | X | X | Kompensation
P-AXIS-00121 | kenngr. | mod_rechng |  |  |  |  |  |  |  |  |  |  |  | Modulorechnung
P-AXIS-00122 | antr. | mode_act_pos |  |  | X |  |  |  |  |  | X | X | X | Normierung Istposition
P-AXIS-00123 | antr. | mode_cmd_pos |  |  | X |  |  |  |  |  | X | X | X | Normierung Sollposition
P-AXIS-00124 | getriebe[i]. | modulo_fehler | X | X |  | X | X | X |  |  |  | X | X | Kompensation
P-AXIS-00125 | getriebe[i]. | modulo_umdreh | X | X |  | X | X | X |  |  |  | X | X | Kompensation
P-AXIS-00126 | getriebe[i]. | moduloo | X | X | X | X | X | X | X |  |  | X | X | Spindel, rot. Achsen
P-AXIS-00127 | getriebe[i]. | modulou | X | X | X | X | X | X | X |  |  | X | X | Spindel, rot. Achsen
P-AXIS-00128 | getriebe[i]. | multi_gain_n | X | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00129 | getriebe[i]. | multi_gain_z | X | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00130 | getriebe[i].beschl_kennlinie. | n_grenz | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00131 | antr.sercos.at[i]. | nc_ref |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00132 | antr.sercos.mdt[i]. | nc_ref |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00133 | kenngr. | nocken_laenge |  |  |  |  |  |  |  |  |  |  |  | Nockenlänge
P-AXIS-00134 | antr.sercos.ident[i]. | nr |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00135 | getriebe[i]. | nummer | X | X | X | X | X | X | X |  | X | X | X | Getriebeschalten
P-AXIS-00136 | lr_hw[i]. | nummer | X | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00137 | handbetrieb. | offsetgrenze_neg | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00138 | handbetrieb. | offsetgrenze_pos | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00139 | handbetrieb.default. | operation_mode | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00140 | filter[i]. | order | X | X | X | X | X | X | X |  | X |  |  | Lagesollwertfilter
P-AXIS-00141 | kenngr. | out_add_interface | X | X | X | X | X | X | X |  | X | X | X | Lageregelung
P-AXIS-00142 | kenngr. | paar_achse |  |  |  |  |  |  |  |  |  |  |  | Dreh-/Schwenkgelenk
P-AXIS-00143 | kenngr. | paar_ax_nr |  |  |  |  |  |  |  |  |  |  |  | Dreh-/Schwenkgelenk
P-AXIS-00144 | kenngr. | paar_ref_richt |  |  |  |  |  |  |  |  |  |  |  | Dreh-/Schwenkgelenk
P-AXIS-00145 | meas_simu. | parameter1 | X |  |  |  |  |  |  |  | X | X |  | Messen
P-AXIS-00146 | meas_simu | parameter2 |  |  |  |  |  |  |  |  |  |  |  | Messimulation
P-AXIS-00147 | meas_simu | parameter3 |  |  |  |  |  |  |  |  |  |  |  | Messimulation
P-AXIS-00148 | meas_simu | parameter4 |  |  |  |  |  |  |  |  |  |  |  | Messimulation
P-AXIS-00149 | meas_simu | parameter5 |  |  |  |  |  |  |  |  |  |  |  | Messimulation
P-AXIS-00150 | antr.sercos.ident[i]. | phase |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00151 | getriebe[i]. | pos_einschw_zeit | X | X | X | X | X | X | X |  | X | X | X | Überwachung
P-AXIS-00152 | getriebe[i]. | pos_refpkt | X | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00153 | filter[i]. | prototype | X | X | X | X | X | X | X |  | X |  |  | Lagesollwertfilter
P-AXIS-00154 | getriebe[i].dynamik. | r_trans_weight | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00155 | getriebe[i]. | rapid_speed_red | X | X | X | X | X | X | X |  | X | X | X | Überwachung Sicherheitsbereich
P-AXIS-00156 | kenngr. | ref_ohne_nocken |  | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00157 | kenngr. | ref_ohne_rev |  | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00158 | kenngr. | ref_richt | X | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00159 | getriebe[i]. | reverse | X | X |  | X | X | X |  |  |  |  | X | Spindel
P-AXIS-00160 | antr.sercos. | ring_nr |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00161 | antr.simu. | rpf_weg_bis_nip | X |  |  |  |  |  |  |  | X | X | X | Achssimulation
P-AXIS-00162 | antr.profibus. | s_ls_limit | X | X |  | X | X | X |  |  | X | X | X | Überwachung, Profidrive
P-AXIS-00163 |  | regel_typ |  |  |  |  |  |  |  |  |  |  |  | Lageregelung
P-AXIS-00164 | filter[i]. | share_percent | X | X | X | X | X | X | X |  | X |  |  | Lagesollwertfilter
P-AXIS-00165 | vorsteuer. | shift_time | X | X |  | X | X | X |  |  | X | X | X | Vorsteuerung, Profidrive
P-AXIS-00166 | getriebe[i]. | slep_abw | X | X |  | X | X | X | X |  | X | X | X | Dyn. Schleppabstandüberwachung
P-AXIS-00167 | getriebe[i]. | slep_dyn | X | X |  | X | X | X | X |  | X | X | X | Dyn. Schleppabstandüberwachung
P-AXIS-00168 | getriebe[i]. | slep_max | X | X |  | X | X | X | X |  | X | X | X | Dyn. Schleppabstandüberwachung
P-AXIS-00169 | getriebe[i]. | slep_min | X | X |  | X | X | X | X |  | X | X | X | Dyn. Schleppabstandüberwachung
P-AXIS-00170 | getriebe[i]. | slep_time_const | X | X |  | X | X | X | X |  | X | X | X | Dyn. Schleppabstandüberwachung
P-AXIS-00171 | lr_param. | slep_toleranz |  |  |  |  |  |  |  |  |  |  |  | Lageregelung
P-AXIS-00172 | getriebe[i]. | slep_ueberw_typ | X | X |  | X | X | X | X |  | X | X | X | Dyn. Schleppabstandüberwachung
P-AXIS-00173 | antr.sercos.times. | slkn |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00174 | lr_param. | crosscomp2 | X | X | X | X | X | X | X |  | X |  |  | Kompensation
P-AXIS-00175 | lr_param. | ssfk | X | X | X | X | X | X | X |  | X | X |  | Kompensation
P-AXIS-00176 | lr_param. | suppress_pos_lag_error | X | X |  | X | X | X | X |  | X | X | X | Dyn. Schleppabstandüberwachung
P-AXIS-00177 | kenngr. | swe_neg | X | X | X | X | X | X | X |  | X | X |  | Überwachung Softwareendschalter
P-AXIS-00178 | kenngr. | swe_pos | X | X | X | X | X | X | X |  | X | X |  | Überwachung Softwareendschalter
P-AXIS-00179 | kenngr. | swe_toleranz | X | X |  | X | X | X |  |  | X | X |  | Überwachung Softwareendschalter
P-AXIS-00180 | antr.sercos.times. | t1 |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00181 | antr.sercos.times. | t1min |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00182 | antr.sercos.times. | t2 |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00183 | antr.sercos.times. | t3 |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00184 | antr.sercos.times. | t4 |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00185 | antr.sercos.times. | t4min |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00186 | antr.sercos.times. | tatat |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00187 | antr.sercos.times. | tatmt |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00188 | antr.sercos. | telegramm_typ |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00189 | kenngr. | tendenz_pruef | X | X | X | X | X | X | X |  | X | X | X | Überwachung
P-AXIS-00190 | vorsteuer. | timeconst_cmd_filter |  |  |  |  |  |  |  |  |  |  |  | Adaptive Vorsteuerung
P-AXIS-00191 | antr. | nbr_delay_cycles |  |  | X |  |  |  | X | X | X | X | X | Konfiguration digitale Antriebe
P-AXIS-00192 | antr.sercos.times. | tmtsg |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00193 | antr.sercos.times. | tmtsy |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00194 | antr.simu. | totzeit | X |  |  |  |  |  |  |  | X | X | X | Achssimulation
P-AXIS-00195 | getriebe[i].slope_profil. | tr_beschl_ab | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00196 | getriebe[i].slope_profil. | tr_beschl_zu | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00197 | getriebe[i].slope_profil. | tr_brems_ab | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00198 | getriebe[i].slope_profil. | tr_brems_zu | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00199 | getriebe[i].dynamik. | tr_geom | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00200 | getriebe[i].slope_profil. | tr_grenz | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00201 | getriebe[i].dynamik. | tr_min | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für nichtlinearen Slope
P-AXIS-00202 | getriebe[i].beschl_kennlinie. | typ | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00203 | antr.sercos.ident[i]. | type |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00204 | filter[i]. | type | X | X | X | X | X | X | X |  | X |  |  | Lagesollwertfilter
P-AXIS-00205 | antr. | v_reso_denom |  |  | X |  |  |  |  |  | X | X | X | Normierung Geschwindigkeit
P-AXIS-00206 | antr. | v_reso_num |  |  | X |  |  |  |  |  | X | X | X | Normierung Geschwindigkeit
P-AXIS-00207 | antr. | v_time_base |  |  | X |  |  |  |  |  | X | X | X | Normierung Geschwindigkeit
P-AXIS-00208 | kenngr. | vb_corr_tracking | X | X | X | X | X | X | X |  | X | X | X | Nachführbetrieb
P-AXIS-00209 | getriebe[i]. | vb_eilgang | X | X | X | X | X | X | X |  | X | X | X | Eilganggeschwindigkeit
P-AXIS-00210 | handbetrieb.tipp. | vb_eilgang | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00211 | getriebe[i].lslope_profil. | vb_grenz_stufe_1_2 | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für linearen Slope
P-AXIS-00212 | getriebe[i].dynamik. | vb_max | X | X | X | X | X | X | X |  | X | X | X | Dynamikgrenzwerte für lin. + nl. Slope
P-AXIS-00213 | handbetrieb.hb. | vb_max | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00214 | getriebe[i]. | vb_max_red | X | X | X | X | X | X | X |  | X | X | X | Überwachung Sicherheitsbereich
P-AXIS-00215 | kenngr. | vb_messen | X | X | X | X | X | X | X |  | X | X |  | Messen
P-AXIS-00216 | getriebe[i]. | vb_min_null | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00217 | kenngr. | vb_prozent | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00218 | getriebe[i]. | vb_reflow | X | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00219 | getriebe[i]. | vb_refmax |  | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00220 | getriebe[i]. | vb_regelgrenze | X | X |  | X | X | X |  |  |  |  | X | Spindel
P-AXIS-00221 | getriebe[i].lslope_profil. | vb_stufe_1_2 | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße für linearen Slope
P-AXIS-00222 | kenngr. | virtuel_rad |  |  |  |  |  |  |  |  |  |  |  | Virtueller Radius
P-AXIS-00223 | vorsteuer. | vorsteuerung | X | X | X | X | X | X | X |  | X | X | X | Vorsteuerung
P-AXIS-00224 | kenngr. | vorz_richtung | X | X | X | X | X | X | X |  |  | X | X | Rotatorische Achsen
P-AXIS-00225 | vorsteuer. | vs_a_faktor | X | X | X | X | X | X | X |  | X | X | X | Vorsteuerung
P-AXIS-00226 | vorsteuer. | vs_a_nenner | X | X | X | X | X | X | X |  | X | X | X | Vorsteuerung
P-AXIS-00227 | vorsteuer. | vs_max_sprung |  |  |  |  |  |  |  |  |  |  |  | Vorsteuerung
P-AXIS-00228 | vorsteuer. | vs_v_faktor | X | X | X | X | X | X | X |  | X | X | X | Vorsteuerung
P-AXIS-00229 | vorsteuer. | vs_v_nenner | X | X | X | X | X | X | X |  | X | X | X | Vorsteuerung
P-AXIS-00230 | lr_hw[i]. | vz_istw | X | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00231 | lr_hw[i]. | vz_stellgr | X | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00232 | handbetrieb.jog. | weg[i] | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00233 | getriebe[i]. | wegaufn | X | X | X | X | X | X | X |  | X | X | X | Lageregelung
P-AXIS-00234 | getriebe[i]. | wegaufz | X | X | X | X | X | X | X |  | X | X | X | Lageregelung
P-AXIS-00235 | antr.sercos.ident[]. | wert |  |  | X |  |  |  |  |  | X | X | X | Konfiguration SERCOS
P-AXIS-00236 | getriebe[i]. | window | X | X | X | X | X | X | X |  | X | X | X | Überwachung
P-AXIS-00237 | getriebe[i]. | wsi_meldung | X | X | X | X | X | X | X |  | X | X | X | Überwachung
P-AXIS-00238 | antr.simu. | zeitkonstante_n | X |  |  |  |  |  |  |  | X | X | X | Achssimulation
P-AXIS-00239 | antr.simu. | zeitkonstante_z | X |  |  |  |  |  |  |  | X | X | X | Achssimulation
P-AXIS-00240 | getriebe[i].beschl_kennlinie. | a_max | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00241 | getriebe[i].beschl_kennlinie. | n1 | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00242 | getriebe[i].beschl_kennlinie. | n2 | X | X | X | X | X | X | X |  |  |  | X | Spindel
P-AXIS-00243 | lr_param. | n_backlash_cyc | X | X | X | X | X | X | X |  | X | X | X | Kompensation
P-AXIS-00244 | getriebe[i].dyn_kv. | dyn_kv_active | X | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00245 | getriebe[i].dyn_kv. | kv1 | X | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00246 | getriebe[i].dyn_kv. | v1 | X | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00247 | getriebe[i].dyn_kv. | kv2 | X | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00248 | getriebe[i].dyn_kv. | v2 | X | X |  | X | X | X |  |  | X | X | X | Lageregelung
P-AXIS-00249 | kenngr. | gantry_diff_check_without_homing | X | X | X | X | X | X | X |  | X | X |  | Gantrybetrieb
P-AXIS-00250 | kenngr. | configure_sai | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00251 | kenngr. | auto_call_ax | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00252 | kenngr. | consider_total_brake_dist | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00253 | kenngr. | gantry_synchronous_slave_homing |  |  | X |  |  |  |  |  | X | X |  | Gantrybetrieb
P-AXIS-00254 | kenngr. | cnc_controlled_stop_after_error |  |  | X |  |  |  |  |  | X | X |  | Gantrybetrieb
P-AXIS-00255 | vorsteuer. | default_active | X | X | X | X | X | X | X |  | X | X | X | Vorsteuerung
P-AXIS-00256 | vorsteuer. | global_disable | X | X | X | X | X | X | X |  | X | X | X | Vorsteuerung
P-AXIS-00257 | kenngr. | probing_signal_via_plc | X | X | X | X | X | X | X |  | X | X |  | Messen
P-AXIS-00258 | kenngr. | tracking_offset_remain | X | X | X | X | X | X | X |  | X | X | X | Nachführbetrieb
P-AXIS-00259 | handbetrieb.hb. | a_feedh | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00260 | antr.profibus. | velocity_command_control | X | X |  | X | X | X |  |  | X | X | X | Lageregelung, Providrive
P-AXIS-00261 | kenngr. | gantry_deskew_trigger | X | X | X | X | X | X | X |  | X | X |  | Gantrybetrieb
P-AXIS-00262 | kenngr. | coll_moving_dir_inverted | X | X | X | X | X | X | X |  | X |  |  | Kollisionsüberwachung
P-AXIS-00263 | kenngr. | coll_zero_position_offset | X | X | X | X | X | X | X |  | X |  |  | Kollisionsüberwachung
P-AXIS-00264 | antr.sercos. | op_mode_for_velocity_control |  |  | X |  |  |  |  |  |  |  | X | Betriebsartumschaltung Spindel
P-AXIS-00265 | antr. | velocity_position_control_on |  |  | X |  |  |  |  |  |  |  | X | Betriebsartumschaltung Spindel
P-AXIS-00266 | antr. | velocity_position_control_off |  |  | X |  |  |  |  |  |  |  | X | Betriebsartumschaltung Spindel
P-AXIS-00267 | kenngr. | coll_use_a_emergency | X | X | X | X | X | X | X |  | X |  |  | Kollisionsüberwachung
P-AXIS-00268 | getriebe[i]. | vb_not_referenced | X | X | X | X | X | X | X |  | X | X | X | Referenzpunktfahrt
P-AXIS-00269 | kenngr. | meas_signal_drive | X | X | X | X | X | X | X |  | X | X |  | Messen
P-AXIS-00270 | getriebe[i]. | slope_type | X | X | X | X | X | X | X |  | X | X | X | Dynamikkenngröße
P-AXIS-00271 | lr_param. | temp_comp | X | X | X | X | X | X | X |  | X | X | X | Kompensation
P-AXIS-00272 | lr_param. | temp_comp_position_0 | X | X | X | X | X | X | X |  | X | X | X | Kompensation
P-AXIS-00273 | lr_param. | temp_comp_offset_0 | X | X | X | X | X | X | X |  | X | X | X | Kompensation
P-AXIS-00274 | lr_param. | temp_comp_coefficient | X | X | X | X | X | X | X |  | X | X | X | Kompensation
P-AXIS-00275 | lr_param. | temp_comp_n_cycles | X | X | X | X | X | X | X |  | X | X | X | Kompensation
P-AXIS-00276 | lr_param. | field_bus_allows_optimized_schedule | X | X | X | X | X | X | X |  | X | X | X | Lageregelung
P-AXIS-00277 | kenngr. | prog_move_requires_homing | X | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00278 | kenngr. | set_refpos_mode | X | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00279 | kenngr. | set_refpos_offset | X | X |  | X | X | X |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00280 | getriebe[i].lslope_profil. | d_grenz_stufe_1 | X | X | X | X | X | X | X |  |  |  | X | Dynamikkenngröße für lin. Slope (nur SAI)
P-AXIS-00281 | getriebe[i].lslope_profil. | d_grenz_stufe_2 | X | X | X | X | X | X | X |  |  |  | X | Dynamikkenngröße für lin. Slope (nur SAI)
P-AXIS-00282 | getriebe[i].lslope_profil. | d_stufe_1 | X | X | X | X | X | X | X |  |  |  | X | Dynamikkenngröße für lin. Slope (nur SAI)
P-AXIS-00283 | getriebe[i].lslope_profil. | d_stufe_2 | X | X | X | X | X | X | X |  |  |  | X | Dynamikkenngröße für lin. Slope (nur SAI)
P-AXIS-00284 | kenngr. | gantry_max_homing_dist | X | X |  | X | X | X |  |  | X | X |  | Gantrybetrieb
P-AXIS-00285 | getriebe[i]. | a_ref | X | X |  | X | X | X |  |  | X | X |  | Referenzpunktfahrt
P-AXIS-00286 | getriebe[i]. | tr_ref | X | X |  | X | X | X |  |  | X | X |  | Referenzpunktfahrt
P-AXIS-00287 | kenngr. | disable_super_imposed | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00288 | cam_gear. | is_master | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00289 | cam_gear. | v_diff_percent | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00290 | cam_gear. | time_in_window | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00291 | cam_gear. | time_out_in_window | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00292 | getriebe[i].dynamik. | a_w_max | X | X | X | X | X | X | X |  | X | X |  | Dynamikgrenzwerte für lin. + nl. Slope
P-AXIS-00293 | getriebe[i].dynamik. | tr_w_min | X | X | X | X | X | X | X |  | X | X |  | Dynamikgrenzwerte für lin. + nl. Slope
P-AXIS-00294 | kenngr. | homing_overflow_evaluation |  |  |  |  | X |  |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00295 | antr.canopen. | probing_input_number |  |  |  |  |  |  | X |  | X | X | X | Messen
P-AXIS-00296 | lr_hw[i]. | encoder_range |  |  |  |  |  |  | X |  | X | X | X | Ueberlaufbehandlung Encoder
P-AXIS-00297 | kopf. | log_achs_name | X | X | X | X | X | X | X |  | X | X | X | Defaultname der Achse
P-AXIS-00298 | kenngr. | max_reference_position_offset |  |  | X |  |  |  | X |  | X | X | X | Referenzpunktfahrt
P-AXIS-00299 | kenngr. oder kenngr.homing. | homing_type |  |  |  |  |  |  | X |  | X | X | X | Referenzpunktfahrt
P-AXIS-00300 | cam_gear. | mv_type | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00301 | cam_gear. | mv_nbr_cycles | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00302 | cam_gear. | v_max_slave | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00303 | cam_gear. | a_max_slave | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00304 | cam_gear. | delay_time | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00305 | cam_gear. | v_phasing | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00306 | cam_gear. | a_phasing | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00307 | cam_gear. | d_phasing | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00308 | cam_gear. | keep_coupling_on_lr_error | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00309 | cam_gear. | keep_coupling_on_fe_drop | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00310 | getriebe[i]. | allow_resolution_above_one |  |  |  |  |  |  |  |  |  |  |  | Lageregelung
P-AXIS-00311 | getriebe[i]. | vb_monitor | X | X | X | X | X | X | X |  | X | X | X | Geschwindigkeitsüberwachung
P-AXIS-00312 | kenngr. | enable_speed_monitoring | X | X | X | X | X | X | X |  | X | X | X | Geschwindigkeitsüberwachung
P-AXIS-00313 | kenngr. | enable_feed_enable | X | X | X | X | X | X | X |  | X | X | X | Geschwindigkeitsüberwachung
P-AXIS-00314 | getriebe[i]. | vb_torq_limit_max |  |  | X |  |  |  |  |  | X | X | X | Geschwindigkeitsüberwachung
P-AXIS-00315 | antr.profibus. | read_abs_pos_from_drive |  |  |  |  |  | X |  |  | X | X | X | Referenzieren, Profidrive
P-AXIS-00316 | antr.profibus. | p1042 |  |  |  |  |  | X |  |  | X | X | X | Referenzieren, Profidrive
P-AXIS-00317 | antr.profibus. | p1043 |  |  |  |  |  | X |  |  | X | X | X | Referenzieren, Profidrive
P-AXIS-00318 | antr.profibus. | read_abs_pos_mode |  |  |  |  |  | X |  |  | X | X | X | Profidrive
P-AXIS-00319 | filter[i]. | enable | X | X | X | X | X | X | X |  | X |  |  | Lagesollwertfilter
P-AXIS-00320 | antr. | operation_mode |  |  | X |  |  |  |  |  | X | X | X | Definition der Betriebsart
P-AXIS-00321 | antr. | reference_cam_signal |  |  | X |  | X |  | X |  | X | X | X | Referenzpunktfahrt
P-AXIS-00322 | kenngr. | in_add_interface_pos_as_offset | X | X | X | X | X | X | X |  | X | X | X | Lageregelung
P-AXIS-00323 | lr_param. | incr_quant | X | X | X | X | X | X | X |  | X | X | X | Lageregelung
P-AXIS-00324 | getriebe[i]. | torque_offset |  |  | X |  | X |  | X |  | X | X | X | Drehmomentparametrierung
P-AXIS-00325 | antr. | torque_scale_num |  |  | X |  | X |  | X |  | X | X | X | Drehmomentparametrierung
P-AXIS-00326 | antr. | torque_scale_denom |  |  | X |  | X |  | X |  | X | X | X | Drehmomentparametrierung
P-AXIS-00327 | kenngr. | pos_corr_drive_enable |  |  | X |  |  | X | X |  | X | X | X | Reglerfreigabe
P-AXIS-00328 | lr_param. | distance_control_on |  |  | X |  |  | X | X |  | X | X |  | Abstandsgeregelte Spindel
P-AXIS-00329 | kenngr. | ref_cam_is_limit_switch | X | X | X | X | X | X | X |  | X | X | X | Referenzpunktfahrt
P-AXIS-00330 | kenngr. | meas_signal_fixed_stop |  | X | X | X | X | X | X |  | X | X |  | Messen durch Fahren auf Festanschlag
P-AXIS-00331 | kenngr. | fixed_stop_pos_lag_limit |  | X | X | X | X | X | X |  | X | X |  | Messen durch Fahren auf Festanschlag
P-AXIS-00332 | kenngr. | fixed_stop_nbr_cycles |  | X | X | X | X | X | X |  | X | X |  | Messen durch Fahren auf Festanschlag
P-AXIS-00333 | getriebe[i].homing. | torq_move_velocity |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00334 | getriebe[i].homing. | torq_move_acceleration |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00335 | getriebe[i].homing. | torq_move_jerk |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00336 | antr.profibus. | abs_pos_revolutions |  |  |  |  |  | X |  |  | X | X | X | Profidrive
P-AXIS-00337 | vorsteuer. | jerk_fact_num | X | X | X | X | X | X | X |  | X | X | X | Vorsteuerung
P-AXIS-00338 | vorsteuer. | jerk_fact_denom | X | X | X | X | X | X | X |  | X | X | X | Vorsteuerung
P-AXIS-00339 | getriebe[i].dynamik. | j_trans_c0 | X | X | X | X | X | X | X |  | X | X |  | Ruck grenzwerte für lin. + nl. Slope
P-AXIS-00340 | getriebe[i].dynamik. | j_trans_c1 | X | X | X | X | X | X | X |  | X | X |  | Ruck grenzwerte für lin. + nl. Slope
P-AXIS-00341 | antr.profibus. | read_abs_pos_offset |  |  |  |  |  | X |  |  | X |  |  | Profidrive
P-AXIS-00342 | getriebe[i].homing. | torq_move_torque_limit |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00343 | getriebe[i].homing. | torq_detect_torque_limit |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00344 | kenngr.homing. | torq_min_distance |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00345 | kenngr.homing. | torq_max_distance |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00346 | kenngr.homing. | torq_homing_dir |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00347 | kenngr.homing. | torq_detect_velocity_limit |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00348 | kenngr.homing. | torq_retraction_distance |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00349 | kenngr.homing. | torq_homing_position |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00350 | kenngr.homing. | torq_detect_time |  |  | X |  |  |  |  | X | X | X | X | Referenzieren auf Festanschlag
P-AXIS-00351 | kenngr. | filter_position_window | X | X | X | X | X | X | X |  | X | X | X | Achsfilter
P-AXIS-00352 | antr.profibus. | disable_auto_tracking |  |  |  |  |  | X |  |  | X | X | X | Profidrive
P-AXIS-00353 | antr. | edge_bending_input_nbr |  |  |  |  |  | X |  |  | X | X |  | Kantenstoßen
P-AXIS-00354 | antr. | encoder_overflow_offset |  |  | X |  | X |  | X |  | X | X | X | Referenzpunktfahrt
P-AXIS-00355 | antr. | encoder_bit_range |  |  | X |  | X |  | X |  | X | X | X | Referenzpunktfahrt
P-AXIS-00356 | kenngr. | pos_corr_ignore_feedhold |  |  | X |  | X |  |  |  | X | X | X | Reglerfreigabe
P-AXIS-00357 | filter. | time_constant | X | X | X | X | X | X | X |  | X | X | X | Achsfilter (abV262 auch für Spindeln)
P-AXIS-00358 | antr. | ignore_unknown_telegram_elements |  |  | X | X | X | X | X |  | X | X | X | Konfiguration Antriebstelegramm
P-AXIS-00359 | handbetrieb.hb. | tr | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00360 | handbetrieb.hb. | tr_feedh | X | X | X | X | X | X | X |  | X | X |  | Handbetrieb
P-AXIS-00361 | vorsteuer. | timeconst_sym_filter |  |  |  |  |  | X |  |  | X | X | X | Vorsteuerung, Profidrive
P-AXIS-00362 | antr. | feed_const_num |  |  |  |  |  | X |  |  | X | X | X | Lageregelung
P-AXIS-00363 | antr. | feed_const_denom |  |  |  |  |  | X |  |  | X | X | X | Lageregelung
P-AXIS-00364 | antr.canopen. | zero_pulse_input_number |  |  |  |  |  |  | X |  | X | X | X | Referenzpunktfahrt
P-AXIS-00365 | handbetrieb.ipo. | hb_v_max_track | X | X | X | X | X | X | X |  | X | X | X | Handbetrieb, Positionskorrektur
P-AXIS-00366 | handbetrieb.ipo. | hb_a_max_track | X | X | X | X | X | X | X |  | X | X | X | Handbetrieb, Positionskorrektur
P-AXIS-00367 | antr. | plc_watchdog_disable_drive_delay_time | X | X | X | X | X | X | X |  | X | X | X | Antriebsfreigabe bei Watchdogfehler
P-AXIS-00368 | trafo.actual_pos. | enable | X | X | X | X | X | X | X | X | X | X | X | Achsspezifische Istwerttransformation
P-AXIS-00369 | trafo.actual_pos. | id | X | X | X | X | X | X | X | X | X | X | X | Achsspezifische Istwerttransformation
P-AXIS-00370 | trafo.actual_pos. | param[i] | X | X | X | X | X | X | x | X | X | X | X | Achsspezifische Istwerttransformation
P-AXIS-00371 | trafo.actual_pos.input[i]. | nr | X | X | X | X | X | X | X | X | X | X | X | Achsspezifische Istwerttransformation
P-AXIS-00372 | antr. | ethercat_master_name |  |  |  |  |  |  | X |  | X | X | X | EtherCAT unter INtime
P-AXIS-00373 | antr.dse. | brake_open_delay_time |  |  |  |  |  |  |  | X | X | X | X | Bremsensteuerung DSE
P-AXIS-00374 | antr.dse. | brake_open_time |  |  |  |  |  |  |  | X | X | X | X | Bremsensteuerung DSE
P-AXIS-00375 | antr.dse. | brake_close_premature_time |  |  |  |  |  |  |  | X | X | X | X | Bremsensteuerung DSE
P-AXIS-00376 | cam_gear. | j_phasing | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00377 | cam_gear. | j_vel_sync | X | X | X | X | X | X | X |  | X | X | X | SAI Konfiguration
P-AXIS-00378 | kenngr. | keep_tp_over_reset |  |  |  |  |  |  |  | X | X | X | X | Messen mit DSE
P-AXIS-00379 | antr.profibus. | drive_velocity_base_value |  |  |  |  |  | X |  |  | X | X | X | Profidrive, Geschwindigkeitsskalierung
P-AXIS-00380 | trafo.command_pos. | enable | X | X | X | X | X | X | X | X |  | X |  | Achsspezifische Sollwerttransformation
P-AXIS-00381 | trafo.command_pos. | id | X | X | X | X | X | X | X | X |  | X |  | Achsspezifische Sollwerttransformation
P-AXIS-00382 | trafo.command_pos. | param[i] | X | X | X | X | X | X | X | X |  | X |  | Achsspezifische Sollwerttransformation
P-AXIS-00383 | kenngr.multi_link[i]. | lead_axis | X | X | X | X | X | X | X | X | X | X |  | Achsspezifische Getriebekopplung
P-AXIS-00384 | kenngr.multi_link[i]. | factor_numerator | X | X | X | X | X | X | X | X | X | X |  | Achsspezifische Getriebekopplung
P-AXIS-00385 | kenngr.multi_link[i]. | factor_denominator | X | X | X | X | X | X | X | X | X | X |  | Achsspezifische Getriebekopplung
P-AXIS-00386 | antr.sercos. | drive_supports_cnc_homing |  |  | X |  |  |  |  |  | X | X | X | Referenzpunktfahrt Sercos
P-AXIS-00387 | antr.sercos. | cnc_homing_rt_bit_layout |  |  | X |  |  |  |  |  | X | X | X | Referenzpunktfahrt Sercos
P-AXIS-00388 | antr. | cnc_homing_encoder |  |  | X |  |  |  |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00389 | vorsteuer. | velocity_delay_time |  |  | X |  |  |  |  |  | X | X | X | Vorsteuerung
P-AXIS-00390 | vorsteuer. | acceleration_delay_time |  |  | X |  |  |  |  |  | X | X | X | Vorsteuerung
P-AXIS-00391 | getriebe[i]. | load |  |  | X |  |  |  |  |  | X | X | X | Vorsteuerung
P-AXIS-00392 | antr. | acc_reference_value |  |  | X |  |  |  |  |  | X | X | X | Vorsteuerung
P-AXIS-00393 | kenngr. | gantry_slave_relative_homing |  | X | X | X | X | X | X | X | X | X | X | Referenzpunktfahrt
P-AXIS-00394 | getriebe[i].dynamik. | a_overload_max | X | X | X | X | X | X | X | X | X | X |  | Dynamikgrenzwert
P-AXIS-00395 | getriebe[i]. | pos_control_deadband | X | X | X | X | X | X | X |  | X | X | X | Hysterese Lageregelung
P-AXIS-00396 | antr.function[i]. | id |  |  | X |  |  | X |  |  | X | X | X | Schalten von Antriebsfunktionen
P-AXIS-00397 | antr.function[i]. | commu |  |  | X |  |  | X |  |  | X | X | X | Schalten von Antriebsfunktionen
P-AXIS-00398 | antr.function[i]. | wr_ident[j] |  |  | X |  |  | X |  |  | X | X | X | Schalten von Antriebsfunktionen
P-AXIS-00399 | antr.function[i]. | data_type |  |  | X |  |  | X |  |  | X | X | X | Schalten von Antriebsfunktionen
P-AXIS-00400 | antr.function[i]. | startup_value |  |  | X |  |  | X |  |  | X | X | X | Schalten von Antriebsfunktionen
P-AXIS-00401 | antr.function[i]. | scaling_type |  |  | X |  |  | X |  |  | X | X | X | Schalten von Antriebsfunktionen
P-AXIS-00402 | kenngr. -Spezial MEWAG | auto_restore_link_axis_position |  |  | X |  |  |  |  |  |  | X | X | Wiederherstellen Achspositionen
P-AXIS-00403 | antr. | abs_pos_offset | X |  | X |  | X | X | X |  | X | X | X | Positionskorrektur
P-AXIS-00404 | lr_hw[i]. | zero_pulse_search_max_dist | X | X | X | X | X | X | X |  | X | X | X | Referenzpunktfahrt
P-AXIS-00405 | antr. | encoder_coarsening_factor |  |  | X |  |  |  |  |  | X | X | X | Scalierung Antriebsencoder
P-AXIS-00406 | antr. | permissible_telegram_failures |  |  | X |  |  |  | X |  | X | X | X | Einstellung Ethercat
P-AXIS-00407 | lr_param. | dyn_monitoring_v_err | X | X | X | X | X | X | X | X | X | X | X | Dynamiküberwachung Lageregler
P-AXIS-00408 | antr.function[i]. | min_limit |  |  | X |  |  | X |  |  | X | X | X | Schalten von Antriebsfunktionen
P-AXIS-00409 | antr.function[i]. | max_limit |  |  | X |  |  | X |  |  | X | X | X | Schalten von Antriebsfunktionen
P-AXIS-00410 | antr. | dc_break_control_bit_nr | X |  |  |  |  | X |  |  |  |  | X | Ansteuerung Gleichstrombremse
P-AXIS-00411 | antr.sercos.  nur HMG | evaluate_drive_follows_cmd |  |  | X |  |  |  |  |  | X | X | X | Statusanzeige HLI
P-AXIS-00412 | kenngr. | homing_max_movement_dist | X | X | X | X | X | X | X | X |  | X | X | Referenzpunktfahrt
P-AXIS-00413 | kenngr.distc. | n_cycles |  |  | X |  |  | X | X |  | X | X |  | Abstandsregelung
P-AXIS-00414 | kenngr.distc. | max_deviation (alt: max_abweichung) |  |  | X |  |  | X | X |  | X | X |  | Abstandsregelung
P-AXIS-00415 | kenngr.distc. | v_max |  |  | X |  |  | X | X |  | X | X |  | Abstandsregelung
P-AXIS-00416 | kenngr.distc. | a_max |  |  | X |  |  | X | X |  | X | X |  | Abstandsregelung
P-AXIS-00417 | kenngr.distc. | max_act_value_change (alt: max_istw_sprung) |  |  | X |  |  | X | X |  | X | X |  | Abstandsregelung
P-AXIS-00418 | kenngr.distc. | ref_offset |  |  | X |  |  | X | X |  | X | X |  | Abstandsregelung
P-AXIS-00419 | kenngr.distc. | max_pos |  |  | X |  |  | X | X |  | X | X |  | Abstandsregelung
P-AXIS-00420 | kenngr.distc. | min_pos |  |  | X |  |  | X | X |  | X | X |  | Abstandsregelung
P-AXIS-00421 | kenngr.distc. | tolerance (alt: toleranz) |  |  | X |  |  | X | X |  | X | X |  | Abstandsregelung
P-AXIS-00422 | lr_hw[i]. | encoder_resolution_num | X | X | X | X | X | X | X | X | X | X | X | Lageregelung
P-AXIS-00423 | lr_hw[i]. | encoder_resolution_denom | X | X | X | X | X | X | X | X | X | X | X | Lageregelung
P-AXIS-00424 | lr_hw[i]. | mode_act_pos | X | X | X | X | X | X | X | X | X | X |  | Lageregelung
P-AXIS-00425 | antr.reference_check. | bit_nr |  |  | X |  |  |  |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00426 | antr.reference_check. | element_name |  |  | X |  |  |  |  |  | X | X | X | Referenzpunktfahrt
P-AXIS-00427 | kenngr. | cax_output_with_generated_nc_block | X | X | X | X | X | X | X | X | X | X | X | Positionierung Mitschleppachsen
P-AXIS-00428 | kenngr.distc. | check_sw_limit_switch |  |  | X |  |  | X | X |  | X | X | X | Abstandsregelung
P-AXIS-00429 | antr.function[i]. | mask |  |  | X |  |  | X |  |  | X | X | X | Schalten von Antriebsfunktionen
P-AXIS-00430 | antr. | probing_input_nbr |  |  | X |  |  | X | X |  | X | X | X | Festlegen des Messeingangs
P-AXIS-00431 | dynamic_weighting. | enable | X | X | X | X | X | X | X | X | X | X |  | Wegabhängige Dynamikgewichtung
P-AXIS-00432 | dynamic_weighting.param[i]. | path_limit | X | X | X | X | X | X | X | X | X | X |  | Wegabhängige Dynamikgewichtung
P-AXIS-00433 | dynamic_weighting.param[i]. | velocity_fact | X | X | X | X | X | X | X | X | X | X |  | Wegabhängige Dynamikgewichtung
P-AXIS-00434 | dynamic_weighting.param[i]. | acceleration_fact | X | X | X | X | X | X | X | X | X | X |  | Wegabhängige Dynamikgewichtung
P-AXIS-00435 | dynamic_weighting.param[i]. | ramp_time_fact | X | X | X | X | X | X | X | X | X | X |  | Wegabhängige Dynamikgewichtung
P-AXIS-00436 | kenngr. | recalc_link_main_input_position | X | X | X | X | X | X | X | X | X | X |  | Getriebekopplung mit Vorwärtsabbildung
P-AXIS-00437 | cam_gear. | fact_a_max_correction | X | X | X | X | X | X | X | X | X | X | X | SAI Konfiguration
P-AXIS-00438 | kenngr. | in_add_interface_filter_time | X | X | X | X | X | X | X | X | X | X | X | Filterzeitkonst. für add. Sollwertschnittstelle


Struktur und Gliederung der Achsparameter

Die Parameter des Achs-Maschinen-Daten-Satzes (kurz Achsparameter) enthalten die Daten einer Achse, die applikationsspezifisch belegt werden. Die Parameter sind in folgenden Strukturen definiert:

Strukturname im ASCII-File | Inhalt
kopf | Achsmaschinendatenkopf
getriebe | Getriebestufenabhängige Daten
kenngr | Allgemeine Kenngrößen
lr_param | Allgemeine Lagereglerparameter
lr_hw | Hardwareabhängige Lagereglerparameter
bahnrg | Bahnregelungsparameter (z.Zt. nicht verfügbar)
vorsteuer | Vorsteuerungsparameter
antr | Parameter für Antriebe
handbetrieb | Parameter für den Handbetrieb
twincat | Twincat System Manager
cam_gear | SAI Konfiguration

In diesem Dokument werden folgende Abkürzungen für die Achstypen verwendet:

Achstyp | Translatorische Achse | Rotatorische Achse
Abkürzung | T | R
Achstypdefinition in "kenngr.achs_typ" | ACHSTYP_- TRANSLATOR (Linearachse) | ACHSTYP_- ROTATOR (Rundachse) | ACHSTYP_- SPINDEL (Spindel)

Die Abkürzungen "T" und "R" in dieser Dokumentation legen nur die Dimension der Parameter im ASCII-File fest.

Die Belegung der Achstypdefinition "kenngr.achs_typ" beeinflußt den zu belegenden Datensatz in den Achsparametern. Die Beschreibung der möglichen Achstypen, Achsbetriebsarten (Modi) und Antriebstypen erfolgt in Kapitel 3.1.

Die für die Achsparameterdaten anzugebenden Feldindizes entsprechen der internen Indizierung der CNC. Wertebereiche von Parametern werden ggf. auch durch Angabe einer Grenze, die sich aufgrund des Datenformats ergibt, mit z.B. MAX(UNS32) etc. definiert.


Syntax, Interpretation und Prüfung des ASCII-Listenfiles

Die Achsparameter werden in einem ASCII-File definiert und von einem ASCII-Interpreter interpretiert und in den entsprechenden Strukturen gespeichert.

Danach werden für die Achsparameter Plausibilitätsprüfungen durchgeführt.

Dieses Dokument definiert Inhalt und Syntax des ASCII-Files (Beispiel "achsmds1.lis") sowie die Elemente des Achsparameterdatensatzes.

Für Achsparameter vom Typ BOOLEAN gilt folgende Vereinbarung:

Wert | Bedeutung
0 | Definition von FALSE
1 | Definition von TRUE


Kommentar im ASCII-File

Kommentare können ganzzeilig, oder am Ende einer Zeile eingefügt werden.

Bei ganzzeiligem Kommentar muß am Zeilenanfang das Kommentarzeichen "'#", gefolgt von einem Leerzeichen eingefügt werden.

Soll am Ende einer Zeile ein Kommentar eingefügt werden, so muß vor dem Kommentar lediglich ein Leerzeichen vorhanden sein. Wurde in der Zeile jedoch ein String definiert, so muß dem Kommentar das Kommentarzeichen "(" vorangestellt werden.

Leerzeilen sind auch möglich.

Beispiel:

# ***********************************************

# Daten

# ***********************************************

#

# Auflistung

dummy[1] 1 Kommentar

dummy[2] 1 # Kommentar

dummy[3] 1 ( Kommentar

dummy[4] 1 /* Kommentar

...

...

beispiel[0].bezeichnung STRING_2 (Hier Kommentarklammern nötig!)


Listeninterpretation beim Steuerungshochlauf

Beim Steuerungshochlauf werden die Achsparameter-Listen der einzelnen Achsen in einem mehrstufigen Interpretationsprozess aus den beteiligten Listen und einer steuerungsintern festgelegten Defaultbelegung erzeugt. Hierbei können interne Maschinendaten durch die Interpretation einer Liste überschrieben werden, während Einträge, die in der interpretierten Liste nicht vorhanden sind, beibehalten werden.

Die beteiligten Listen sind dabei:

· Defaultliste (Identische Defaultbelegung für alle Achsen in einer Liste)

· Achsspezifische Liste

Der Name der beteiligten Defaultliste ist dabei in der Datei hochlauf.lis im Eintrag P-STUP-00035 (default_achs_mds) anzugeben. In dieser Liste können Einträge, die für alle Achsen gelten, eingetragen werden.

Der Ablauf der Listeninterpretation ist dabei wie folgt:

1. Grundinitialisierung der Listen mit der steuerungsintern festgelegten Defaultinitialisierung.

2. Überlagerung der Defaultinitialisierung mit den Einträgen der Default-Liste.

3. Überlagerung mit den Einträgen der achsspezifischen Liste der jeweiligen Achse.

Die folgende Zeichnung stellt diesen Vorgang nochmals dar.


Logische Achsnummer (P-AXIS-00016)

Die logische Achsnummer ist eine systemweit eindeutige Identifikationskennung für jede Achse. Über die logische Achsnummer erfolgt die komplette Verwaltung der Achsdaten im NC-Kern.

Eine logische Achsnummer darf nicht mehrfach verwendet werden. Die logische Achsnummer "0" ist nicht erlaubt.

Die Zuordnung der Achsbezeichnung im NC-Programm zu einer logischen Achse (logischen Achsnummer) erfolgt in den Kanalparametern [CHAN] .

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
achs_nr | UNS16 | 0 < achs_nr < MAX(UNS16) | T, R | ----


Identifikation der Achsmaschinendaten (P-AXIS-00110)

Das Element 'mds_ident' wird verwendet um eine Rekonfigurierung der Achsmaschinendaten freizugeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mds_ident | UNS16 | 0, REKONFIG | T, R | ----

Wert REKONFIG | Bedeutung
0x00 | Rekonfigurierung nicht erlaubt
0x01 | Rekonfigurierung erlaubt


Defaultname der Achse (P-AXIS-00297)

Das Element 'log_achs_name' definiert den Defaultnamen der Achse im System. Er wird nur bei Namenskonflikten im Zusammenhang mit den erweiterten Achstauschoperationen verwendet [PROG - Kapitel Achstauschbefehle]und sollte daher analog zur logischen Achsnummer systemweit ebenfalls eindeutig sein. Ansonsten ist der Defaultnamen ohne Bedeutung, da der Achsname in der Kanalkonfiguration (P-CHAN-00006) festgelegt wird.

Die Achsbezeichnungen müssen mit den Buchstaben A, B, C, U, V, W, X, Y, Z oder Q beginnen. Danach sind alle Buchstaben und Ziffern möglich.

Variablenname | Typ | erlaubter Bereich | Dimension
log_achs_name | ACHS_NAME | String | ----

ACHS_NAME besteht aus folgendem Array:

Variablenname | Typ | Index | Dimension
zeichen[m] | SGN08 | m = 0 ... [ACHS_NAME_LAENGE - 1] | ----

Wert ACHS_NAME_LAENGE | Bedeutung
applikationsabhängig | maximale Länge der Achsbezeichnung


Mehrfachinstanzierung einer Achse (P-AXIS-00101, P-AXIS-00040)

Um den gleichen Antrieb von zwei verscheidenen Kanälen (nacheinander) aus ohne Achstausch beauftragen zu können, sind folgende zwei Elemente verfügbar:

Vernüpfen eines Interpolatorausgangs mit einer bestimmten physikalischen Achse (link_to).

Übernahme von Parametern einer existierenden Achse als Defaultwerte und teilweiser Modifikation (clone_of).

Abbildung 2-1: Konfiguration von physikalisch/ logischen Achsen

Der Parameter link_to definiert eine Verknüpfung zwischen der logischen Achse des Interpolators und der Achse des Lagereglers (Antrieb). Wenn mehr als eine logische Achse mit dem gleichen Antrieb verbunden werden soll, müssen alle anderen Achsen warten, bis diese Verknüpfung durch eine Kommandierung zeitweilig unterbrochen und für eine neue Verbindung freigegeben ist.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
link_to | UNS16 | 0 < link_to < MAX(UNS16) | T, R | ----

Zur einfacheren Konfiguration kann eine Achse als Kopie einer anderen Achse angelegt werden (clone_of). Während der Initialisierung der Klonachse werden dann die Daten der Masterachse als Vorlage übernommen. Lediglich Parameter, die sich bei der Klonachse im Vergleich zu ihrer Masterachse unterscheiden, müssen dann noch speziell belegt werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
clone_of | UNS16 | 0 < clone_of < MAX(UNS16) | T, R | ----


Allgemeine Achsmaschinendaten (kenngr.*)

In diesem Kapitel sind die achsspezifischen Maschinendaten zusammengefaßt, die mehrfach im NC-Kanal benötigt werden.

Mehr:

button Antriebstyp und Achstyp


Antriebstyp und Achstyp

Mehr:

button Antriebstyp (P-AXIS-00020)

button Achstyp (P-AXIS-00018)

button Betriebsart einer Achse (P-AXIS-00015)


Antriebstyp (P-AXIS-00020)

Über den Parameter "kenngr.antr_typ" wird der Antriebstyp der jeweiligen Achse festgelegt. Für jede Achse kann zwischen den folgenden Antriebstypen gewählt werden:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
antr_typ | UNS16 | 0x0001  0x0020 | T, R | ----

Wert | Bedeutung
0x0001 | Konventionelle Antriebsschnittstelle (ANTR_TYP_KONV)
0x0002 | Antriebsschnittstelle SERCOS (ANTR_TYP_SERCOS)
0x0003 | Antriebsschnittstelle PROFIDRIVE MC (ANTR_TYP_PROFIDRIVE)
0x0004 | Antriebssimulation (ANTR_TYP_SIMU)
0x0005 | Antriebsschnittstelle Beckhoff Lightbus (ANTR_TYP_LIGHTBUS)
0x0006 | Antriebsschnittstelle +-10V über Feldbus (ANTR_TYP_TERM)
0x0007 | Antriebsschnittstelle Echtzeit (RT)-Ethernet (ANTR_TYP_ETHERNET)
0x0008 | Antriebsschnittstelle CANopen (ANTR_TYP_CANOPEN)
0x0010 | Virtuelle Achse (ANTR_TYP_VIRTUELL)
0x0020 | CAN-Bus (ANTR_TYP_CAN)

Tabelle 3-1: Übersicht über die Antriebstypen

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Die Daten des Achsparametersatzes können in antriebstypabhängige und antriebstypunabhängige Parameter gegliedert werden.


Achstyp (P-AXIS-00018)

Mit dem Parameter "kenngr.achs_typ" wird der Achstyp einer Achse spezifiziert.

Zur Festlegung der Dimension der Parameter wird in dieser Dokumentation zunächst zwischen translatorischen Achsen (T) und rotatorischen Achsen (R) unterschieden.

Bei den rotatorischen Achsen wird weiter differenziert zwischen

· Spindeln und

· Rundachsen

Bei den translatorischen Achsen sind nur

· Linearachsen möglich (Abbildung 3-1)

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Abbildung 3-1: Übersicht über die Achstypen

Die Daten der Achsparameterliste können in achstypabhängige und achstypunabhängige Parameter gegliedert werden ( Abbildung 3-2 ).

Abbildung 3-2: Zusammenhang zwischen Achstyp und Achsdaten

Wie aus Abbildung 3-2 ersichtlich ist, sind für rotatorische Achsen gegenüber translatorischen Achsen zusätzliche spezielle Parameter in der Achsparameterliste zu belegen.

Bei Spindeln sind gegenüber Rundachsen zusätzliche Einstellungen erforderlich.

Die Zuordnung der Achsen zu den Interpolatoren erfolgt über die Kanalparameter [CHAN] oder über NC-Befehle [PROG]. Folgende Zuordnungen zwischen Achstyp und Interpolatortyp sind möglich:

Zulässige Zuordnungen | Translatorische Achse | Rotatorische Achse
zwischen Achstyp und Interpolatortyp | Linearachse ACHSTYP_ TRANSLATOR | Rundachse ACHSTYP_ ROTATOR | Spindel ACHSTYP_ SPINDEL
Bahninterpolation | X | X | X
Spindelinterpolation |  |  | X

Achsen der Typen "ACHSTYP_TRANSLATOR" und "ACHSTYP_ROTATOR" dürfen nicht einem Spindelinterpolator zugeordnet werden. "ACHSTYP_SPINDEL" bedeutet nicht, daß diese Achse zwingend in einem Spindelinterpolator interpoliert werden muß! Zum Beispiel kann bei der Drehbearbeitung eine Achse als Rundachse im Bahninterpolator interpoliert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
achs_typ | UNS16 | 0x0001  0x0004 | T, R | ----

Wert | Bedeutung
0x0001 | Linearachse (ACHSTYP_TRANSLATOR)
0x0002 | Rundachse (ACHSTYP_ROTATOR)
0x0004 | Spindel (ACHSTYP_SPINDEL)

Abhängig vom eingestellten Achstyp werden im NC-Kern spezielle Funktionalitäten angesprochen.

Beispiele:

· Modulorechnung für Rundachsen,

· Drehzahlüberwachung bei Spindeln


Betriebsart einer Achse (P-AXIS-00015)

Achsen können in unterschiedlichen Betriebsarten gefahren werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
achs_mode | UNS32 | 0x00000001 - 0x80000000 | T, R | ----

Folgende Betriebsarten können parametriert werden*:

Wert | Bedeutung |  | Achstyp | Interpolatortyp
 | Beschreibung | ACHSMODE_ |  | Bahn | Spindel
0x00000001 | Die Achse wird wie eine Linearachse betrieben; es erfolgt keine Modulorechnung. Z.B. Rundachse mit eingeschränktem Fahrbereich; muß bei Linearachsen defaultmäßig eingestellt werden. | ..LINEAR* | T, R | X |
0x00000004 | Es erfolgt stets eine Modulorechnung nach Erreichen der Zielposition. Unabhängig von der angewählten Betriebsart für rotatorische Achsen erfolgt im Lageregler stets eine Modulorechnung. Somit kann ggf. eine Modulokreiskompensation durchgeführt werden. | ..MODULO* | R | X | X
0x00000040 | Achse wird als Plandrehachse eingesetzt (Drehfunktionen). | ..PLANDREHEN | T | X |
0x00000080 | Achse wird als Längsdrehachse eingesetzt (Drehfunktionen). | ..LAENGSDREHEN | T | X |
0x00000100 | Bei einer Spindel kann das automatische Referenzieren vor einem Spindel-Richten verhindert werden. Dies ist nur relevant, wenn die Achse nicht referenziert ist. Funktion ist antriebsabhängig. | ..KEINE_AUTO_RPF | R |  | X
0x00000200 | Achse für die kinematische "C-Achs"-Transformation. | ..CAX | R | X | X
0x00000400 | Modulorechnung in der Einheit einer Linearachse. (Bspl.: Band mit Motorantrieb, wobei die Position auf dem Band in mm programmiert werden soll). | ..MODULO_LINEAR | R | X |
0x00000800 | Achse ist für das mechanische Blockieren durch die SPS freigegeben. | ..CLAMPABLE** | T, R | X |
0x00001000 | Achse trägt einen Werkstück-Drehtisch. | ..ROT_TABLE | T, R | X |
0x00008000 | Überwachung bzgl. Kollision. | ..COLL_CHECK | T | X |
0x00010000 | Masterachse einer Gantrykopplung. | ..GANTRY_MASTER | T, R | X |
0x00020000 | Slaveachse einer Gantrykopplung. | ..GANTRY_SLAVE | T, R | X |
0x00040000 | Kennung für gesteuerte Spindel. | ..SPINDLE_EXT_CTRL | R |  | X
0x00080000 | Achse ist Eingangsachse für zusätzliche externe Positionssollwerte (z.B. Abstandsregelung) | ..EXT_CTRL_INPUT | T | X |
0x00100000 | Reine Geberachse, nur zur Istwertanzeige (z.B. Fliessband) | ..COUNTER | T, R | X | X
0x00200000 | Leitachse in Verbindung mit einzelner Vorschubachse und G194. | ..LEAD_AXIS **** | T, R | X |
0x00400000 | Die Auflösung (wegaufz/wegaufn) dieser Achse kann geändert werden. | ..ALLOW_RESOLUTION_CHANGE*** | T, R | X | X
0x00800000 | Wegabhängige Dynamikgewichtung für diese Achse möglich. | ..DYNAMIC_WEIGHTING | T, R | X |

**** nicht allgemein freigegeben, geschützter kundenspezifischer Parameter für WAFIOS!!!

* Es muß immer einer der zwei folgenden Achsmodi angegeben werden:

- ACHSMODE_LINEAR oder
- ACHSMODE_MODULO

Alle anderen Bits des Parameters achs_mode sind Zusatzangaben! Zum Beispiel ist die Angabe ACHSMODE_MODULO_LINEAR nur in Verbindung mit ACHSMODE_MODULO sinnvoll.

** Dieser Achsmode ist bei TwinCAT-Systemen nicht verfügbar.

*** Die Änderung bestimmter Achsparameter, wie z.B. die Wegauflösung, ist bei laufender Steuerung evtl. kritisch. Aus diesem Grund kann die Möglichkeit zur Änderung durch das Bit ALLOW_RESOLUTION_CHANGE im Achsmode freigeschalten werden. Ansonsten können diese Parameter ( P-AXIS-00234, P-AXIS-00233) nach dem Start der Steuerung nicht mehr geändert werden.

Ist das Bit ALLOW_RESOLUTION_CHANGE gesetzt, so wird auch bei der Änderung weiterer kritischen Parameter zunächst geprüft, ob die Achse interpoliert wird. Wird die Achse momentan verfahren, so wird das Parameterupdate abgelehnt.


Spezielle Einstellungen für rotatorische Achsen

In diesem Kapitel werden die Elemente im Achsparameterdatensatz beschrieben, die nur für rotatorische Achsen belegt werden müssen.

Der Begriff "Rotatorische Achse" umfaßt Rundachsen und Spindeln.

Für Spindeln müssen zusätzlich die im Kapitel 4.1.3 beschriebenen Parameter belegt werden.

Mehr:

button Übersicht der Achsparameter

button Einstellungen für die Modulorechnung bei rotatorischen Achsen

button Spezielle Einstellungen für Spindeln

button Einstellungen für die Drehfunktionalität


Übersicht der Achsparameter

Abhängig von der gewählten Betriebsart einer rotatorischen Achse sind folgende Parameter zu belegen:

kenngr.achs_mode | 0x0001 (ACHSMODE_LINEAR) | 0x0004 (ACHSMODE_MODULO)
kenngr.vorz_richtung |  | X (nur Spindelachse)
kenngr.beweg_richt |  | X (nur Spindelachse)
getriebe[i].moduloo | X | X
getriebe[i].modulou | X | X
getriebe[i].modulo_umdreh | X | X
getriebe[i].modulo_fehler | X | X
lr_param.mod_komp |  | X
kenngr.vb_prozent |  | X
getriebe[i].achs_position[j] |  | X
getriebe[i].vb_regelgrenze |  | X
getriebe[i].vb_min_null |  | X
getriebe[i].reverse |  | X


Einstellungen für die Modulorechnung bei rotatorischen Achsen

Mehr:

button Obere Modulogrenze (P-AXIS-00126)

button Untere Modulogrenze (P-AXIS-00127)

button Anzahl von Umdrehungen bei Modulofehler (P-AXIS-00125)

button Fehler im Modulokreis (P-AXIS-00124)

button Aktivierung der Modulokompensation (P-AXIS-00120)


Obere Modulogrenze (P-AXIS-00126)

Für die Modulorechnung bei rotatorischen Achsen ist eine "obere Modulogrenze" (z.B. 360°) einzugeben.

Die Modulorechnung wird im Lageregler automatisch bei der Achstypdefinition "ACHSTYP_SPINDEL" und "ACHSTYP_ROTATOR" aktiviert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
moduloo | SGN32 | modulou < moduloo < MAX(SGN32) | R | 0,0001°


Untere Modulogrenze (P-AXIS-00127)

Für die Modulorechnung bei rotatorischen Achsen ist eine "untere Modulogrenze" (z.B. 0°) einzugeben.

Die Modulorechung wird im Lageregler automatisch bei der Achstypdefinition "ACHSTYP_SPINDEL" und "ACHSTYP_ROTATOR" aktiviert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
modulou | SGN32 | MIN(SGN32) < modulou < moduloo | R | 0,0001°


Anzahl von Umdrehungen bei Modulofehler (P-AXIS-00125)

Beim Betrieb einer rotatorischen Achse kann unter Umständen der Modulokreis der Führungsgrößen nicht fehlerfrei in den Modulokreis der Inkremente umgerechnet werden. Der Modulokreis der Inkremente ist um den Rundungsfehler kleiner. Dies wird mit der Modulokompensation im Lageregler so ausgeglichen, daß im Maschinendatum P-AXIS-00124 (getriebe[i].modulo_fehler) die fehlenden Inkremente pro "getriebe[i].modulo_umdreh" ganzzahlig vorgegeben werden können.

Die Aktivierung dieser Funktion erfolgt über den Parameter P-AXIS-00120.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
modulo_umdreh | SGN16 | 0 < modulo_umdreh < MAX(SGN16) | R | ----


Fehler im Modulokreis (P-AXIS-00124)

Siehe auch P-AXIS-00125

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
modulo_fehler | SGN16 | MIN(SGN16) ... MAX(SGN16) | R | Inkr.


Aktivierung der Modulokompensation (P-AXIS-00120)

Die Modulokompensation im Lageregler wird mit "lr_param.mod_ komp = TRUE" aktiviert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mod_komp | BOOLEAN | 0 / 1 | R | ----


Spezielle Einstellungen für Spindeln

Die in diesem Kapitel beschriebenen Parameter werden für Achsen vom Achstyp "ACHSTYP_SPINDEL", die von einem Spindelinterpolator betrieben werden, benötigt.

Mehr:

button Einschränkung der Drehrichtung (P-AXIS-00224)

button Festlegung der Drehrichtung (P-AXIS-00031)

button Drehzahl erreicht - Toleranzband (P-AXIS-00217)

button Spezielle Achspositionen (P-AXIS-00017)

button Grenzgeschwindigkeit für das Meßsystem (P-AXIS-00220)

button Grenzwert für Spindeldrehzahl - Null - (P-AXIS-00216)

button Vorzeichenumkehr für Stellgröße und Istwert (P-AXIS-00159)

button Umschalten auf Drehzahlregelung (P-AXIS-00265)

button Rückschalten auf Lageregelung (P-AXIS-00266)


Einschränkung der Drehrichtung (P-AXIS-00224)

Darf eine Spindel nur in einer Richtung betrieben werden, so ist der Parameter "kenngr.vorz_richtung" mit "TRUE" zu kennzeichnen:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vorz_richtung | BOOLEAN | 0 / 1 | R | ----


Festlegung der Drehrichtung (P-AXIS-00031)

Ist bei Spindeln nur eine Drehrichtung erlaubt ("kenngr.vorz_richtung = TRUE"), so wird mit dem Parameter "kenngr.beweg_richt" die Drehrichtung definiert:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
beweg_richt | BOOLEAN | 0 / 1 | R | ----

0 | Negative Drehrichtung
1 | Positive Drehrichtung

Positive Drehrichtung bedeutet, daß die Koordinatenwerte zunehmen. Negative Drehrichtung bedeutet, daß die Koordinatenwerte abnehmen.

Dieser Parameter wird nur verwendet, wenn der Parameter "kenngr.vorz_richt" mit "TRUE" belegt ist.


Drehzahl erreicht - Toleranzband (P-AXIS-00217)

TwinCAT CNC: Überblick

Funktionale Einstellungen > Spezielle Einstellungen für rotatorische Achsen > Spezielle Einstellungen für Spindeln

Drehzahl erreicht  Toleranzband (P-AXIS-00217)

Über den Parameter "kenngr.vb_prozent" wird definiert, ab welcher Istdrehzahl der Zustand "Drehzahl erreicht" gemeldet wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_prozent | UNS16 | 0 ... LR_DZ_100_PROZENT | R | 1 / LR_DZ_100_PROZENT

Wert | Bedeutung
1000 | Definition der Dimension von "vb_prozent"

BEISPIEL: Bei "kenngr.vb_prozent = 100" erfolgt die Meldung "Drehzahl erreicht" dann, wenn "1,1 * Solldrehzahl > Istdrehzahl > 0,9 * Solldrehzahl".


Spezielle Achspositionen (P-AXIS-00017)

Das Anfahren spezieller Achspositionen ist momentan für Spindeln nicht möglich.

Das Anfahren spezieller Achspositionen kann momentan im NC-Programm nicht programmiert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
achs_position[j] | SGN32 | swe_neg < achs_position[j] < swe_pos | R | 0,0001°
j | UNS16 | 0 ... [ACHS_MAXPOS - 1]

Wert ACHS_MAXPOS | Bedeutung
applikationsabhängig | Anzahl der Achspositionen


Grenzgeschwindigkeit für das Meßsystem (P-AXIS-00220)

Insbesondere bei Spindeln kann bei höherer Drehzahl die Grenze, ab welcher das Meßsystem fehlerhafte Signale liefert, überschritten werden. Der Parameter "getriebe[i].vb_regelgrenze" gibt an, ab welcher Geschwindigkeit der Lageregler in den gesteuerten Betrieb umschalten muß.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_regelgrenze | UNS32 | 0 < vb_regelgrenze < MAX(UNS32) | R | 0,001°/s


Grenzwert für Spindeldrehzahl - Null - (P-AXIS-00216)

Speziell bei Spindeln ist die Schranke "getriebe[i].vb_min_null" anzugeben, unterhalb derer die Drehzahlüberwachung im Lageregler die Kennung "Drehzahl null" liefert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_min_null | UNS32 | 0 < vb_min_null < MAX(UNS32) | R | 0,001°/s


Vorzeichenumkehr für Stellgröße und Istwert (P-AXIS-00159)

Die Drehrichtung einer Spindel wird in dem Parameter getriebe[i].reverse definiert. Falls reverse TRUE ist, werden die Vorzeichen der Ein-und Ausgangsdaten umgedreht. Hierbei handelt es sich um eine Option, um die Vorzeichen von Stellgröße und Istwerten beibehalten zu können.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
reverse | BOOLEAN | 0 / 1 | R | ----


Umschalten auf Drehzahlregelung (P-AXIS-00265)

Wird eine Drehzahl vorgegeben, welche höher als die Umschaltgeschwindigkeit ist, so wird auf Drehzahlregelung umgeschaltet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
velocity_position_control_on | SGN32 | 0 < P-AXIS-00265 < 1000000000 | R | 0,001°/s


Rückschalten auf Lageregelung (P-AXIS-00266)

Falls die aktuelle Drehzahl bei einem Positioniervorgang mit M19 höher als die Rückschaltgeschwindigkeit ist, so wird zunächst auf diese abgebremst, bevor die Positionsregelung eingeschaltet wird

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
velocity_position_control_off | SGN32 | 0 < P-AXIS-00266 < 1000000000 | R | 0,001°/s


Einstellungen für die Drehfunktionalität

Die Durchmesserprogrammierung und die Drehfunktionalität sind in [PROG] näher beschrieben.

Durch die Erweiterung der Steuerung um die Drehfunktionalität Durchmesser-programmierung soll die Eingabe von Durchmesserangaben für die Plandrehachse ermöglicht werden. Dabei kann der Durchmesser absolut oder relativ programmiert werden.

Mehr:

button Absolute Durchmesserprogrammierung (P-AXIS-00058)

button Relative Durchmesserprogrammierung (P-AXIS-00059)


Absolute Durchmesserprogrammierung (P-AXIS-00058)

Wenn die Durchmesserprogrammierung bei Absolutprogrammierung (G90) erfolgen soll, dann muß durch m_prog_abs mit TRUE belegt werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
durchm_prog_abs | BOOLEAN | 0 / 1 | T | ----


Relative Durchmesserprogrammierung (P-AXIS-00059)

Wenn die Durchmesserprogrammierung bei Relativprogrammierung (G91) erfolgen soll, dann muß durchm_prog_rel mit TRUE belegt werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
durchm_prog_rel | BOOLEAN | 0 / 1 | T | ----


Einstellungen für das Referenzieren

Mehr:

button Vorzugsrichtung der Achse bei Referenzpunktfahrt (P-AXIS-00158)

button Referenzpunktfahrt ohne Nocken (P-AXIS-00156)

button Referenzpunktfahrt ohne Revertieren (P-AXIS-00157)

button Position des Referenzpunktes (P-AXIS-00152)

button Maximale Referenzpunktfahrtgeschwindigkeit (P-AXIS-00219)

button Minimale Referenzpunktfahrtgeschwindigkeit (P-AXIS-00218)

button Referenzpunktfahrt nur mit Nocken (ohne Nullimpuls) (P-AXIS-00084)

button Schnelle/langsame Rückfahrt vom Nocken (P-AXIS-00064)

button Max. Geschwindigkeit für nicht referenzierte Achsen (P-AXIS-00268)

button Verfahren nicht referenzierter Achsen (P-AXIS-00277)

button Modis zum Setzen der Referenzposition (P-AXIS-00278)

button Offset zur Referenzposition (P-AXIS-00279)

button Referenziermethode Auswertung des Encoderüberlaufes'

button Beschleunigung bei Referenzpunktfahrt (P-AXIS-00285)

button Rampenzeit bei Referenzpunktfahrt (P-AXIS-00286)

button Art der Referenzpunktfahrt (P-AXIS-00299)

button Gantry-Überwachung bei antriebsgeführter Referenzpunktfahrt (P-AXIS-00298)

button Eingang für Referenznockensignal (P-AXIS-00321)

button Hardwareendschalter als Referenzschalter verwenden (P-AXIS-00329)

button Maximaler Weg für Nullimpulssuche (P-AXIS-00404)

button Wegüberwachung während Referenzpunktfahrt (P-AXIS-00412)

button Referenzieren auf Festanschlag

button Referenzüberwachung (antr.reference_check.*)


Vorzugsrichtung der Achse bei Referenzpunktfahrt (P-AXIS-00158)

Mit P-AXIS-00158 erfolgt die Angabe der Fahrtrichtung bei der Referenzpunktfahrt, wenn die Achse nicht auf einem Nocken steht.

Die Angabe des Signalpegels bei betätigtem Referenzschalter erfolgt durch den Achsparameter P-AXIS-00038.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ref_richt | BOOLEAN | 0 / 1 | T, R | ----

0 | Negative Richtung.
1 | Positive Richtung (Default).

Positive Richtung bedeutet, daß die Koordinatenwerte zunehmen.

Negative Richtung bedeutet, daß die Koordinatenwerte abnehmen.


Referenzpunktfahrt ohne Nocken (P-AXIS-00156)

Es kann eine Umschaltung der Referenzpunktfahrtstrategie erfolgen, so daß ohne Nocken (z.B nur mit Nullimpuls), d.h. ohne Revertieren, referenziert wird.

In diesem Fall ist P-AXIS-00156 auf "TRUE" zu setzen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ref_ohne_nocken | BOOLEAN | 0 / 1 | T, R | ----


Referenzpunktfahrt ohne Revertieren (P-AXIS-00157)

Mit P-AXIS-00157 kann eine Einschränkung bei der Referenzpunktfahrt erfolgen, die ein Revertieren verbietet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ref_ohne_rev | BOOLEAN | 0 / 1 | T, R | ----


Position des Referenzpunktes (P-AXIS-00152)

Bei erfolgter Referenzpunktfahrt wird der in P-AXIS-00152 eingetragene Wert als Absolutposition für die Achse übernommen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
pos_refpkt | SGN32 | swe_neg < pos_refpkt < swe_pos | T | 0,1µm
 |  |  | R | 0,0001°


Maximale Referenzpunktfahrtgeschwindigkeit (P-AXIS-00219)

Befindet sich die Achse beim Start der Referenzpunktfahrt nicht auf dem Nocken, so erfolgt die Fahrt auf den Nocken mit der in P-AXIS-00219 festgelegten Geschwindigkeit.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_refmax | UNS32 | P-AXIS-00218 < vb_refmax < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Minimale Referenzpunktfahrtgeschwindigkeit (P-AXIS-00218)

Sowohl die Fahrt herunter vom Nocken als auch die Fahrt auf den Nocken mit Referenzieren erfolgt mit der in P-AXIS-00218 festgelegten Geschwindigkeit.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_reflow | UNS32 | 1 < vb_reflow < P-AXIS-00219 | T | µm/s
 |  |  | R | 0,001°/s


Referenzpunktfahrt nur mit Nocken (ohne Nullimpuls) (P-AXIS-00084)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
homing_without_zero_pulse | BOOLEAN | 0 / 1 | T, R | ----

0 | Positonierung der Achse auf der Schaltnocken mit der Berücksichtigung des Nullimpulses des Drehgebers (Default - Wert).
1 | Positonierung der Achse auf Schaltnocken ohne den Nullimpuls vom Drehgeber zu berücksichtigen (ungenau !).


Schnelle/langsame Rückfahrt vom Nocken (P-AXIS-00064)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
fast_from_cam | BOOLEAN | 0 / 1 | T, R | ----

0 | Langsame Rückfahrt von der Schaltnocke
1 | Schnelle Rückfahrt von der Schaltnocke (Default Einstellung)

Für weitere hardwarespezifische Einstellungen siehe Abschnitt Parameter einer digitalen Input-Schnittstelle für RPF-Nocken.


Max. Geschwindigkeit für nicht referenzierte Achsen (P-AXIS-00268)

Dieser Parameter definiert die Maximalgeschwindigkeit für nicht referenzierte Achsen bei Relativ- und Endlosbewegungen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_not_referenced | UNS32 | 0 P-AXIS-00212 | T | µm/s
 |  |  | R | 0.001 ° /s


Verfahren nicht referenzierter Achsen (P-AXIS-00277)

Mit diesem Parameter wird festgelegt, ob eine Achse eine Referenzpunktfahrt durchgeführt haben muss, bevor sie programmiert bzw. verfahren werden kann.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
prog_move_requires_homing | BOOLEAN | 0 / 1 | T | ----

0 | Verfahren der Achse ohne vorherige Referenzpunktfahrt ist möglich. (Default Einstellung)
1 | Vor einer programmierten Bewegung muss die Achse referenziert sein. Soll die Achse unreferenziert verfahren werden, erfolgt die Ausgabe einer Fehlermeldung.


Modis zum Setzen der Referenzposition (P-AXIS-00278)

Durch die Controll-Unit MCControlBoolUnit_SetReferencePosition kann die Übernahme einer Achsposition als Referenzposition veranlaßt werden. Weitere Informationen können der Dokumentation [HLI] entnommen werden.

Es gibt zwei Möglichkeiten wie die zu übernehmende Achsposition berechnet werden kann. Nach Übernahme der Referenzposition wird die Achse als referenziert betrachtet.

Das Setzen der Referenzposition erfolgt bei einer steigenden Flanke des Command-Elements der Control-Unit MCControlBoolUnit_SetReferencePosition (siehe auch [HLI]). Dabei werden die zu diesem Zeitpunkt gültigen Werte der beteiligten Achsparameter bzw. Control Units verwendet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
set_refpos_mode | ISG_CHAR | siehe untenstehende Strings | T, R | ----

String | Bedeutung
ABSOLUT | Die Achsposition wird auf die im Achsparameter P-AXIS-00152 definierte Position gesetzt.
OFFSET | Die neue Achsposition wird bestimmt durch Encoderposition + P-AXIS-00279 .
PLC | Die Referenzposition wird auf den Wert der achsspezifischen Control-Unit MCControlSGN32-Unit_ReferencePosition gesetzt ( siehe [HLI] ).
PLC_OFFSET | Die neue Achsposition wird bestimmt durch Encoderposition + Wert der achsspezifischen Control-Unit MCControlSGN32Unit_ReferencePosition ( siehe [HLI] ).

Die Modi OFFSET und PLC_OFFSET sind nur sinnvoll wenn der Encoder eine Absolutposition liefert.

Die Übernahme der Referenzposition ist nur möglich wenn kein Programm aktiv ist. Falls bei aktivem Programm versucht wird die Referenzposition zu setzen wird eine Fehlermeldung mit ID 70194 ausgegeben.


Offset zur Referenzposition (P-AXIS-00279)

Falls für die Übernahme der Referenzposition im Parameter P-AXIS-00278 der Modus OFFSET ausgewählt wurde, ist in diesem Parameter der Offset zwischen Encoderposition und Referenzposition einzutragen. Die zu setzende Referenzposition berechnet sich aus:

Referenzposition (Achsposition) = Encoderposition + P-AXIS-00279.

Das Setzen der Referenzposition erfolgt bei einer steigenden Flanke des Command-Elements der Control-Unit MCControlBoolUnit_SetReferencePosition (siehe auch [HLI]). Es wird der zu diesem Zeitpunkt aktive Wert von P-AXIS-00279 zur Berechnung der Referenzposition verwendet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
set_refpos_offset | SGN32 | MIN(SGN32) < set_refpos_offset < MAX(SGN32) | T, R | 0,1 µm

Die Verwendung dieses Parameters ist nur sinnvoll wenn der Encoder eine Absolutposition liefert.


Referenziermethode Auswertung des Encoderüberlaufes'

TwinCAT CNC: Überblick

Funktionale Einstellungen > Einstellungen für das Referenzieren

Referenziermethode Auswertung des Encoderüberlaufes

Bei Encodertypen, die keinen Nullimpuls liefern, die jedoch innerhalb eines bestimmten Bereiches eine Absolutposition liefern, z. B. Resolvern, besteht die Möglichkeit den Wertebereichsüberlauf des Encoders als Ersatz-Nullimpuls zu verwenden. In diesem Falle wird die Achse referenziert sobald im NC-Kern ein Überlauf bzw. Unterlauf der Encoderposition erkannt wird.

Ein Wertebereichsüberlauf tritt dann auf, wenn die vom Encoder gelieferte Position bei Bewegung in positiver Richtung vom Maximalwert (z. B. 65535) nach Null springt, analog tritt ein Wertebereichsunterlauf auf, wenn die vom Encoder gelieferte Position bei Bewegung in negativer Richtung von 0 zum Maximalwert springt. Ein Wertebereichsüberlauf wird vom NC-Kern automatisch behandelt.

Mehr:

button Anwahl der Referenziermethode (P-AXIS-00294)

button Verschiebung des Encoderüberlaufes (P-AXIS-00354)

button Anzahl Bits zur Auswertung des Encoderüberlaufes (P-AXIS-00355)


Anwahl der Referenziermethode (P-AXIS-00294)

Diese Referenziermethode wird mit dem Parameter P-AXIS-00294 aktiviert. Bei Verwendung dieser Option ist dem Parameter P-AXIS-00084 der Wert 0 zuzuweisen.

Diese Referenziermethode führt nur dann zu einer reproduzierbaren Referenzposition der Achse, wenn der Encoderüberlauf immer an der mechanisch gleichen Position der Achse erfogt. Dies ist z. B. bei Resolvern der Fall.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
homing_overflow_evaluation | BOOLEAN | 0 / 1 | T, R | ----

0 | Keine Auswertung des Encoderüberlaufes (Default - Wert).
1 | Auswertung des Encoderüberlaufes beim Referenzieren aktiv.


Verschiebung des Encoderüberlaufes (P-AXIS-00354)

Beim Referenzieren auf Encoderüberlauf kann durch diesen Parameter die Referenzposition verschoben werden. Ein positiver Wert für P-AXIS-00354 verschiebt dabei die Referenzposition in positiver Bewegungsrichtung der Achse.

Die Referenzposition kann nur innerhalb einer Encoderumdrehung verschoben werden. Falls größere Werte für P-AXIS-00354 parametriert werden, erfolgt die Ausgabe der Fehlermeldung P-ERR-70310 sowie die Korrektur von P-AXIS-00354 auf 0.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
encoder_overflow_offset | SGN32 | applikationsabhängig | T, R | 0,1 µm


Anzahl Bits zur Auswertung des Encoderüberlaufes (P-AXIS-00355)

Beim Referenzieren auf Encoderüberlauf wird mit diesem Parameter festgelegt, wie viele Bits des übertragenen Lageistwertes zur Detektion des Encoderüberlaufes herangezogen werden.

Hierbei wird der Lageistwert des Antriebssystems mit dem Wert (2**P-AXIS-00355 1 ) UND verknüpft und der Unter- bzw. Überlauf des resultierenden Wertes als Encoderüberlauf betrachtet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
encoder_bit_range | UNS08 | [1, 31] | T, R | ----


Beschleunigung bei Referenzpunktfahrt (P-AXIS-00285)

Der Parameter "getriebe[i].a_ref" stellt die Achsbeschleunigung bei CNC geführter Referenzpunktfahrt dar. Wenn der Parameter nicht belegt ist, so erfolgt die Übernahme aus den Parametern P-AXIS-00005, P-AXIS-00006.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_ref | UNS32 | 0 ≤ a_ref ≤ P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2


Rampenzeit bei Referenzpunktfahrt (P-AXIS-00286)

Der Parameter "getriebe[i].tr_ref" definiert die Rampenzeit bei CNC geführter Referenzpunktfahrt und aktivem nichtlinearen Slopeprofil (siehe P-AXIS-00270). Ist der Parameter mit 0 oder zu klein belegt, so wird P-AXIS-00201(tr_min) übernommen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr_ref | UNS32 | P-AXIS-00201 ≤ tr_ref ≤ MAX(UNS32) | T, R | µs


Art der Referenzpunktfahrt (P-AXIS-00299)

Bei der Referenzpunktfahrt werden zwei Arten unterschieden:

1. NC-geführte Referenzpunktfahrt

2. Antriebsgeführte Referenzpunktfahrt

Bei der NC-geführten Referenzpunktfahrt erfolgt die Sollwerterzeugung und die Ablaufsteuerung (Auswertung von Referenznocken oder Nullimpulsen) in der CNC, bei der antriebsgeführten Referenzpunktfahrt erfogt die Bewegungserzeugung sowie die Auswertung von Nockensignalen bzw. Nullimpulsen im Antrieb.

Für Antriebestypen, für die beide Referenzpunktfahrt-Arten implementiert sind, kann mit diesem Parameter die Art der Referenzpunktfahrt parametriert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
homing_type | ISG_CHAR | siehe untenstehende Strings | T, R | ----

String | Bedeutung
CNC_CONTROLLED | Es wird eine CNC-geführte Referenzpunktfahrt durchgeführt.
DRIVE_CONTROLLED | Es wird eine antriebsgeführte Referenzpunktfahrt durchgeführt.

Falls eine Referenzpunktfahrtart eingestellt wird, die vom Antriebstyp nicht unterstützt wird, erfolgt die Ausgabe einer Fehlermeldung P-ERR-110384 und die Korrektur des Wertes auf den Default-Referenzpunktfahrttyp.

Falls der Eintrag nicht vorhanden ist, wird der für den jeweiligen Antriebstyp gültige Defaulttyp verwendet.

Antriebstyp | CNC_CONTROLLED | DRIVE_CONTROLLED
Simulation | X* |
SERCOS | X | X*
Terminal | X* |
Lightbus | X* |
RT-Ethernet | X* |
PROFIDRIVE | X* |
CANopen | X* | X

* Default homing type


Gantry-Überwachung bei antriebsgeführter Referenzpunktfahrt (P-AXIS-00298)

Falls für eine Gantry-Konfiguration die Gantry-Überwachung vor der Referenzpunktfahrt aktiviert ist (P-AXIS-00249), tritt beim Durchführen einer antriebsgeführten Referenzpunktfahrt (z. B. bei SERCOS-Antrieben) normalerweise ein Gantry-Fehler auf, wenn einer der beteiligten Antriebe am Ende der Referenzpunktfahrt seine interne Istposition auf die parametrierte Referenzposition setzt. In diesem Fall tritt der Gantry-Fehler in der Nähe der Referenzposition entweder der Master- oder der Slaveachse auf.

Um auch während einer antriebsgeführten Gantry-Referenzpunktfahrt die Gantry-Überwachung aktivieren zu können besteht die Möglichkeit diesen Gantry-Fehler zu unterdrücken und einen neuen Offset zwischen Master- und Slaveachsen zu berechnen, wenn dieser Gantry-Fehler in der Nähe der Referenzposition auftritt. Die Größe dieses Toleranzbereiches wird mit diesem Parameter eingestellt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
max_reference_position_offset | SGN32 | 0 MAX(SGN32) | T, R | 0,1 µm

Die Verwendung von P-AXIS-00298 ist nur bei SERCOS-Antrieben sinnvoll.


Eingang für Referenznockensignal (P-AXIS-00321)

In der Standardeinstellung wird bei einer NC-geführten Referenzpunktfahrt das Referenznockensignal vom HLI [HLI] gelesen.

Bei bestimmten Antriebstypen ist es möglich, die digitalen Eingänge des Antriebsreglers als Referenznockeneingang zu verwenden. In diesem Fall ist im Parameter P-AXIS-00321 anzugeben, welcher Eingang zu verwenden ist.

Falls der Parameter nicht angegeben ist wird das Referenznockensignal von der PLC-Schnittstelle gelesen.

Wenn die Digitaleingänge des Antriebs verwendet werden sollen, müssen diese ebenfalls mit dem Inbetriebnahmewerkzeug des Antriebsherstellers entsprechend parametriert werden.

Ebenso muss eventuell die Übertragung der Digitaleingänge im zyklischen Telegramm konfiguriert werden.

Abhängig vom Antriebstyp sind unterschiedliche Bezeichnungen für die digitalen Referenznockensignale möglich:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
reference_cam_signal | ISG_CHAR | siehe untenstehende Strings | T, R | ----

Antriebstyp | String | Bedeutung
SERCOS (1) | PLC | Referenznocken vom HLI lesen (Default).
 | RT_STATUS_BIT_1 | Referenznocken aus Echtzeitstatusbit 1 lesen.
 | RT_STATUS_BIT_2 | Referenznocken aus Echtzeitstatusbit 2 lesen
CANopen (2) | PLC | Referenznocken vom HLI lesen. (Default)
 | DIG_INPUT_1 | Referenznocken aus digitalem Eingang 1 lesen.
 | DIG_INPUT_2 | Referenznocken aus digitalem Eingang 2 lesen.
 | DIG_INPUT_3 | Referenznocken aus digitalem Eingang 3 lesen.
 | DIG_INPUT_4 | Referenznocken aus digitalem Eingang 4 lesen.
Lightbus/RT-Ethernet (3) | PLC | Referenznocken vom HLI lesen (Default)
 | DIG_INPUT_1 | Referenznocken aus digitalem Eingang 1 lesen.
 | DIG_INPUT_2 | Referenznocken aus digitalem Eingang 2 lesen.
 | DIG_INPUT_3 | Referenznocken aus digitalem Eingang 3 lesen.
 | DIG_INPUT_4 | Referenznocken aus digitalem Eingang 4 lesen.

(1) Die Verwendung der Echtzeitstatusbits ist nur bei einer NC-geführten Referenzpunktfahrt möglich, siehe auch [CMS].

(2) Zur Übertragung der digitalen Eingänge muss das Latch-Statuswort im zyklischen Telegramm konfiguriert sein. Falls dieses nicht konfiguriert ist, wird eine Fehlermeldung mit der Nummer P-ERR-70292.ausgegeben.

(3) Zur Übertragung der digitalen Eingänge müssen diese im zyklischen Telegramm konfiguriert sein. Falls diese nicht konfiguriert sind, wird eine Fehlermeldung mit der Nummer P-ERR-70292.ausgegeben.


Hardwareendschalter als Referenzschalter verwenden (P-AXIS-00329)

Wenn ein Hardwareendschalter einer Achse als Referenzschalter verwendet werden soll, so ist dieser Parameter auf den Wert 1 zu setzen.

Der Zustand des Hardwarendschalters kann entweder über das PLC-Interface an die CNC übergeben werden (siehe [HLI]), oder falls der verwendete Antriebstyp dies zulässt auch direkt über die digitalen Eingänge des Antriebsverstärkers (siehe auch P-AXIS-00321).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ref_cam_is_limit_switch | BOOLEAN | 0 / 1 | T, R | ----

Die Verwendung eines Hardwareendschalters als Referenzschalter ist nur möglich, wenn der Antriebsverstärker bei betätigen des Hardwareendschalters keine Fehlermeldung ausgibt.

Bei Betätigung des Hardwareendschalters hält der Antrieb selbständig an und akzeptiert nur noch Sollwerte, die vom Endschalter wegführen. Die Verzögerung mit der der Antrieb abgebremst wird, ist im Antrieb einzustellen. Da der Antrieb bei betätigtem Hardwareendschalter den Verfahrbefehlen der CNC nur noch bedingt folgt, wird während einer NC-geführten Referenzpunktfahrt auf Hardwareendschalter die Schleppabstands- und Windowüberwachung deaktiviert.

Der Ablauf ist dabei wie folgt:

1. Fahrt auf Hardwareendschalter

2. Reversieren

3. Referenzieren der Achse entweder bei fallender Flanke des Hardwareendschalters oder nach fallender Flanke des Hardwareendschalters und Auftreten des Encodernullimpulses (Siehe auch P-AXIS-00084).

Referenzieren auf Hardwareendschalter mit Gantry-Achsen:

Referenzieren auf Hardwarendschalter mit Gantry-Achsen ist nur möglich, wenn die Hardwareenschalter aller Gantry-Achsen (Master- und Slaveachsen) mechanisch an der selben Position liegen.

Mit anderen Worten: Falls das gerade ausgerichtete Gantry-System auf die Hardwareenschalter fahren würde, würden diese alle gleichzeitig betätig.

Anders als bei einer NC-geführten Referenzpunktfahrt auf Referenzschalter kommt es beim Referenzieren auf Hardwareenschalter bereits während der Referenzpunktfahrt zu einer Relativbewegung der Achsen zueinander. Dies liegt daran, dass die Achsen bei Betätigung des Hardwareendschalters selbständig anhalten und nicht mehr den Verfahrbefehlen der Steuerung folgen. Diese Relativbewegung der Achsen zueinander ist umso größer, je größer die Positionsdifferenz der Schaltpositionen der Hardwareendschalter der einzelnen Achsen ist.

Für jede Achse des Gantry-Systems wird die oben beschriebene Sequenz für eine Einzelachse durchgeführt. Zusätzlich wird am Ende der Referenzpunktfahrt das Gantry-System solange von den Hardwareendschaltern weggefahren, bis alle Schalter nicht mehr betätig sind.


Maximaler Weg für Nullimpulssuche (P-AXIS-00404)

Durch diesen Parameter kann die maximale Wegstrecke, die bei der Nullimpulssuche während einer Referenzpunktfahrt zurückgelegt werden darf, festgelegt werden. Wird innerhalb der festgelegten Strecke kein Nullimpuls gefunden, wird die Referenzpunktfahrt abgebrochen und eine Fehlermeldung (P-ERR-70380) ausgegeben.

Wenn der Parameter nicht vorhanden ist oder mit einem Wert von 0 belegt ist, ist diese Überwachung nicht aktiv.

Beim Referenzieren auf Encoderüberlauf (siehe P-AXIS-00294) kann dieser Parameter ebenfalls verwendet werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
zero_pulse_search_max_dist | UNS32 | 0 < zero_pulse_search_max_dist < MAX(UNS32) | T | 0,1 µm
 |  |  | R | 0,0001°


Wegüberwachung während Referenzpunktfahrt (P-AXIS-00412)

Mit diesem Parameter kann für Spindeln und Rundachsen ein maximal zurückzulegender Weg während der Referenzpunktfahrt parametriert werden. Wird der maximal zulässige Fahrweg überschritten, wird die Referenzpunktfahrt abgebrochen und eine Fehlermeldung P-ERR-70394 ausgegeben.

Damit kann erreicht werden, dass die Referenzpunktfahrt abgebrochen wird, wenn z. B. der Referenznocken wegen eines Verdrahtungsfehlers nicht gefunden wird.

Der Parameter wirkt nur für die Achstypen Spindel und Rundachse, siehe P-AXIS-00018. Wird dem Parameter bei Linearachsen ein Wert ungleich Null zugewiesen, so wird die Fehlermeldung P-ERR-110545 ausgegeben und der Wert auf 0 korrigiert.

Durch den Wert 0 wird die Wegüberwachung deaktiviert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
homing_max_movement_dist | UNS32 | 0 < homing_max_movement_dist < MAX(UNS32) | T | 0,1 µm
 |  |  | R | 0,0001°

Damit die Referenzpunktfahrt vollständig durchgeführt werden kann, muss der für die Wegüberwachung parametrierte Weg mindestens gleich dem Modulobereich der Achse sein.


Referenzieren auf Festanschlag

Mehr:

button Geschwindigkeit (P-AXIS-00333)

button Beschleunigung (P-AXIS-00334)

button Ruck (P-AXIS-00335)

button Drehmomentgrenzwert (P-AXIS-00342)

button Grenzmoment für Detektion (P-AXIS-00343)

button Mindestweg (P-AXIS-00344)

button Maximalweg (P-AXIS-00345)

button Richtung (P-AXIS-00346)

button Geschwindigkeitsgrenzwert (P-AXIS-00347)

button Rückzugsweg (P-AXIS-00348)

button Referenzposition (P-AXIS-00349)

button Mindestzeit (P-AXIS-00350)


Geschwindigkeit (P-AXIS-00333)

Dieser Parameter definiert die Geschwindigkeit der Referenzpunktfahrt bei der Suche nach dem Festanschlag.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_move_velocity | UNS32 | 1 < torq_move_velocity < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001 °/s


Beschleunigung (P-AXIS-00334)

Dieser Parameter definiert die Beschleunigung der Referenzpunktfahrt bei der Suche nach dem Festanschlag.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_move_acceleration | UNS32 | 1 < torq_move_acceleration < P-AXIS-00008 | T | mm/s²
 |  |  | R | °/s²


Ruck (P-AXIS-00335)

Dieser Parameter definiert den Ruck der Referenzpunktfahrt bei der Suche nach dem Festanschlag.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_move_jerk | UNS32 | 1 < torq_move_jerk < ( P-AXIS-00008 / P-AXIS-00196 ) | T | mm/s³
 |  |  | R | °/s³


Drehmomentgrenzwert (P-AXIS-00342)

Dieser Parameter definiert den prozentualen Drehmomentgrenzwert der Bewegung bei der Suche nach dem Festanschlag.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_move_torque_limit | UNS32 | 0 < torq_move_torque_limit < 1000 | T, R | 0,1 %


Grenzmoment für Detektion (P-AXIS-00343)

Dieser Parameter definiert das prozentuale Grenzmoment bezogen auf P-AXIS-00342 für die Detektion der stehenden Achse am Festanschlag.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_detect_torque_limit | UNS32 | 0 < torq_detect_torque_limit < 1000 | T, R | 0,1 %


Mindestweg (P-AXIS-00344)

Dieser Parameter definiert den Mindestweg bis zur Detektierung der Referenzposition (Festanschlag).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_min_distance | SGN32 | 0 < torq_min_distance < P-AXIS-00345 | T, R | 0,1 µm


Maximalweg (P-AXIS-00345)

Dieser Parameter definiert den Maximalweg bis zur Detektierung der Referenzposition (Festanschlag).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_max_distance | SGN32 | 0 < torq_max_distance < MAX(SGN32) | T, R | 0,1 µm


Richtung (P-AXIS-00346)

Dieser Parameter definiert die Richtung der Referenzpunktfahrt bei der Suche nach dem Festanschlag.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_homing_dir | ISG_CHAR | siehe untenstehende Strings | T, R | ----

String | Bedeutung
NEGATIVE | Negative Richtung
POSITIVE | Positive Richtung


Geschwindigkeitsgrenzwert (P-AXIS-00347)

Dieser Parameter definiert den Geschwindigkeitsgrenzwert zur Detektierung der Referenzposition (Festanschlag).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_detect_velocity_limit | UNS32 | 0 < torq_detect_velocity_limit < 1000 | T, R | 0,1 %


Rückzugsweg (P-AXIS-00348)

Dieser Parameter definiert den Rückzugsweg nach Detektierung der Referenzposition (Festanschlag).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_retraction_distance | SGN32 | 0 < torq_retraction_distance < MAX(SGN32) | T, R | 0,1 µm


Referenzposition (P-AXIS-00349)

Dieser Parameter definiert die Referenzposition (Festanschlag).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_homing_position | SGN32 | 0 < torq_homing_position < MAX(SGN32) | T, R | 0,1 µm


Mindestzeit (P-AXIS-00350)

Dieser Parameter definiert die Mindestzeit, die das Grenzmoment überschritten sein muss, damit die Referenzposition (Festanschlag) erkannt wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torq_detect_time | UNS32 | 0 < torq_detect_time < MAX(UNS32) | T, R | µs


Referenzüberwachung (antr.reference_check.*)

Mehr:

button Bitnummer (P-AXIS-00425)

button Elementname (P-AXIS-00426)


Bitnummer (P-AXIS-00425)

In diesem Parameter wird die Nummer des Bits eingetragen, in dem bei aktiver Referenzüberwachung das Referenzsignal vom Antrieb übertragen wird.

Das niederwertigste Bit hat die Bitnummer 0.

Der Maximalwert ist abhängig von der Länge des konfigurierten Telegrammelementes, das zur Übertragung verwendet wird.

Bei Parametrierung einer ungültigen Bitnummer wird die Fehleremeldung P-ERR-110549 ausgegeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
bit_nr | SGN16 | 0 < bit_nr < Max. Bitnummer | T, R | ----

Telegrammelement-Länge | Max. Bitnummer
-1 | Keine Referenzüberwachung (Default).
2 | 15
4 | 31

Dieser Parameter wird derzeit nur bei SERCOS-Antrieben verwendet.


Elementname (P-AXIS-00426)

In diesem Parameter wird der Name des Elementes der zyklischen Eingangsprozessdaten eingetragen, mit dem das Referenzsignal vom Antrieb übertragen wird.

Die Referenzüberwachung wird aktiviert, indem diesem Parameter ein Wert zugewiesen wird. Bei Aktivierung der Referenzüberwachung ist auch dem Parameter P-AXIS-00425 ein gültiger Wert zuzuweisen.

Falls der in P-AXIS-00426 eingetragene Parameter nicht in den zyklischen Prozessdaten des Antriebs gefunden wird, erfolgt die Ausgabe einer Fehlermeldung P-ERR-70401.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
element_name | ISG_CHAR | siehe untenstehende Strings | T, R | ----

String | Bedeutung
<Leere Zeichenkette> | Referenzüberwachung deaktiviert
S-0-0135 | Falls zur Übertragung des Referenzsignals das SERCOS-Statuswort verwendet wird, ist dem Parameter der Wert S-0-0135 zuzuweisen...
<Telegrammelement_Name> | ...andernfalls der Name eines in den zyklischen Eingangsprozessdaten konfigurierten Telegrammelementes.

Dieser Parameter wird derzeit nur bei SERCOS-Antrieben verwendet.

Eine Änderung dieses Parameters durch Listenaktualisieren ist nicht möglich ( P-ERR-110550 ).


Einstellungen für die Softwareendschalterüberwachung

Es wird unterschieden zwischen sollwertseitiger und istwertseitiger Softwareendschalter-überwachung.

Die sollwertseitige Softwareendschalterüberwachung erfolgt im Automatikbetrieb in der Look-Ahead Funktion, bei Handbetrieb im Bahninterpolator.

Die istwertseitige Softwareendschalterüberwachung wird im Lageregler durchgeführt. In Abbildung 4-1 sind die Parameter für die Softwareendschalterüberwachung skizziert.

Abbildung 4-1: Soll- und istwertseitige Softwareendschalterüberwachung

Mehr:

button Toleranzband für Softwareendschalter (P-AXIS-00179)

button Positiver Softwareendschalter (P-AXIS-00178)

button Negativer Softwareendschalter (P-AXIS-00177)


Toleranzband für Softwareendschalter (P-AXIS-00179)

Zur Vermeidung, daß bei geringfügigem Überschwingen einer Achse (z.B. programmierte Sollposition = Position des positiven Softwareendschalters, Istposition > Position des positiven Softwareenschalters) die istwertseitige Softwareendschalterüberwachung im Lageregler anspricht, wird der Software-Endschalterbereich in positiver und negativer Richtung jeweils um den Parameter "kenngr.swe_toleranz" erweitert. Die Istpositionen müssen in diesem erweiterten Bereich liegen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
swe_toleranz | UNS32 | 0 < swe_toleranz < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Positiver Softwareendschalter (P-AXIS-00178)

Mit dem Parameter "kenngr.swe_pos" wird der mögliche Fahrbereich in positiver Richtung (positive Softwareendschalterposition) definiert. Die programmierten Sollpositionen werden stets auf "kenngr.swe_pos", die Istpositionen auf "kenngr.swe_pos + kenngr.swe_toleranz" überprüft (Abbildung 4-1).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
swe_pos | SGN32 | P-AXIS-00177 < swe_pos < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001º


Negativer Softwareendschalter (P-AXIS-00177)

Mit dem Parameter "kenngr.swe_neg" wird der mögliche Fahrbereich in negativer Richtung (negative Softwareendschalterposition) definiert. Die programmierten Sollpositionen werden stets auf "kenngr.swe_neg", die Istpositionen auf "kenngr.swe_neg - kenngr.swe_toleranz" überprüft (Abbildung 4-1).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
swe_neg | SGN32 | MIN(SGN32) < swe_neg < P-AXIS-00178 | T | 0,1µm
 |  |  | R | 0,0001º


Einstellungen für das Messen

In diesem Kapitel sind die achsspezifischen Parameter für das Messen zusammengefaßt.

Die Parameter für das Messen werden applikationsabhängig verwendet. Die Messfunktionen sind in [PROG] näher beschrieben.

Mehr:

button Meßachse (P-AXIS-00118)

button Hub für Meßtaster (P-AXIS-00086)

button Meßgeschwindigkeit (P-AXIS-00215)

button Meßfahrtoffset (P-AXIS-00114)

button Meßmethoden

button Messauftragsabbruch bei Reset (P-AXIS-00378)


Meßachse (P-AXIS-00118)

Das Element "kenngr.messachse" muß für alle Achsen mit TRUE belegt werden, die an einer Meßfahrt beteiligt sind.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
messachse | BOOLEAN | 0 / 1 | T, R | ----


Hub für Meßtaster (P-AXIS-00086)

Der Hub von mechanischen Messtastern kann begrenzt sein. Nach Betätigung des Messtastern bewegt sich die Achse noch um den von der Messgeschwindigkeit und zulässiger Achsbeschleunigung abhängigen Bremsweg. Um eine Beschädigung des Messtasters zu vermeiden kann der maximale Hub des Messtasters parametriert werden. Bei den Messtypen 2 und 4 erfolgt eine automatische Begrenzung der Messgeschwindigkeit derart, dass der Bremsweg kleiner als der Messtasterhub ist. Falls eine Korrektur der Messgeschwindigkeit durchgeführt wird, wird eine Warnung ausgegeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
hub_messtaster | UNS32 | 0 < hub_messtaster < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Meßgeschwindigkeit (P-AXIS-00215)

Applikationsabhängig erfolgt die Meßfahrt nicht mit dem programmierten Vorschub, sondern mit dem durch den Parameter "kenngr.vb_messen" definierten Vorschub.

Dieser Parameter ist nur für den Messtyp 2 zu verwenden [PROG], [CHAN].

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_messen | UNS32 | 1 < vb_messen < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Meßfahrtoffset (P-AXIS-00114)

Der Meßfahrtoffset "kenngr.mess_offset" gibt an, um welche Wegstrecke weiter als die programmierte Zielposition im Meßsatz gefahren werden darf, wenn der Meßtaster bis zum programmierten Zielpunkt noch nicht betätigt wurde.

Dieser Parameter wird nur für bestimmte Applikationen verwendet [PROG], [CHAN].

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mess_offset | UNS32 | 0 < mess_offset < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Meßmethoden

Für die Bereitstellung von Meßsignalen kann eine der folgenden Meßmethoden definiert werden:

q ein Meßtaster-Signal wird über die Hardware-Schnittstelle des NC-Kerns eingelesen (herkömmliche Methode),

q die SERCOS-Schnittstelle setzt eine entsprechende Botschaft bei Eintreffen des Meßsignals ab,

q es wird ein Bit der achsspezifischen Steuerbitleiste des Lagereglers gesetzt,

q ein Meßtaster-Signal wird über eine spezielle Control-Unit des HLI eingelesen,

q internes Meßsignal bei Überschreiten des vorgegebenen Schleppabstandslimits (Festanschlag)

Bei Anwahl einer Meßmethode müssen alle anderen Meßmethoden jeweils abgewählt sein!

Mehr:

button Meßtaster-Signal über Hardware-Schnittstelle (P-AXIS-00117)

button Meßsignalflanke (P-AXIS-00113)

button Messen mit SERCOS-Antrieben (P-AXIS-00116)

button Meßsignal über achsspez. Steuerbitleiste (P-AXIS-00115)

button Meßsignal über HLI Control Unit (P-AXIS-00257)

button Meßsignal vom Antrieb (P-AXIS-00269)

button Messen durch Fahren auf Festanschlag (P-AXIS-00330)


Meßtaster-Signal über Hardware-Schnittstelle (P-AXIS-00117)

Die Nutzung der Hardwareschnittstelle des NC-Kerns wird über kenngr.mess_signal_taster ausgewählt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mess_signal_taster | BOOLEAN | 0 / 1 | T, R | ----


Meßsignalflanke (P-AXIS-00113)

Definition der Flanke des Meßsignals bei welcher der Zähler den Latchvorgang durchführt.

Variablenname | Typ | Erlaubter Bereich | Achstyp | Dimension
mess_neg_flanke | BOOLEAN | 0 / 1 | T, R | ----

0 | Latchen bei positiver Meßsignalflanke
1 | Latchen bei negativer Meßsignalflanke


Messen mit SERCOS-Antrieben (P-AXIS-00116)

Eine Messung mit SERCOS-Antrieben kann über zwei unterschiedliche Methoden erfolgen:

q Nutzen der vom Antrieb bereitgestellten Meßfunktion (SERCOS-Messen) oder

q Abfragen eines Meßtasters.

Mit Hilfe von kenngr.mess_signal_sercos wird festgelegt, daß das Meßsignal über die SERCOS-Schnittstelle einzulesen ist.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mess_signal_sercos | BOOLEAN | 0 / 1 | T, R | ----

Mehr:

button SERCOS-Statusbit zum Messen definieren (P-AXIS-00106)

button SERCOS-Status/Steuerbits zum Messen definieren (P-AXIS-00060)


SERCOS-Statusbit zum Messen definieren (P-AXIS-00106)

Über diese Bitmaske (z.B. 0x40) wird für das SERCOS-Messen das Statusbit festgelegt, in welchem zyklisch angezeigt wird, ob der Messtaster betätigt ist oder nicht.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mask_mess_1 | UNS16 | 0x40: Statusbit 1 0x80: Statusbit 2 | T, R | ----


SERCOS-Status/Steuerbits zum Messen definieren (P-AXIS-00060)

Hier erfolgt die Zuordung der beim Messen mit SERCOS-Antrieben verwendeten Echtzeitstatus- und steuerbits.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
echtzeit_bit_nr | UNS16 | 0 < echtzeit_bit_nr < 2 | T, R | ----

Die Zuordnung der verwendeten Echtzeitstatus- und -steuerbits erfolgt gemäß der folgenden Tabelle:

P-AXIS-00060 | Steuerbits | Statusbits
 | Messen Freigabe | Messung erfolgt | Messtaster betätigt
0, kein Eintrag | 1 | P-AXIS-00106 | 2
1 | 1 | 1 | 2
2 | 2 | 2 | 1

Es wird empfohlen P-AXIS-00060 entweder auf den Wert 1 oder 2 zu setzen. Der Wert 0 ist nur aus Gründen der Rückwärtskompatibilität vorhanden und erfordert zusätzliche Einstellungen (P-AXIS-00106).

Falls P-AXIS-00060 mit 1 oder 2 belegt ist, ist der Eintrag in P-AXIS-00106 wirkungslos.


Meßsignal über achsspez. Steuerbitleiste (P-AXIS-00115)

Um auch externe Meßsignale berücksichtigen zu können, wird ein Bit in der achsspezifischen Steuerbitleiste als Meßsignal behandelt.

Über kenngr.mess_signal_achs_steuer wird diese Möglichkeit ausgewählt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mess_signal_achs_steuer | BOOLEAN | 0 / 1 | T, R | ----


Meßsignal über HLI Control Unit (P-AXIS-00257)

Mit diesem Parameter kann bestimmt werden, dass das Messignal nicht über die zyklische Antriebsschnittstelle, sondern über die Control Unit MCControlBoolnit_Probing-Signal auf dem HLI [HLI] eingelesen wird. Als Messwert wird der Istwert zum Zeitpunkt des Auftretens des Messignals verwendet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
probing_signal_via_plc | BOOLEAN | 0 / 1 | T, R | ----

Bedingt durch die Abtastung des Messtastersignals im Takt der SPS ist die Genauigkeit des gemessenen Wertes geringer als bei Verwendung eines im Antrieb integrierten Messwertlatches.

Abhängig vom Antriebstyp sind folgende Meßmethoden zulässig:

 | Meßmethode
 | mess_signal_taster mess_signal_achs_steuer probing_signal_via_plc | mess_signal_sercos
Antriebssimulation ( ANTR_TYP_SIMU) | X | -
Konventionelle Antriebsschnittstelle ( ANTR_TYP_KONV) | X | -
SERCOS- Antriebsschnittstelle ( ANTR_TYP_SERCOS) | X | X


Meßsignal vom Antrieb (P-AXIS-00269)

Dieser Parameter legt fest, ob das Messignal vom Antrieb geliefert wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
meas_signal_drive | BOOLEAN | 0 / 1 | T, R | ----


Messen durch Fahren auf Festanschlag (P-AXIS-00330)

Mit diesem Parameter wird die Meßsignalquelle "Festanschlag" ausgewählt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
meas_signal_fixed_stop | BOOLEAN | 0 / 1 | T, R | ----

Der Anwender muß dafür sorgen, daß beim Fahren auf den Festanschlag in den beteiligten Antrieben eine Drehmomentbegrenzung aktiv ist und die Geschwindigkeit hinreichend klein ist.

Alle anderen Meßsignalquellen (z.B. P-AXIS-00116 kenngr.mess_signal_sercos) müssen abgewählt sein.

Mehr:

button Limit für Schleppabstand (P-AXIS-00331)

button Anzahl der Lagereglerzyklen (P-AXIS-00332)


Limit für Schleppabstand (P-AXIS-00331)

Dieser Parameter legt das Limit für den Schleppabstand fest, nach dessen Überschreiten der Festanschlag detektiert und die Messposition übernommen wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
fixed_stop_pos_lag_limit | UNS32 | 0 < fixed_stop_pos_lag_limit < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Anzahl der Lagereglerzyklen (P-AXIS-00332)

Dieser Parameter legt die Anzahl der Lagereglerzyklen fest, die nach Überschreiten des vorgegebenen Schleppabstandslimits P-AXIS-00331 gewartet wird, bevor der Messwert ermittelt wird. Sollte während dieser Zeit das Limit erneut unterschritten werden, wird mit der Zählung von vorne begonnen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
fixed_stop_nbr_cycles | UNS32 | 0 < fixed_stop_nbr_cycles < MAX(UNS32) | T, R | ----


Messauftragsabbruch bei Reset (P-AXIS-00378)

Dieser Parameter legt fest, ob ein Messauftrag (z.B. MC_TouchProbe) bei einem Reset abgebrochen wird. Bei einem SPS-Kaltstart werden von der ISG-Motion Control Plattform immer alle offenen Messaufträge abgebrochen (MC_AbortTrigger).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
keep_tp_over_reset | BOOLEAN | 0 / 1 | T, R | ----


Aktivierung Kantenstoßen (P-AXIS-00098)

Das Element "kenngr.kasto_achse" dient zur Markierung physikalischer Meßachsen bei Verwendung der Funktionalität "Kantenstoßen" in frei definierbaren Koordinaten-systemen.

Dieser Parameter wird nur für bestimmte Applikationen verwendet [PROG].

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
kasto_achse | BOOLEAN | 0 / 1 | T, R | ----


Gantrybetrieb

Für Gantryachsen gelten zusätzliche Überwachungsmechanismen bzgl. der Abweichung der Achspositionen sowie spezielle Strategien zum Ausgleich dieser Abweichungen. Der statische (auch mechanische) Gantrybetrieb wird durch Konfiguration festgelegt, da die Achsen bedingt durch den Maschinenaufbau fest miteinander gekoppelt sind. Der dynamische (auch programmierbare) Gantrybetrieb kann im NC-Programm definiert werden. Die in nachfolgender Tabelle aufgeführten Achsparameter sind abhängig von der Art des Gantrybetriebes zu belegen:

Parameter | Erforderlich für statischen Gantrybetrieb * | Erforderlich für dynamischen Gantrybetrieb
gantry_ax_nr | X |
gantry_max_diff_resetable | X | X
gantry_max_diff_reset_locked | X | X
gantry_offset | X |
gantry_vb_korr | X | X
gantry_diff_check_without_homing | X |
gantry_synchronous_slave_homing (nur bei SERCOS-Antrieben) | X |
cnc_controlled_stop_after_error | X |
gantry_deskew_trigger | X |
gantry_max_homing_dist | X |
gantry_slave_no_homing | X |
gantry_slave_relative_homing | X |

*Bei stat. Gantrybetrieb muß zudem für die Master- und Slaveachse das entsprechende Achsmodebit gesetzt sein (siehe Kapitel 3.1.3)

Mehr:

button Achsnummer der Masterachse (P-AXIS-00070)

button Resetfähige Wegdifferenz (P-AXIS-00072)

button Maximale Wegdifferenz (P-AXIS-00071)

button Statischer Offset (P-AXIS-00073)

button Korrekturgeschwindigkeit (P-AXIS-00075)

button Überwachung Gantry-Differenz vor Referenzpunkfahrt (P-AXIS-00249)

button Antriebsgeführtes Referenzieren des Gantryverbunds (SERCOS) (P-AXIS-00253)

button CNC-geführte Fehlerreaktion (P-AXIS-00254)

button Flankenauswertung GantryOn-Signal (P-AXIS-00261)

button Maximalweg für Gantry-Slaveachse bei Referenzpunktfahrt (P-AXIS-00284)

button Unterdrücken Referenzpkt.fahrt für Gantryslaveachse (P-AXIS-00074)

button Gantryslaveachse relativ zu Encoderüberlauf referenzieren (P-AXIS-00393)


Achsnummer der Masterachse (P-AXIS-00070)

In der Achsparameterliste der Slaveachse wird hier die logische Nummer ihrer Masterachse eingetragen. Ist dieser Parameter belegt, erfolgt im Hochlauf die feste Zuordnung zwischen Master- und Slaveachse. Diese s.g. statische Gantrykopplung besteht auf Lagereglerebene. Die Slaveachse ist im Kanal nicht bekannt. Eine Verfahrbewegung erfolgt ausschließlich durch die Programmierung ihrer Masterachse.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
gantry_ax_nr | UNS16 | 1 < gantry_ax_nr < MAX (UNS16) | T, R | ----

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.


Resetfähige Wegdifferenz (P-AXIS-00072)

Maximal zulässige Wegdifferenz zwischen Master- und Slaveachse. Durch NC-Reset behebbarer Fehler. Typischer Wert: 160 µm

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
gantry_max_diff_resetable | UNS32 | 0 < gantry_max_diff_resetable < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Maximale Wegdifferenz (P-AXIS-00071)

Maximale Wegdifferenz zwischen Master- und Slaveachse. Durch NC-Reset nicht behebbarer Fehler. Typischer Wert: 2600 µm

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
gantry_max_diff_reset_locked | UNS32 | 0 < gantry_max_diff_resetable < gantry_ max_diff_reset_locked < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Statischer Offset (P-AXIS-00073)

Statischer Offset zwischen der Master- und der Slaveachse bei Differenzen der Meßsysteme zwischen Master- und Slaveachse. Das Offsetvorzeichen ergibt sich aus der Rechenvorschrift: OFFSET = SLAVE  MASTER

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
gantry_offset | SGN32 | MIN(SGN32) < gantry_offset < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Korrekturgeschwindigkeit (P-AXIS-00075)

Die Geschwindigkeit, in welcher die Achsposition der Slaveachse korrigiert wird, um die Differenz gantry_offset einzustellen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
gantry_vb_korr | UNS32 | 0 < gantry_vb_korr < P-AXIS-00212 | T | 1 µm/s
 |  |  | R | 0,001°/s


Überwachung Gantry-Differenz vor Referenzpunkfahrt (P-AXIS-00249)

Standardmäßig wird eine Überwachung der Positionsdifferenz zwischen Gantry-Master und Slave-Achse erst durchgeführt, wenn sowohl Master- als auch Slave-Achse referenziert sind.

Mit diesem Parameter ist es möglich, diese Überwachung bereits vor der Referenzpunktfahrt zu aktivieren (gantry_diff_check_without_homing = 1). Bei der Überwachung werden als Grenzwerte die Parameter P-AXIS-00072 und P-AXIS-00071 verwendet. Für den Positionsoffset wird anstelle von P-AXIS-00073 der zum Zeitpunkt des Steuerungshochlaufs vorhandene Offset zwischen Master- und Slaveachse verwendet. Nach erfolgter Referenzpunktfahrt wird P-AXIS-00073 als Positionsoffset verwendet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
gantry_diff_check_without_homing | BOOLEAN | 0 / 1 | T, R | ----


Antriebsgeführtes Referenzieren des Gantryverbunds (SERCOS) (P-AXIS-00253)

Bei antriebsgeführtem Referenzieren (digitale Antriebe, SERCOS) wird die Referenzpunktfahrt hierdurch für den kompletten Gantryverbund zeitgleich gestartet.

Der Anwender muss zusätzlich sicherstellen, dass die Parametrierung der Referenzfahrt in allen Antrieben identisch ist und die Referenzpunktfahrt somit gleich abläuft.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
gantry_synchronous_slave_homing | BOOLEAN | 0 / 1 | T, R | ----

Die antriebsgeführte Referenzpunktfahrt muss bei beiden Antrieben identisch ablaufen (z.B. ohne Nocken, abstandscodiertes Messsystem). Dies ist durch entsprechende Antriebsparametrierung sicherzustellen.

Evtl. ist das Drehmoment während der Referenzpunktfahrt aus Sicherheitsgründen zu reduzieren.


CNC-geführte Fehlerreaktion (P-AXIS-00254)

Bei intelligenten Antrieben führt der Antrieb im Fehlerfall meist eine eigene Fehlerreaktion durch und meldet dies der CNC. Die CNC kann dann weitere im Verbund mit der fehlerhaften Achse laufenden Achsen stoppen.

Bei Gantryachsen ist es nicht erlaubt, dass eine Achse des Gantryverbunds selbstständig stoppt. Aus diesem Grunde kann die CNC im Falle eines Fehlers einer Achse den gesamten Gantryverbund geführt stoppen. Die Funktionalität wird bei der Master- und Slaveachse eingestellt. Es wird überprüft, ob die Einstellungen der Master- und Slaveachsen identisch sind und evtl. in den Slaveachsen korrigiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
cnc_controlled_stop_after_error | BOOLEAN | 0 / 1 | T, R | ----

0 | Antriebsinterne Fehlerreaktion
1 | CNC geführte Fehlerreaktion

Bei CNC geführter Fehlerreaktion wird mit angegebener Nothaltbeschleunigung
 P-AXIS-00003 (a_emergency) gestoppt.

Dieser Parameter wird derzeit nur bei SERCOS-Achsen verwendet.

Zusätzlich muss der Antrieb so parametriert werden, dass er keine eigene (bzw. nur verzögert) Fehlerreaktion durchführt (s. EcoDrive P-0-0117).


Flankenauswertung GantryOn-Signal (P-AXIS-00261)

Mit dem Parameter P-AXIS-00261 kann für das HLI-Signal MCControlBoolUnit_GantryOn eine Flankenauswertung eingeschaltet werden. Weitere Informationen über MCControlBoolUnit_GantryOn können [HLI] entnommen werden.

Wenn P-AXIS-00261 der Wert 1 zugewiesen wird, erfolgt das Ausfahren der Gantrydifferenz unabhängig von der eingestellten Korrekturgeschwindigkeit P-AXIS-00075 nur nach einer steigenden Flanke des Signals MCControlBoolUnit_GantryOn. Das Ausfahren der Gantrydifferenz nach einem CNC-Reset wird ebenfalls unterdrückt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
gantry_deskew_trigger | BOOLEAN | 0 / 1 | T, R | ----


Maximalweg für Gantry-Slaveachse bei Referenzpunktfahrt (P-AXIS-00284)

Mit diesem Parameter kann der zulässige Verfahrbereich einer Gantry-Slaveachse während der Referenzpunktfahrt eingeschränkt werden. Der Parameter legt den maximal zulässigen Verfahrbereich der Slaveachse in positiver und negativer Richtung relativ zur Startposition der Referenzpunktfahrt fest. Falls der zulässige Verfahrbereich überschritten wird, erfolgt eine Fehlermeldung mit Fehlerkennung P-ERR-70229 und die Referernzpunktfahrt wird abgebrochen.

Durch einen Wert von 0 wird die Überwachung deaktivert (Defaulteinstellung).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
gantry_max_homing_dist | SGN32 | 0 < gantry_max_homing_dist < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001º


Unterdrücken Referenzpkt.fahrt für Gantryslaveachse (P-AXIS-00074)

Mit diesem Parameter kann die Referenzpunktfahrt für Gantry-Slaveachsen unterdrückt werden. Nach erfolgter Referenzpunktfahrt der Masterachse werden die in der Achsparamterliste der Slaveachsen eingetragenen Referenzpositionen übernommen und die Überwachung der Gantrydifferenz zwischen Master- und Slaveachsen gestartet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
gantry_slave_no_homing | BOOLEAN | 0 / 1 | T, R | ----


Gantryslaveachse relativ zu Encoderüberlauf referenzieren (P-AXIS-00393)

Wenn dieser Parameter auf 1 gesetzt ist, wird eine Gantry-Slaveachse folgendermassen referenziert: Zu dem Zeitpunkt zu dem für die Masterachse die Position übernommen wird, wird der Offset der Slaveachse relativ zum Encoderüberlauf bestimmt und die resultierende Achsposition der Slaveachse auf P-AXIS-00152 + Abstand vom Encoderüberlauft gesetzt. Für die Achse wird keine separate Referenzpunktfahrt durchgeführt.

Die mechanische Achsposition der Slaveachse kann durch den Parameter P-AXIS-00354 verschoben werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
gantry_slave_relative_homing | BOOLEAN | 0 / 1 | T, R | ----

Dieser Parameter kann nur verwendet werden, wenn die folgenden Bedingungen erfüllt sind:

· Der Encoder der Slaveachse liefert eine Absolutposition innerhalb einer Encoderumdrehung.

· Die Slaveachse kann mechanisch nie mehr als eine halbe Encoderumdrehung in positiver oder negativer Richtung gegenüber der Masterachse verschoben sein.

Falls diese Bedingungen nicht erfüllt sind kann dies zu schäden an der Maschine führen!


Achskollisionsüberwachung

Mehr:

button Logische Achsnummer (P-AXIS-00043)

button Sicherheitsabstand (P-AXIS-00045)

button Anhalten in allen Kanälen (P-AXIS-00044)

button Invertieren der Bewegungsrichtungen (P-AXIS-00262)

button Offset der Nullpositionen (P-AXIS-00263)

button Wirksame Verzögerung (P-AXIS-00267)


Logische Achsnummer (P-AXIS-00043)

Logische Achsnummer der zu überwachenden Achse. Für diese Achse muß im Achsmode das Bit 0x8000 gesetzt sein (siehe Kapitel 3.1.3)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
coll_check_ax_nr | UNS32 | 1 < coll_check_ax_nr < MAX(UNS32) | T | ----


Sicherheitsabstand (P-AXIS-00045)

Minimale Distanz zwischen zwei Kollisionsachsen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
coll_offset | UNS32 | 1< coll_offset < MAX(UNS32) | T | 0,1µm


Anhalten in allen Kanälen (P-AXIS-00044)

Gehören Kollisionsachsen zu unterschiedlichen Kanälen, kann über diesen Parameter ein Anhalten in beiden Kanälen erzwungen werden, wenn eine Kollisionsachse einen Antriebsfehler meldet.

Damit wird sichergestellt, dass ein Fehler im Meßsystem einer Achse nicht zu einer Achskollision führen kann.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
coll_decelerate_chan | BOOLEAN | 0 / 1 | T | ----


Invertieren der Bewegungsrichtungen (P-AXIS-00262)

Wenn sich die Achsen eines Kollisionspaares bei einer programmierten Bewegung in dieselbe Richtung mechanisch in unterschiedliche Richtungen bewegen, so ist dieser Parameter auf 1 zu setzen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
coll_moving_dir_inverted | BOOLEAN | 0 / 1 | T | ----


Offset der Nullpositionen (P-AXIS-00263)

In diesem Parameter ist ein eventueller Offset der Nullpositionen der Achsen eines Kollisionspaares einzutragen. Es ist die Position des Nullpunktes der zweiten Achse (des Kollisionspartners) im Achskoordinatensystem der ersten Achse (der Masterachse) einzutragen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
coll_zero_position_offset | SGN32 | MIN(SGN32)<coll_zero_position_offset<MAX(SGN32) | T | 0,1µm


Wirksame Verzögerung (P-AXIS-00267)

Standardmäßig wird zur Berechnung des Bremsweges und zum Verzögern der Achse bei erkannter Kollision P-AXIS-00008 (a_max) verwendet. Durch den Parameter P-AXIS-00267 kann festgelegt werden, dass bei der Kollisionsüberwachung P-AXIS-00003 (a_emergency) zu verwenden ist.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
coll_use_a_emergency | BOOLEAN | 0 / 1 | T | ----


Nachführbetrieb

Mehr:

button Maximale Geschwindigkeit der Ausgleichsbewegung nach Abwahl (P-AXIS-00208)

button Maximale Abweichung nach Abwahl (P-AXIS-00056)

button Positionsoffset nach Nachführbetrieb beibehalten (P-AXIS-00258)


Maximale Geschwindigkeit der Ausgleichsbewegung nach Abwahl (P-AXIS-00208)

Bei aktivem Nachführbetrieb kann die Achse aus der Sollposition gedrückt werden. Damit tritt eine Lagedifferenz zwischen ursprünglichem Sollwert und der aktuellen Position auf. Wenn die Aktivierung des Nachführbetriebes während der Abarbeitung eines Programmes oder bei aktivem Handbetrieb erfolgt, so wird die Achse bei der Deaktivierung des Nachführbetriebes an die Stelle zurückgefahren, an der die Aktivierung erfolgte. Abhängig von vb_corr_tracking kann dies sprungförmig (vb_corr_tracking = 0) oder interpolatorisch (vb_corr_tracking != 0) erfolgen. Mit dem Parameter P-AXIS-00258 kann dieses Zurückfahren an die Anwahlposition verhindert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_corr_tracking | UNS32 | 0 < vb_corr_tracking < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001 °/s


Maximale Abweichung nach Abwahl (P-AXIS-00056)

Nach Ausschalten des Nachführbetriebes weicht normalerweise die Istposition von der ursprünglich gespeicherten Sollposition ab. Mit dem Parameter diff_pos_tracking wird eine Obergrenze für diese Abweichung eingestellt. Wird diese Abweichung überschritten, wird eine Fehlermeldung erzeugt, bei Abweichungen kleiner als diff_pos_tracking wird auf die gespeicherte Sollposition zurückgefahren (siehe auch P-AXIS-00208).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
diff_pos_tracking | UNS32 | 0 < diff_pos_tracking < MAX(UNS32) | T | 0.1 µm
 |  |  | R | 0,0001 °


Positionsoffset nach Nachführbetrieb beibehalten (P-AXIS-00258)

Wenn der Nachführbetrieb während der Abarbeitung eines Programms oder bei aktivem Handbetrieb aktiviert und wieder deaktivert wird, so wird die Achse an die Position zurückbewegt, an die sie bei der Anwahl des Nachführbetriebes war. Durch den Parameter P-AXIS-00258 kann das Zurückbewegen der Achse an die Anwahlposition verhindert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tracking_offset_remain | BOOLEAN | 0 / 1 | T, R | ----


Getriebedaten

Die Daten der Achsparameterliste können in getriebestufenabhängige und getriebestufen-unabhängige Daten gegliedert werden.

In diesem Kapitel werden die Parameter zur Definition der Getriebestufen und die Getriebeschaltpositionen beschrieben.

Mehr:

button Nummer der Default-Getriebestufe (P-AXIS-00079)

button Definition der Getriebestufe für C-Achsbetrieb (P-AXIS-00052)


Nummer der Default-Getriebestufe (P-AXIS-00079)

Im Parameter "kenngr.getriebe_stufe" wird die Getriebestufennummer definiert, die nach Hochlauf der Steuerung aktiv sein soll.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
getriebe_stufe | UNS16 | 1 < getriebe_stufe < MAX(UNS16) | T, R | ----


Definition der Getriebestufe für C-Achsbetrieb (P-AXIS-00052)

Im Parameter "kenngr.def_cax_gear_st" ist die Getriebestufe für den C-Achsbetrieb definiert. Bei der Anwahl des C-Achsbetriebs wird die Achse vom Spindelinterpolator in den Bahninterpolator getauscht. Im Bahninterpolator wird automatisch ein Getriebeschalten nach kenngr.def_cax_gear_st durchgeführt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
def_cax_gear_st | UNS16 | 1 < def_cax_gear_st < MAX(UNS16) | R | ----


Einstellungen für SAI (Single Axis Interpolation)

Die folgenden Parameter sind nur erforderlich, wenn die Achse als s.g. SAI-Achse betrieben werden soll.

Mehr:

button Konfiguration einer SAI-Achse (P-AXIS-00250)

button Anfordern einer SAI-Achse bei Reset (P-AXIS-00251)

button Anfahren einer Zielposition bei Richtungsumkehr (P-AXIS-00252)

button Superimposed Interpolator ausschalten (P-AXIS-00287)

button Camming/Gearing (cam_gear.*)


Konfiguration einer SAI-Achse (P-AXIS-00250)

Für die PLCopen-spezifische Achscharakteristik muss der SAI nicht nur für Spindel-Achsen, sondern auch für translatorische und rotatorische Achsen einkonfiguriert sein. Dies wird durch die neue Kenngröße configure_sai erreicht.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
configure_sai | BOOLEAN | 0 / 1 | T, R | ----


Anfordern einer SAI-Achse bei Reset (P-AXIS-00251)

Ein SAI (bzw. Spindel) kann über einen Kanal zum Abgeben seiner Achse beauftragt werden ("PUTAX"). Wenn der SAI keine Achse besitzt, während er vom gleichen Kanal einen Resetauftrag erhält, fordert er bei gesetztem auto_call_ax automatisch die Achse wieder an.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
auto_call_ax | BOOLEAN | 0 / 1 | T, R | ----


Anfahren einer Zielposition bei Richtungsumkehr (P-AXIS-00252)

Dieser Parameter legt bei PLCopen Achsen das Anfahrverhalten auf die neue Zielposition bei Richtungsumkehr fest.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
consider_total_brake_dist | BOOLEAN | 0 / 1 | T, R | ----

0 | Bei Richtungsumkehr wird die neue Zielposition durch eine Modulorechnung ermittelt.
1 | Bei Richtungsumkehr wird die neue Zielposition angefahren, indem der komplette Bremsweg zurückgefahren wird und dann die Zielposition angefahren wird.


Superimposed Interpolator ausschalten (P-AXIS-00287)

Für die PLCOpen Funktionalität überlagerte Bewegung (superimposed movement) wird in einem Single Axis Interpolator ein zweiter Interpolator zur Ausführung der überlagerten Bewegung bereitgestellt. Wenn diese Funktionalität nicht benötigt wird kann der zweite Interpolator abgeschaltet werden um Rechenzeit zu sparen. Defaultmäßig ist der zweite Interpolator ausgeschaltet.

Variablenname | Typ | Erlaubter Bereich | Achstyp | Dimension
disable_super_imposed | BOOLEAN | 0 / 1 | T, R | ----


Camming/Gearing (cam_gear.*)

Beim Camming/Gearing wird eine Bewegungssynchronisation zwischen zwei Achsen hergestellt. Dabei ist der Bewegungszusammenhang zwischen den Achsen entweder durch einen festen Faktor (Gearing) oder durch eine Tabelle festgelegt, in der Positionen für die Slaveachse in Abhängigkeit von der Position der Masterachse angegeben werden.

Zur Erzeugung dieser Synchronbewegung ist zunächst eine geschwindigkeitsmässige Synchronisation der beiden Achsen nötig. Mit den folgenden Parametern können die Bedingungen definiert werden, ab wann die beiden Achsen als geschwindigkeitssynchron betrachtet werden.

Mehr:

button Achse als Camming / Gearing -Master definieren (P-AXIS-00288)

button Geschwindigkeitstoleranzbereich (P-AXIS-00289)

button Minimalzeit im Toleranzbereich für Geschwindigkeitssynchronisation (P-AXIS-00290)

button Maximalzeit für Geschwindigkeitssynchronisation (P-AXIS-00291)

button Mittelwertfilter für Master-Istgeschwindigkeit (P-AXIS-00300)

button Anzahl der Abtastzyklen für Mittelwertfilter (P-AXIS-00301)

button Totzeit bei istwertseitiger Getriebekopplung (P-AXIS-00302)

button Maximale Sollgeschwindigkeit für Slaveachse (P-AXIS-00303)

button Maximale Sollbeschleunigung für Slaveachse (P-AXIS-00304)

button Geschwindigkeit für Synchronisierung der Phase (P-AXIS-00305)

button Beschleunigung für Synchronisierung der Phase (P-AXIS-00306)

button Verzögerung für die Synchronisierung der Phase (P-AXIS-00307)

button Ruck für Synchronisierung der Phase (P-AXIS-00376)

button Ruck für die Geschwindigkeitssynchronisierung (P-AXIS-00377)

button Kopplungsverhalten bei Fehler aus Lageregler (P-AXIS-00308)

button Kopplungsverhalten bei Abfall der Vorschubfreigabe (P-AXIS-00309)

button Grenzbeschleunigung für Master-Istposition (P-AXIS-00437)


Achse als Camming / Gearing -Master definieren (P-AXIS-00288)

TwinCAT CNC: Überblick

Achse als Camming / Gearing Master definieren (P-AXIS-00288)

Wenn eine Spindel bzw. ein SAI als Masterachse einer Synchronbewegung verwendet werden soll, ist dieser Paramter mit dem Wert 1 zu belegen.

Variablenname | Typ | Erlaubter Bereich | Achstyp | Dimension
is_master | BOOLEAN | 0 / 1 | T, R | ----

0 | Achse ist kein Master
1 | Achse ist Master


Geschwindigkeitstoleranzbereich (P-AXIS-00289)

Mit diesem Parameter wird der zulässige prozentuale Geschwindigkeitsunterschied angegeben, ab dem die Achsen als geschwindigkeitssynchron gelten.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
v_diff_percent | UNS16 | 0 ... 1000 | T, R | 0,1%


Minimalzeit im Toleranzbereich für Geschwindigkeitssynchronisation (P-AXIS-00290)

Zeit die sich die Slaveachse in dem durch P-AXIS-00289 definierten Toleranzbereich befinden muss, bis sie als geschwindigkeitssynchron betrachtet wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
time_in_window | UNS32 | 0 ... MAX(UNS32) | T, R | µs


Maximalzeit für Geschwindigkeitssynchronisation (P-AXIS-00291)

Maximal zulässige Zeit für die Durchführung der Synchronisation. Falls die Synchonisation nicht innerhalb der angegebenen Zeit erfolgte, wird der Synchronisationsvorgang abgebrochen und eine Fehlermeldung ausgegeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
time_out_in_window | UNS32 | 0 ... MAX(UNS32) | T, R | µs


Mittelwertfilter für Master-Istgeschwindigkeit (P-AXIS-00300)

Arithmetisches Mittelwertfilter für die Master-Istgeschwindigkeit ein(1) / aus (0). Der Parameter wird bei der istwertseitigen Getriebekopplung verwendet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mv_type | UNS16 | 0 / 1 | T, R | ----


Anzahl der Abtastzyklen für Mittelwertfilter (P-AXIS-00301)

Anzahl der Abtastzyklen, über die die Master-Istgeschwindigkeit gefiltert werden soll. Der Parameter wird bei der istwertseitigen Getriebekopplung verwendet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mv_nbr_cycles | UNS32 | 1 ... 100 | T, R | ----


Totzeit bei istwertseitiger Getriebekopplung (P-AXIS-00302)

Parameter für die Totzeitkompensation bei istwertseitiger Getriebekopplung. Die Ermittlung des Parameters muss für jedes System speziell erfolgen, da er abhängig ist von Achsfiltern und Totzeiten im (digitalen) Antrieb. Der Parameter wird bei der istwertseitigen Getriebekopplung verwendet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
delay_time | UNS32 | 0 ... 1E+7 | T, R | µs


Maximale Sollgeschwindigkeit für Slaveachse (P-AXIS-00303)

Maximal zulässige Geschwindigkeitsvorgabe für eine Slave-Achse während der Geschwindigkeitssynchronisierung (für Camming und Gearing ) sowie bei einsynchronisiertem Camming.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
v_max_slave | UNS32 | 1 ... MAX(UNS32) | T, R | µm/s


Maximale Sollbeschleunigung für Slaveachse (P-AXIS-00304)

Maximal zulässige Beschleunigungsvorgabe für die Slave-Achse, in synchronisiertem Zustand bei Getriebekopplung.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_max_slave | UNS32 | 1 ... MAX(UNS32) | T, R | mm/s2


Geschwindigkeit für Synchronisierung der Phase (P-AXIS-00305)

Geschwindigkeit für die Synchronisierung der Phase (Phasing) beim Camming.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
v_phasing | UNS32 | 1 ... P-AXIS-00212 / 2 | T, R | µm/s


Beschleunigung für Synchronisierung der Phase (P-AXIS-00306)

Beschleunigung für die Synchronisierung der Phase (Phasing) beim Camming.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_phasing | UNS32 | 1 ... P-AXIS-00008 / 2 | T, R | mm/s2


Verzögerung für die Synchronisierung der Phase (P-AXIS-00307)

Verzögerung für die Synchronisierung der Phase (Phasing) beim Camming.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
d_phasing | UNS32 | 1 ... P-AXIS-00008 / 2 | T, R | mm/s2


Ruck für Synchronisierung der Phase (P-AXIS-00376)

Ruck für die Synchronisierung der Phase (Phasing) beim Camming.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
j_phasing | UNS32 | 1 ... ( ( P-AXIS-00008 / 2) / P-AXIS-00201 ) | T, R | mm/s3


Ruck für die Geschwindigkeitssynchronisierung (P-AXIS-00377)

Ruck für die Geschwindigkeitssynchronisierung beim Camming.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
j_vel_sync | UNS32 | 1 ... ( ( P-AXIS-00008 / 2) / P-AXIS-00201 ) | T, R | mm/s3


Kopplungsverhalten bei Fehler aus Lageregler (P-AXIS-00308)

Behandlung der Cam/GearKoppelung bei Not-Aus.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
keep_coupling_on_lr_error | BOOLEAN | 0 / 1 | T, R | ---

0 | Bei einem Not-Aus wird die Cam/Gear  Koppelung der Slave-Achse gelöst. Die Achse bremst mit dem Stromgrenzenparameter.
1 | Bei einem Not-Aus wird die Cam/Gear  Kopplung der Slave-Achse aufrecht erhalten.


Kopplungsverhalten bei Abfall der Vorschubfreigabe (P-AXIS-00309)

Behandlung der Cam/GearKoppelung bei Abfall des Feed_ enable Watchdog.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
keep_coupling_on_fe_drop | BOOLEAN | 0 / 1 | T, R | ---

0 | Bei einem Abfall des Feed_enable Watchdog wird die Cam/Gear  Koppelung gelöst. Die Achse bremst mit dem Stromgrenzenparameter und geht in den Fehlerzustand.
1 | Bei einem Abfall des Feed_enable Watchdog die Cam/Gear  Koppelung aufrecht erhalten. Der sichere Zustand muss durch Anhalten der Masterachse hergestellt werden.


Grenzbeschleunigung für Master-Istposition (P-AXIS-00437)

In diesem Parameter wird die Grenzbeschleunigung für eine istwertseitige Getriebekopplung (MC_GearIn, s. [MCP-P1] ) angegeben, ab der die Master-Istposition durch Extrapolation verändert wird. Die Grenzbeschleunigung wird für die Slaveachse als Faktor, bezogen auf ihre maximale Achsbeschleunigung P-AXIS-00008 angegeben. Der Defaultwert des Parameters beträgt 1500 (150%).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
fact_a_max_correction | UNS32 | 0 < fact_a_max_correction < MAX(UNS32) Defaultwert: 1500 (150%) | T, R, S | 0,1 %


Geschwindigkeitsüberwachung

Mehr:

button Ist-Geschwindigkeitsüberwachung (P-AXIS-00311)

button Aktivierung der Geschwindigkeitsüberwachung (P-AXIS-00312)

button Aktivierung der Bewegungsfreigabe per SPS (P-AXIS-00313)

button Geschwindigkeitsüberwachung während Drehmomentbegrenzung (P-AXIS-00314)


Ist-Geschwindigkeitsüberwachung (P-AXIS-00311)

Bei aktivierter Geschwindigkeitsüberwachung via P-AXIS-00312 (enable_speed_monitoring) wird die aktuelle Ist-Geschwindigkeit von Rundachsen auf diesen Grenzwert überwacht. Linearachsen werden gemäß EN775 mit einem festen Grenzwert von 250 mm/s überwacht. Ist der Parameter gleich 0 oder nicht angegeben, so wird auf P-AXIS-00268 (vb_not_referenced) überwacht.

Bei Überschreitung des Grenzwerts wird mit der Nothaltrampe angehalten.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_monitor | UNS32 | 1 < vb_ monitor < MAX(UNS32) | R | 0,001 °/s


Aktivierung der Geschwindigkeitsüberwachung (P-AXIS-00312)

Zur Aktivierung der Ist-Geschwindigkeitsüberwachung kann dieser Parameter eingeschaltet werden. Die maximal zulässige Ist-Geschwindigkeit wird mit P-AXIS-00311 (vb_monitor) vorgegeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
enable_speed_monitoring | BOOLEAN | 0 / 1 | T, R | ----


Aktivierung der Bewegungsfreigabe per SPS (P-AXIS-00313)

Wenn die Bewegungsfreigabe per SPS gesteuert werden soll, dann muss dieser Parameter aktiviert werden. Bei gesetztem Parameter wird der Bewegungsfreigabe-Watchdog auf der SPS-Schnittstelle ausgewertet. Wird dieser Watchdog nicht getriggert, dann wird im Interpolator per Feedhold bahntreu angehalten.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
enable_feed_enable | BOOLEAN | 0 / 1 | T, R | ----


Geschwindigkeitsüberwachung während Drehmomentbegrenzung (P-AXIS-00314)

Während aktiver Drehmomentbegrenzung wird die Ist-Geschwindigkeit auf diese maximal zulässige Geschwindigkeit überwacht. Ist der Parameter gleich 0 oder nicht angegeben, dann wird auf P-AXIS-00212 (vb_max) überwacht.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_torq_limit_max | UNS32 | 1 < vb_torq_ limit_max < MAX(UNS32) | T | µm/s
 |  |  | R | 0,001 °/s


Verhalten bei Reglerfreigabe

Mehr:

button Max. zul. Pos.differenz bei Setzen der Reglerfreigabe (P-AXIS-00108)

button Pos.differenz bei Setzen der Reglerfreigabe ausfahren (P-AXIS-00327)

button Rückinterpolation bei Feedhold nach Reglerfreigabe nicht anhalten (P-AXIS-00356)


Max. zul. Pos.differenz bei Setzen der Reglerfreigabe (P-AXIS-00108)

Beim Setzen der Reglerfreigabe wird der Achse ein neuer Sollwert vorgegeben. Weicht dieser Sollwert vom aktuellen Istwert ab, kommt es zwangsläufig zu einer sprungförmigen Anregung des Antriebes. Um die resultierende Achsbewegung zu begrenzen, wird die Regeldifferenz bzgl. eines Grenzwertes überwacht.

Ist die aktuelle Differenz zwischen Soll- und Istposition beim Setzen der Reglerfreigabe größer als der angegebene Wert, wird eine Fehlermeldung erzeugt. Die Differenz wird nicht ausgefahren.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
max_diff_soll_ist | UNS32 | 0 < max_diff_soll_ist < MAX(SGN32) | T | 0,1 µm
 |  |  | R | 0,0001 °


Pos.differenz bei Setzen der Reglerfreigabe ausfahren (P-AXIS-00327)

Beim Setzen der Reglerfreigabe fährt die Achse von ihrer aktuellen Istposition zur vorgegebenen Sollposition. Ist die Differenz zwischen Soll- und Istposition kleiner als P-AXIS-00108 wird die Differenz sprungförmig ausgefahren. Durch den Parameter P-AXIS-00327 kann erreicht werden, dass die Positionsdifferenz unter Verwendung eines linearen Beschleunigungsprofils abgebaut wird.

Hierbei werden die folgenden Dynamikparameter verwendet:

Geschwindigkeit der Korrekturbewegung | P-AXIS-00208
Beschleunigung der Korrekturbewegung | P-AXIS-00011

Durch einen Reset während der Korrekturbewegung wird diese unter Einhaltung der obengenannten Dynamikparameter abgebrochen.

Ein kanalspezifischer Vorschubstop (Feedhold) führt zu einem Anhalten der Korrekturbewegung, wenn die Achse einem Kanal zugeordnet ist. Wenn die Achse keinem Kanal zugeordnet ist, führt ein achsspezifischer Vorschubstop (Feedhold) bzw. Override 0 zur Unterbrechung der Korrekturbewegung.

Ein Programmstart bzw. Fortsetzen eines Programms wird erst durchgeführt, wenn die Korrekturbewegung abgeschlossen ist.

Diese Funktionalität wird aktuell nur von den Antriebstypen SERCOS, CAN und DSE unterstützt. Ab Version 263 wird auch PROFIDRIVE unterstützt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
pos_corr_drive_enable | BOOLEAN | 0 / 1 | T | ----


Rückinterpolation bei Feedhold nach Reglerfreigabe nicht anhalten (P-AXIS-00356)

Durch diesen Parameter wird festgelegt, ob bei der Rückinterpolation nach Setzen der Reglerfreigabe (siehe P-AXIS-00327) durch einen achs- oder kanalspezifischen Feedhold angehalten werden kann.

In der Grundeinstellung hat dieser Parameter den Wert 0.

Wird der Parameter mit dem Wert 1 belegt, kann eine Rückinterpolationsbewegung nicht durch Feedhold angehalten werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
pos_corr_ignore_feedhold | BOOLEAN | 0 / 1 | T,R | ----


Toleranzfenster für Achsfilter (P-AXIS-00351)

Dieser Parameter gibt die Positionstoleranz an, innerhalb der die Achsfilter als Position erreicht betrachtet werden:

| ungefilterter Sollwert  gefilterter Sollwert | < filter_position_window

Bei aktivierten Achsfiltern wird bei Reset, Achspositionsanforderung oder Genauhalt auf das Erreichen des Toleranzfensters gewartet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
filter_position_window | REAL64 | 0.01 < filter_position_window | T | 0,1µm
 |  |  | R | 0,0001°


Overridegrenzen

Mehr:

button Maximal zulässiger Geschwindigkeitsoverride (P-AXIS-00109)


Maximal zulässiger Geschwindigkeitsoverride (P-AXIS-00109)

Dieser Parameter wird zur Begrenzung des achsspezifischen Overridewertes bei unabhängigen Achsen und bei Spindeln verwendet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
max_vb_override | UNS16 | 1 < max_vb_override < MAX_VB_OVERRIDE | T, R | 0,1%

Wert MAX_VB_OVERRIDE | Bedeutung
applikationsabhängig | Vorgabe des maximalen achsspezifischen Geschwindigkeitsoverrides (Plausibilitätsgrenze)


Reduzierte Geschwindigkeit

Für Sicherheitsfunktionen oder für Inbetriebnahmezwecke kann die SPS der CNC über ein Steuersignal die Umschaltung auf einen reduzierten Achsvorschub kommandieren.

Mehr:

button Reduzierte Maximalgeschwindigkeit bei aktivem G01 (P-AXIS-00214)

button Reduzierte Maximalgeschwindigkeit bei aktivem G00 (P-AXIS-00155)

button Reduzierte Maximalgeschwindigkeit im Sicherheitsbereich


Reduzierte Maximalgeschwindigkeit bei aktivem G01 (P-AXIS-00214)

Die SPS kann der CNC über ein Steuersignal REDUCED_ SPEED die Umschaltung auf einen reduzierten Achsvorschub vb_max_red kommandieren. Die Reaktion erfolgt in Echtzeit, nach dem u. U. erforderlichen Bremsvorgang fährt keine der bewegten Achse schneller als der Eintrag vb_max_red.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_max_red | UNS32 | 0 < vb_max_red < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Reduzierte Maximalgeschwindigkeit bei aktivem G00 (P-AXIS-00155)

Bei aktivem G00 kann die SPS der CNC über ein Steuersignal REDUCED_SPEED die Umschaltung auf einen reduzierten Achsvorschub rapid_speed_red kommandieren. Die Reaktion erfolgt in Echtzeit, d.h. nach dem u. U. erforderlichen Bremsvorgang fährt keine der bewegten Achse schneller als der Eintrag rapid_speed_red.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
rapid_speed_red | UNS32 | 0 < rapid_speed_red < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Reduzierte Maximalgeschwindigkeit im Sicherheitsbereich

In Verbindung mit dem Sicherheitsbereich einer Achse, kann die SPS der CNC über ein Steuersignal die Umschaltung auf einen reduzierten Bahnvorschub kommandieren. Der Wert ist unabhängig vom aktuellen Bewegungsmodus (G00 oder G01) gültig. Der Sicherheitsbereich wird durch die Achspositionen innerhalb eines oberen und unteren Grenzwertes definiert. Der Vorschub wird dann angenommen, wenn sich die Achse im Sicherheitsbereich befindet bzw. in diesen einfährt. Die Reaktion erfolgt in Echtzeit, d. h. nach dem i. a. erforderlichen Bremsvorgang fährt keine der Achsen schneller als der Eintrag vb_max_red_zone. Pro Achse können zwei Sicherheitsbereiche definiert werden, die sich auch überlappen können.

Mehr:

button Positive Grenze des Sicherheitsbereiches 1 (P-AXIS-00085)

button Negative Grenze des Sicherheitsbereiches 1 (P-AXIS-00093)

button Positive Grenze des Sicherheitsbereiches 2 (P-AXIS-00097)

button Negative Grenze des Sicherheitsbereiches 2 (P-AXIS-00105)

button Max. zulässige Achsgeschw. im Sicherheitsbereich (P-AXIS-00030)


Positive Grenze des Sicherheitsbereiches 1 (P-AXIS-00085)

Mit dem Parameter "red_speed_zone_pos" wird die obere Bereichsgrenze des Sicherheitsbereiches 1 definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
red_speed_zone_pos | SGN32 | swe_neg < red_speed_zone_pos < swe_pos red_speed_zone_pos > red_speed_zone_neg | T | 0,1µm
 |  |  | R | 0,0001º


Negative Grenze des Sicherheitsbereiches 1 (P-AXIS-00093)

Mit dem Parameter "red_speed_zone_neg" wird die untere Bereichsgrenze des Sicherheitsbereiches 1 definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
red_speed_zone_neg | SGN32 | swe_neg < red_speed_zone_neg < swe_pos red_speed_zone_neg < red_speed_zone_pos | T | 0,1µm
 |  |  | R | 0,0001º


Positive Grenze des Sicherheitsbereiches 2 (P-AXIS-00097)

Mit dem Parameter "red_speed_zone_2_pos" wird die obere Bereichsgrenze des Sicherheitsbereiches 2 definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
red_speed_zone_2_pos | SGN32 | swe_neg < red_speed_zone_2_pos < swe_pos red_speed_zone_2_pos>red_speed_zone_2_neg | T | 0,1µm
 |  |  | R | 0,0001º


Negative Grenze des Sicherheitsbereiches 2 (P-AXIS-00105)

Mit dem Parameter "red_speed_zone_2_neg" wird die untere Bereichsgrenze des Sicherheitsbereiches 2 definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
red_speed_zone_2_neg | SGN32 | swe_neg < red_speed_zone_2_neg < swe_pos red_speed_zone_2_neg<red_speed_zone_2_pos | T | 0,1µm
 |  |  | R | 0,0001º


Max. zulässige Achsgeschw. im Sicherheitsbereich (P-AXIS-00030)

Der Wert vb_max_red_zone legt die maximal zulässige Achsgeschwindigkeit bei aktivem IPO-Steuersignal REDUCED_SPEED_ZONE bzw. REDUCED_SPEED_2_ZONE innerhalb der Sicherheitsbereiche 1 und 2 fest.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_max_red_zone | UNS32 | 0 < vb_max_red_zone < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Anwahl der Feininterpolation (P-AXIS-00066)

Mit dem Parameter "kenngr.feininterpolation" kann die Feininterpolation angewählt werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
feininterpolation | BOOLEAN | 0 / 1 | T, R | ----


Drehmomenteinstellungen

Mehr:

button Drehmomentoffset (P-AXIS-00324)

button Zähler Skalierungsfaktor für Drehmoment (P-AXIS-00325)

button Nenner Skalierungsfaktor für Drehmoment (P-AXIS-00326)


Drehmomentoffset (P-AXIS-00324)

Falls der verwendete Antrieb dies unterstützt, besteht die Möglichkeit durch die CNC, einen additiven Drehmomentsollwert statisch auszugeben. Dieser wird am Eingang des Stromreglers zum antriebsintern berechneten Stromsollwert des Drehzahlreglers addiert. Durch diesen additiven Drehmomentsollwert kann z. B. eine Gewichtskompensation erreicht werden.

Die Angabe des additiven Drehmomentsollwertes erfolgt in 0.1 % vom Motorenmoment (siehe auch P-AXIS-00325, P-AXIS-00326).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torque_offset | SGN16 | 0 < torque_offset < 1000 | T, R | 0,1 %

Die Ausgabe eines additiven Drehmomentsollwertes wird nicht von allen Antriebstypen unterstützt. Falls diesem Parameter ein Wert größer als 0 zugewiesen wird und der Antriebstyp dies nicht unterstützt, wird eine Fehlermeldung mit der Nummer P-ERR-110464 ausgegeben; siehe auch [DIAG] .


Zähler Skalierungsfaktor für Drehmoment (P-AXIS-00325)

Zähler des Skalierungsfaktors für die Drehmomentvorgabe an den Antrieb. Der Faktor wird als Quotient angegeben. Dieser Quotient ist der Wert, der an den Antrieb ausgegeben werden muss, damit der Motor sein Nennmoment abgibt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torque_scale_num | UNS32 | 0 < torque_scale_num < MAX(UNS32) | T, R | ----


Nenner Skalierungsfaktor für Drehmoment (P-AXIS-00326)

Nenner des Skalierungsfaktors für die Drehmomentvorgabe an den Antrieb. Der Faktor wird als Quotient angegeben. Dieser Quotient ist der Wert, der an den Antrieb ausgegeben werden muss, damit der Motor sein Nennmoment abgibt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
torque_scale_denom | UNS32 | 1 < torque_scale_denom < MAX(UNS32) | T, R | ----

Falls für P-AXIS-00326 ein Wert von 0 eingeben wird, wird eine Fehlermeldung mit der Nummer P-ERR-110465 ausgegeben und der interne Skalierungsfaktor auf 0 gesetzt. In diesem Falle erfolgt keine Ausgabe eines additiven Drehmomentsollwertes an den Antrieb. Siehe auch [DIAG] .


Getriebekopplungen

Mehr:

button Achsspezifische Definition (kenngr.multi_link[i].*)

button Vorwärtsabbildung der Antriebsposition (P-AXIS-00436


Achsspezifische Definition (kenngr.multi_link[i].*)

Mit den Parametern in dieser Struktur besteht die Möglichkeit, Getriebekopplungen auf Achsebene zu definieren. Die Einträge werden jeweils in der anzukoppelnden Achse durchgeführt. Es können maximal 10 Kopplungen pro Achse definiert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
multi_link[i] | ---- | 0 < i < 10 | T, R | ----

Mehr:

button Leit- oder Führungsachse (P-AXIS-00383)

button Koppelfaktor Zähler (P-AXIS-00384)

button Koppelfaktor Nenner (P-AXIS-00385)


Leit- oder Führungsachse (P-AXIS-00383)

Logische Achsnummer der Führungsachse an die die Koppelachse mit dem Kopplungsfaktor angebunden ist.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
lead_axis | UNS16 | 1 < lead_axis < MAX_UNS16 | T, R | ----

Der relative Positionswert für die Koppelachse ergibt sich aus dem relativen Positionswert der Führungsachse multipliziert mit dem Kopplungsfaktor. Dieser wiederum ergibt sich über die Festlegung von geradzahligem Zähler und Nenner mit Vorzeichen.


Koppelfaktor Zähler (P-AXIS-00384)

Zähler des Kopplungsfaktors

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
factor_numerator | SGN32 | MIN(SGN32) < factor_numerator < MAX(SGN32) | T, R | ----


Koppelfaktor Nenner (P-AXIS-00385)

Nenner des Kopplungsfaktors

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
factor_denominator | SGN32 | MIN(SGN32) < factor_denominator < MAX(SGN32) | T, R | ----

Beispiel: 1:1-Kopplung an Führungsachse mit der logischen Achsnummer 1

kenngr.multi_link[0].lead_axis 1

kenngr.multi_link[0].factor_numerator 1

kenngr.multi_link[0].factor_denominator 1


Vorwärtsabbildung der Antriebsposition (P-AXIS-00436

TwinCAT CNC: Überblick

Funktionale Einstellungen > Getriebekopplungen

Vorwärtsabbildung der Antriebsposition (P-AXIS-004 36

Eine aktive Getriebekopplung führt gemäß den Kopplungsvorschriften zu einer Verschiebung der Achspositionen auf Antriebsebene gegenüber den im Kanal programmierten Sollpositionen.

Die Aktivierung der Getriebekopplung kann dabei entweder durch Konfiguration in den Achsparametern (siehe Kapitel 4.18.1) oder über das HLI-Interface der Achse (siehe [FCT-A9]) erfolgen.

Bei Programmneustart oder explizit programmierter Anforderung von Achspositionen (#CHANNEL INIT [CMDPOS]) werden die Achspositionen und die Programmkoordinaten des Kanals neu initialisiert. Sollen die Eingangskoordinaten der Getriebekopplung (z.B. absolute Programmkoordinaten) durch eine Vorwärtsabbildung neu berechnet werden, so ist der Parameter auf 1 zu setzen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
recalc_link_main_input_position | BOOLEAN | 0 / 1 | ---- | ----

0 | Keine Vorwärtsabbildung der Antriebsposition (Default).
1 | Vorwärtsabbildung wird durchgeführt.

Beispiel: 1:2-Vorwärtsabbildung bei Getriebekopplung aktiv

kenngr.multi_link[0].lead_axis 4

kenngr.multi_link[0].factor_numerator 1

kenngr.multi_link[0].factor_denominator 2

kenngr.recalc_link_main_input_position 1

Beispiel: 1:3-Vorwärtsabbildung bei Getriebekopplung über das HLI

kenngr.recalc_link_main_input_position 1


Ausgabe von Positionen von Mitschleppachsen bei eingefügten Sätzen (P-AXIS-00427)

Zur Umfahrung von Ecken werden bei aktiver WRK zusätzliche Bewegungssätze erzeugt. Sind an diesen Ecken im NC-Programm auch (mehrere) Mitschleppachsen programmiert, so können die Bewegungsätze der Mitschleppachsen bei aktivem Parameter P-AXIS-00427 zusammen mit den neu generierten Bewegungssätzen ausgegeben werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
cax_output_with_generated_nc_block | BOOLEAN | 0 / 1 | T, R | ----

Auszug NC-Programm:

N10 G26

N20 G41 (Anwahl der WRK)

...

N110 G01 X100

N120 G01 C90

N130 G01 Y0

...

N200 G40 (Abwahl der WRK)

Abbildung 4- 2 : Prinzipieller Bewegungsablauf am Beispiel einer C-Achse

Programmierbeispiele

Fall 1:

N100 X100

N110 C90

N120 B50

N130 C180

N150 Y0

Fall 2:

N100 X100

N110 C90 B100 A23

N150 Y0

Fall 3:

N100 X100

N120 B50

N130 C90

N150 Y0

Fall 4:

N100 X100

N110 C90

N120 B50

N150 Y0

Fall 5:

N90 Z0

N100 X100

N110 C90

N120 Z50 (relevante Bewegung)

N150 Y0

Fall 6:

N90 Z50

N100 X100

N110 C90

N120 Z50 (nicht relevante)

(Bewegung)

N150 Y0

Fall 7:

N90 Z0

N100 X100

N110 Z50 (relevante Bewegung)

N120 C90

N150 Y0


Getriebestufenabhängige Parameter (getriebe[i].*)

In dieser Struktur sind alle getriebestufenabhängigen Parameter zusammengefaßt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
getriebe[i] | UNS16 | 0 < getriebe[i] < MAX(UNS16) | T, R | ----
i | UNS16 | 0 [ANZ_GETR_STUFEN - 1]

Wert ANZ_GETR_STUFEN | Bedeutung
applikationsabhängig | Anzahl der Getriebestufen

Mehr:

button Nummer der Getriebestufe (P-AXIS-00135)

button Getriebeschaltposition (P-AXIS-00078)

button Nummer des hardwarespezifischen Parametersatzes (P-AXIS-00054)

button Lastträgheitsmoment (P-AXIS-00391)

button Dynamische Kenngrößen

button Zulässige Achsdynamik (getriebe[i].dynamik.*)

button Kennliniengeführte Beschleunigung (getriebe[i].beschl_kennlinie.*)


Nummer der Getriebestufe (P-AXIS-00135)

Die getriebestufenspezifischen Maschinendaten werden anhand der Getriebenummer "getriebe[i].nummer" identifiziert.

Beim Hochlauf der Steuerung ist das Getriebe mit der Nummer P-AXIS-00079 (kenngr.getriebe_stufe) aktiv.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
nummer | UNS16 | 1 < nummer < MAX(UNS16) | T, R | ----


Getriebeschaltposition (P-AXIS-00078)

Für jede Getriebestufe wird die Getriebeschaltposition in "getriebe[i].getr_schalt_pos" angegeben.

Die Definition dieses Parameters ist dann wesentlich, wenn mehrere Getriebestufen vorhanden sind.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
getr_schalt_pos | SGN32 | P-AXIS-00177 < getr_schalt_pos < P-AXIS-00178 | T | 0,1µm
 |  |  | R | 0,0001°


Nummer des hardwarespezifischen Parametersatzes (P-AXIS-00054)

Für jede Getriebestufe kann ein zugehöriger hardwarespezifischer Parametersatz gewählt werden. Z.B. können damit Encoder umgeschaltet werden für Spindeln, die für die Betriebsarten Endlosdrehen und Positionierung insbesondere bei Spindeln mit hohen Maximaldrehzahlen unterschiedliche Encoder benötigen. Der Parameter getriebe[i].default_lr_hw_nbr referenziert auf den gewünschten hardwarespezifischen Parametersatz. lr_hw[i].

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
default_lr_hw_nbr | UNS16 | 0 < default_lr_hw_nbr < ANZ_LR_HW_NBR | T, R | ----

Wert ANZ_LR_HW_NBR | Bedeutung
applikationsspezifisch | Anzahl möglicher hardwarespezifischer Parametersätze


Lastträgheitsmoment (P-AXIS-00391)

In diesem Parameter ist zur Parametrierung der Beschleunigungsvorsteuerung mit additivem Drehmomentsollwert das gesamte Lastträgheitsmoment anzugeben. Dieses setzt sich zusammen aus dem Trägheitsmoment des Motors sowie dem auf die Motorwelle bezogenen Lastträgheitsmoment. Im Falle einer translatorisch bewegten Achse sind die bewegten Massen in ein äquivalentes, auf die Motorwelle bezogenes Lastträgheitsmoment umzurechnen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
load | REAL64 | 0 < load < MAX(REAL64) | T | kg
 |  | Defaultwert: 1*10-6 | R | kg*m2


Dynamische Kenngrößen

In diesem Kapitel werden die Parameter für das Beschleunigungs- und Verzögerungsprofil der Achse, sowie die maximalen Achsgeschwindigkeiten und Achsbeschleunigungen beschrieben.

Mehr:

button Parameter für das lineare Geschwindigkeitsprofil (getriebe[i].lslope_profil.*)

button Parameter für das nichtlineare Geschwindigkeitsprofil(getriebe[i].slope_profil.*)

button Wirksames Beschleunigungsprofil (P-AXIS-00270)

button Eilganggeschwindigkeit (P-AXIS-00209)


Parameter für das lineare Geschwindigkeitsprofil (getriebe[i].lslope_profil.*)

In dieser Struktur sind die Parameter für das lineare Geschwindigkeitsprofil zusammengefaßt.

In Abbildung 5-1 sind die Parameter des linearen Geschwindigkeitsprofils skizziert.

Abbildung 5-1: Lineares Geschwindigkeitsprofil

Mehr:

button Beschleunigung/ Verzögerung der Stufe 1 (P-AXIS-00011)

button Beschleunigung/ Verzögerung der Stufe 2 (P-AXIS-00012)

button Umschaltgeschwindigkeit (P-AXIS-00221)

button Beschleunigung/ Verzögerung der Stufe 1 im Eilgang (P-AXIS-00005)

button Beschleunigung/ Verzögerung der Stufe 2 im Eilgang (P-AXIS-00006)

button Umschaltgeschwindigkeit im Eilgang (P-AXIS-00211)

button Verzögerung für Vorschub-Stopp (P-AXIS-00024)

button SAI-Verzögerung der Stufe 1 (P-AXIS-00282)

button SAI-Verzögerung der Stufe 2 (P-AXIS-00283)

button SAI-Grenzverzögerung der Stufe 1 (P-AXIS-00280)

button SAI-Grenzverzögerung der Stufe 2 (P-AXIS-00281)


Beschleunigung/ Verzögerung der Stufe 1 (P-AXIS-00011)

Der Parameter "getriebe[i].lslope_profil.a_stufe_1" wird während der Beschleunigungs- und Verzögerungsphasen aktiv. Hiermit wird die Beschleunigung in der Stufe 1 definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_stufe_1 | UNS32 | 1 < a_stufe_1 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Die Beschleunigungsrampen können im NC-Programm verändert werden. Diese Befehle sind in [PROG] näher beschrieben.


Beschleunigung/ Verzögerung der Stufe 2 (P-AXIS-00012)

Der Parameter "getriebe[i].lslope_profil.a_stufe_2" wird während der Beschleunigungs- und Verzögerungsphasen aktiv. Hiermit wird die Beschleunigung in der Stufe 2 vorgegeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_stufe_2 | UNS32 | 1 < a_stufe_2 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Die Beschleunigungsrampen können im NC-Programm verändert werden. Diese Befehle sind in [PROG] näher beschrieben.


Umschaltgeschwindigkeit (P-AXIS-00221)

Der Parameter "getriebe[i].lslope_profil.vb_stufe_1_2" wird während der Beschleunigungs- und Verzögerungsphasen aktiv. Hiermit wird die Umschaltgeschwindigkeit zwischen Geschwindigkeitsrampe 1 ("getriebe[i].lslope_profil. a_stufe_1") und Geschwindigkeitsrampe 2 ("getriebe[i].lslope_profil.a_stufe_2") ange-geben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_stufe_1_2 | UNS32 | 1 < vb_stufe_1_2 < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Beschleunigung/ Verzögerung der Stufe 1 im Eilgang (P-AXIS-00005)

Für die Positionierung im Eilgang (G00) werden häufig steilere Rampen als für die Werkstückbearbeitung (z.B. G01, G02, G03) gewählt. Der Parameter "getriebe[i]. lslope_profil.a_grenz_stufe_1" definiert die Beschleunigung der Stufe 1 für diesen Fall.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_grenz_stufe_1 | UNS32 | 1 < a_grenz_stufe_1 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Die Beschleunigungsrampen können im NC-Programm verändert werden. Diese Befehle sind in [PROG] näher beschrieben.


Beschleunigung/ Verzögerung der Stufe 2 im Eilgang (P-AXIS-00006)

Für die Positionierung im Eilgang (G00) werden häufig steilere Rampen als für die Werkstückbearbeitung (z.B. G01, G02, G03) gewählt. Der Parameter "getriebe[i]. lslope_profil.a_grenz_stufe_2" definiert die Beschleunigung der Stufe 2 für diese Fälle.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_grenz_stufe_2 | UNS32 | 1 < a_grenz_stufe_2 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Die Beschleunigungsrampen können im NC-Programm verändert werden. Diese Befehle sind in [PROG] näher beschrieben.


Umschaltgeschwindigkeit im Eilgang (P-AXIS-00211)

Für die Positionierung im Eilgang (G00) werden häufig steilere Rampen als für die Werkstückbearbeitung (z.B. G01, G02, G03) gewählt.

Der Parameter "getriebe[i].lslope_profil.vb_grenz_stufe_1_2" wird für diese Fälle während der Beschleunigungs- und Verzögerungsphasen aktiv. Hiermit wird die Umschaltgeschwindigkeit zwischen Geschwindigkeitsrampe 1 ("getriebe[i].lslope_profil.a_grenz_-stufe_1") und Geschwindigkeitsrampe 2 ("getriebe[i].lslope_profil.a_grenz_stufe_2") angegeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_grenz_stufe_1_2 | UNS32 | 1 < vb_grenz_stufe_1_2 < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Verzögerung für Vorschub-Stopp (P-AXIS-00024)

Bei Vorschub-Stopp (Feedhold), bedingt durch Eingriff des Bedieners oder Meßfahrt oder Referenzpunktfahrt, werden häufig steilere Rampen als beim Positionieren (G00) bzw. bei der Werkstückbearbeitung (z.B. G01, G02, G03) benötigt. Der Parameter "getriebe[i].lslope_profil.a_feedh" definiert die Verzögerung für diesen Fall.

Bei fehlendem Eintrag wird über die Verzögerung, die bei G00 Verwendung findet, gebremst (P-AXIS-00005 ff).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_feedh | UNS32 | 1 < a_feedh < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

P-AXIS-00024 wird nur verwendet, wenn in der Kanalparamterliste der Parameter P-CHAN-00097 mit 1 belegt ist.


SAI-Verzögerung der Stufe 1 (P-AXIS-00282)

Der Parameter "getriebe[i].lslope_profil.d_stufe_1" wird während der Verzögerungsphase nur für Achsen im Single Axis Interpolator (SAI) aktiv. Für Achsen, die im NC-Kanal interpoliert werden, wird dieser Parameter nicht verwendet. Hiermit wird die Verzögerung in der Stufe 1 definiert. Bei Initialisierung mit dem Wert 0 wird automatisch der Wert aus P-AXIS-00011 verwendet. Er wird auf die maximale Beschleunigung P-AXIS-00008 (a_max) begrenzt.

Der Parameter wird bei Beauftragung der Achse durch einen NC-Kanal wirksam. Bei der Beauftragung der Achse durch die PLC (über das HLI) kann in der Control-Unit angegeben werden, ob die Verzögerung aus der Achsparameterliste [AXIS] oder aus der Control-Unit verwendet wird. Der Wert in der Control-Unit ist nur für diese eine Beauftragung gültig, d.h. der Parameter aus der Achsliste wird nicht überschrieben und kann bei einer folgenden Beauftragung wieder verwendet werden. Die Control-Unit definiert nur einen Verzögerungswert mit dem beide Verzögerungsrampen 1 und 2 initialisiert werden

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
d_stufe_1 | UNS32 | 1 < d_stufe_1 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Die Verzögerungsrampe 1 für den SAI kann über das NC-Programm nicht geändert werden. Bei einer Beauftragung über PLCopen wird sie in jedem Bewegungsauftrag vorgegeben.


SAI-Verzögerung der Stufe 2 (P-AXIS-00283)

Der Parameter "getriebe[i].lslope_profil.d_stufe_2" wird während der Verzögerungsphase nur für Achsen im Single Axis Interpolator (SAI) aktiv. Für Achsen, die im NC-Kanal interpoliert werden, wird dieser Parameter nicht verwendet. Hiermit wird die Verzögerung in der Stufe 2 definiert. Bei Initialisierung mit dem Wert 0 wird automatisch der Wert aus P-AXIS-00012 verwendet. Er wird auf die maximale Beschleunigung P-AXIS-00008 (a_max) begrenzt.

Der Parameter wird bei Beauftragung der Achse durch einen NC-Kanal wirksam. Bei der Beauftragung der Achse durch die PLC (über das HLI) kann in der Control-Unit angegeben werden, ob die Verzögerung aus der Achsparameterliste [AXIS] oder aus der Control-Unit verwendet wird. Der Wert in der Control-Unit ist nur für diese eine Beauftragung gültig, d.h. der Parameter aus der Achsliste [AXIS] wird nicht überschrieben und kann bei einer folgenden Beauftragung wieder verwendet werden. Die Control-Unit definiert nur einen Verzögerungswert mit dem beide Verzögerungsrampen 1 und 2 initialisiert werden

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
d_stufe_2 | UNS32 | 1 < d_stufe_2 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Die Verzögerungsrampe 2 für den SAI kann über das NC-Programm nicht geändert werden. Bei einer Beauftragung über PLCopen wird sie in jedem Bewegungsauftrag vorgegeben.


SAI-Grenzverzögerung der Stufe 1 (P-AXIS-00280)

Der Parameter "getriebe[i].lslope_profil.d_grenz_stufe_1" wird während der Verzögerungsphase bei einem Notstop (z. Bsp. bei überfahrenem Softwareendschalter) aktiv. Er wird nur bei Achsen im Single Axis Interpolator (SAI) verwendet. Bei Initialisierung mit dem Wert 0 wird automatisch der Wert aus P-AXIS-00005 verwendet. Er wird auf die maximale Beschleunigung P-AXIS-00008 (a_max) begrenzt.

Der Parameter kann weder bei Beauftragung der Achse durch einen NC-Kanal, noch bei Beauftragung durch die PLC geändert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
d_grenz_stufe_1 | UNS32 | 1 < d_grenz_stufe_1 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Die Grenz-Verzögerungsrampe 1 für den SAI kann weder über das NC-Programm noch über PLCopen geändert werden.


SAI-Grenzverzögerung der Stufe 2 (P-AXIS-00281)

Der Parameter "getriebe[i].lslope_profil.d_grenz_stufe_2" wird während der Verzögerungsphase bei einem Notstop (z. Bsp. bei überfahrenem Softwareendschalter) aktiv. Er wird nur bei Achsen im Single Axis Interpolator (SAI) verwendet. Bei Initialisierung mit dem Wert 0 wird automatisch der Wert aus P-AXIS-00006 verwendet. Er wird auf die maximale Beschleunigung P-AXIS-00008 (a_max) begrenzt.

Der Parameter kann weder bei Beauftragung der Achse durch einen NC-Kanal, noch bei Beauftragung durch die PLC geändert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
d_grenz_stufe_2 | UNS32 | 1 < d_grenz_stufe_2 < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Die Grenz-Verzögerungsrampe 2 für den SAI kann weder über das NC-Programm noch über PLCopen geändert werden.


Parameter für das nichtlineare Geschwindigkeitsprofil(getriebe[i].slope_profil.*)

TwinCAT CNC: Überblick

Getriebestufenabhängige Parameter (getriebe[i].*) > Dynamische Kenngrößen

Parameter für das nichtlineare Geschwindigkeitsprofil
(getriebe[i].slope_profil.*)

In dieser Struktur sind die Parameter für das nichtlineare Geschwindigkeitsprofil zusammengefaßt. In Abbildung 5-2 sind die Parameter des nichtlinearen Geschwindigkeitsprofils skizziert. Das Geschwindigkeitsprofil kann über 7 Phasen dargestellt werden.

Abbildung 5-2: Nichtlineares Geschwindigkeitsprofil

Die zu den Phasen korrespondierende Parameterwerte sind:

1. trbeschl, zu In diesem Zeitintervall steigt die Beschleunigung vom Wert 0 auf den Wert abeschl

2. abeschl In diesem Zeitintervall ist die Beschleunigung konstant abeschl

3. trbeschl, ab In diesem Zeitintervall fällt die Beschleunigung vom Wert abeschl bis zum Wert value 0

4. vbprog In diesem Zeitintervall ist die Beschleunigung 0 (Zielgeschwindigkeit ist erreicht und konstant).

5. trbrems, zu In diesem Zeitintervall ist der Absolutwert der Verzögerung steigt vom Wert 0 bis zum Wert a brems

6. abrems In diesem Zeitintervall ist der Absolutwert der Verzögerung konstant abrems.

7. trbrems, ab In diesem Zeitintervall fällt die Beschleunigung vom Wert abrems bis zum Wert 0

Die Parameter in den Phasen 1..3 and 5..7 bestimmen den Achsruck der durch das Geschwindigkeitsprofil verursacht wird. Der Achsruck in diesen Phasen kann bestimmt werden zu r = a / tr.

Mehr:

button Beschleunigung bei Bearbeitungsvorschub (P-AXIS-00001)

button Verzögerung bei Bearbeitungsvorschub (P-AXIS-00002)

button Rampenzeit für Beschleunigungsaufbau (P-AXIS-00196)

button Rampenzeit für Beschleunigungsabbau (P-AXIS-00195)

button Rampenzeit für Verzögerungsaufbau (P-AXIS-00198)

button Rampenzeit für Verzögerungsabbau (P-AXIS-00197)

button Beschleunigung im Eilgang (P-AXIS-00004)

button Rampenzeit im Eilgang (P-AXIS-00200)

button Verzögerung für Vorschub-Stopp (P-AXIS-00053)

button Rampenzeit für Vorschub-Stopp (P-AXIS-00081)


Beschleunigung bei Bearbeitungsvorschub (P-AXIS-00001)

Der Parameter "getriebe[i].slope_profil.a_beschl" stellt die Achsbeschleunigung bei konstanter Geschwindigkeitszunahme dar.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_beschl | UNS32 | 1 < a_beschl < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Die Beschleunigungsrampen können im NC-Programm verändert werden. Die entsprechenden NC-Befehle sind in [PROG] näher beschrieben.


Verzögerung bei Bearbeitungsvorschub (P-AXIS-00002)

Der Parameter "getriebe[i].slope_profil.a_brems" stellt die Achsbeschleunigung bei konstanter Geschwindigkeitsabnahme dar.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_brems | UNS32 | 1 < a_brems < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Die Beschleunigungsrampen können im NC-Programm verändert werden. Diese Befehle sind in [PROG] näher beschrieben.


Rampenzeit für Beschleunigungsaufbau (P-AXIS-00196)

Der Parameter "getriebe[i].slope_profil.tr_beschl_zu" definiert die Beschleunigungsrampenzeit für den Aufbau der Beschleunigung "getriebe[i].slope_profil. a_beschl".

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr_beschl_zu | UNS32 | P-AXIS-00201 < tr_beschl_zu < MAX(UNS32) | T, R | µs


Rampenzeit für Beschleunigungsabbau (P-AXIS-00195)

Der Parameter "getriebe[i].slope_profil.tr_beschl_ab" definiert die Beschleunigungs-rampenzeit für den Abbau der Beschleunigung "getriebe[i].slope_profil. a_beschl".

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr_beschl_ab | UNS32 | P-AXIS-00201 < tr_beschl_ab < MAX(UNS32) | T, R | µs

Die Beschleunigungsrampen können im NC-Programm verändert werden. Diese Befehle sind in [PROG] näher beschrieben.


Rampenzeit für Verzögerungsaufbau (P-AXIS-00198)

Der Parameter "getriebe[i].slope_profil.tr_brems_zu" definiert die Beschleunigungsrampenzeit für den Aufbau der Verzögerung "getriebe[i].slope_profil. a_brems".

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr_brems_zu | UNS32 | P-AXIS-00201 < tr_brems_zu < MAX(UNS32) | T, R | µs


Rampenzeit für Verzögerungsabbau (P-AXIS-00197)

Der Parameter "getriebe[i].slope_profil.tr_brems_ab" definiert die Beschleunigungsrampenzeit für den Abbau der Verzögerung "getriebe[i].slope_profil. a_brems".

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr_brems_ab | UNS32 | P-AXIS-00201 < tr_brems_ab < MAX(UNS32) | T, R | µs


Beschleunigung im Eilgang (P-AXIS-00004)

Dieser Beschleunigungsparameter ist bei Eilgangbewegungen (G00) beim Bremsen und Beschleunigen wirksam.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_grenz | UNS32 | 1 < a_grenz < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2


Rampenzeit im Eilgang (P-AXIS-00200)

Dieser Rampenzeitparameter ist bei Eilgangbewegungen (G00) beim Beschleunigen und Bremsen wirksam. Er ersetzt also in diesem Fall die 2 Rampenzeiten beim Beschleunigen bzw. die 2 Rampenzeiten beim Verzögern.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr_grenz | UNS32 | P-AXIS-00201 < tr_grenz < MAX(UNS32) | T, R | µs


Verzögerung für Vorschub-Stopp (P-AXIS-00053)

Bei Vorschub-Stopp (Feedhold) bedingt durch Eingriff des Bedieners oder bei Meßfahrt, Referenzpunktfahrt werden häufig steilere Rampen als beim Positionieren (G00) und für die Werkstückbearbeitung (z.B. G01, G02, G03) benötigt. Der Parameter "getriebe[i].slope_profil.a_feedh" definiert die Verzögerung für diesen Fall.

Bei fehlendem Eintrag wird über die Verzögerung, die bei G00 Verwendung findet, gebremst (P-AXIS-00005 ff).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_feedh | UNS32 | 1 < a_feedh < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2


Rampenzeit für Vorschub-Stopp (P-AXIS-00081)

Bei Vorschub-Stopp (Feedhold) werden häufig steilere Bremsrampen als beim Positionieren und für die Werkstückbearbeitung (z.B. G01, G02, G03) benötigt. Der Parameter "getriebe[i].slope_profil.tr_feedh" definiert die beiden Rampenzeiten für diesen Fall.

Bei fehlendem Eintrag wird die Beschleunigung mit der Eilgangrampenzeit auf- und abgebaut (P-AXIS-00005 ff).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr_feedh | UNS32 | P-AXIS-00201 < tr_feedh < MAX(UNS32) | T, R | µs


Wirksames Beschleunigungsprofil (P-AXIS-00270)

Mit dem Parameter P-AXIS-00270 kann das wirksame Beschleunigungsprofil ausgewählt werden. Es ist wirksam bei:

1. Bahnachsen während CNC-geführter Referenzpunktfahrt

2. Spindelachsen

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
slope_type | UNS32 | 0 ≤ slope_type ≤ 2 0: sprungförmiges Beschleunigungsprofil 1: trapezförmiges Beschleunigungsprofil 2: sinusquadratförmiges Beschleunigungsprofil | T, R, S | -


Eilganggeschwindigkeit (P-AXIS-00209)

Für die Positionierung im Eilgang (G00) wird die Eilgang-Geschwindigkeit vorgegeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_eilgang | UNS32 | 1 < vb_eilgang < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Zulässige Achsdynamik (getriebe[i].dynamik.*)

Mehr:

button Maximal zulässige Achsgeschwindigkeit (P-AXIS-00212)

button Maximal zulässige Achsbeschleunigung (P-AXIS-00008)

button Verzögerung für Notstopp (P-AXIS-00003)

button Minimal zulässige Rampenzeit (P-AXIS-00201)

button Geometrische Rampenzeit (P-AXIS-00199)

button Gewichtung der Beschleunigung am Satzübergang (P-AXIS-00013)

button Gewichtung des Rucks am Satzübergang (P-AXIS-00154)

button Ruck am Satzübergang (P-AXIS-00339/ P-AXIS-00340)

button Maximale zulässige Beschleunigungsüberschreitung (P-AXIS-00394)

button Maximale Beschleunigung bei Gewichtung (P-AXIS-00292)

button Minimale Rampenzeit bei Gewichtung (P-AXIS-00293)


Maximal zulässige Achsgeschwindigkeit (P-AXIS-00212)

Über den Parameter "getriebe[i].dynamik.vb_max" wird die maximal zulässige Achsgeschwindigkeit eingestellt.

Bei Achsen des Typs "ACHSTYP_TRANSLATOR" und "ACHSTYP_ROTATOR" wird davon ausgegangen, daß bei Einstellung der maximal zulässigen Achsgeschwindigkeit "getriebe[i].dynamik.vb_max" auch die Auflösungsgrenzen des Meßsystems berücksichtigt werden.

Bei Achsen des Typs "ACHSTYP_SPINDEL", die von einem Spindelinterpolator betrieben werden, wird die Grenze, ab welcher das Meßsystem keine gültigen Werte mehr liefert, mit dem Parameter "getriebe[i].vb_regelgrenze" eingestellt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_max | UNS32 | 1 < vb_max < SLOPE_VB_MAX | T | µm/s
 |  |  | R | 0,001°/s

Wert SLOPE_VB_MAX | Bedeutung
applikationsabhängig | Vorgabe der maximalen Achsgeschwindigkeit (Plausibilitätsgrenze)


Maximal zulässige Achsbeschleunigung (P-AXIS-00008)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_max | UNS32 | 1 < a_max < SLOPE_BESCHL_MAX | T | mm/s 2
 |  |  | R | °/s 2

Wert SLOPE_BESCHL_MAX | Bedeutung
applikationsabhängig | Vorgabe der maximalen Achsbeschleunigung (Plausibilitätsgrenze)


Verzögerung für Notstopp (P-AXIS-00003)

Über den Parameter "getriebe[i].dynamik.a_emergency" wird die verwendete Verzögerung für den Nothalt definiert. Bei auftretenden Fehlern mit Fehlerreaktionsklasse 4 bremst die NC achsspezifisch mit dieser Verzögerung ab. Die Bahn wird hierbei verlassen !

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_emergency | UNS32 | 1 < a_emergency < SLOPE_BESCHL_MAX | T | mm/s 2
 |  |  | R | °/s 2

Wert SLOPE_BESCHL_MAX | Bedeutung
applikationsabhängig | Vorgabe der maximalen Achsbeschleunigung (Plausibilitätsgrenze)


Minimal zulässige Rampenzeit (P-AXIS-00201)

Über den Parameter "getriebe[i].dynamik.tr_min" wird die minimal zulässige Rampenzeit des Antriebs definiert. Dieser Parameter begrenzt den Achsruck, der durch das Geschwindigkeitsprofil entsteht.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr_min | UNS32 | TR_MIN < tr_min < MAX(UNS32) | T, R | µs

Wert TR_MIN | Bedeutung
applikationsabhängig | Vorgabe der minimalen Rampenzeit


Geometrische Rampenzeit (P-AXIS-00199)

Über den Parameter "getriebe[i].dynamik.tr_geom" wird die zulässige geometrische Rampenzeit definiert. Dieser Parameter begrenzt den Achsruck, der durch die programmierte Kontur entsteht.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr_geom | UNS32 | TR_MIN < tr_geom < MAX(UNS32) | T, R | µs

Wert TR_MIN | Bedeutung
applikationsabhängig | Vorgabe der geometrischen Rampenzeit


Gewichtung der Beschleunigung am Satzübergang (P-AXIS-00013)

Über den Parameter "getriebe[i].dynamik.a_trans_weight" wird die zulässige Beschleunigung am Satzübergang gewichtet.

Der Parameter wird nur bei Verwendung des nichtlinearen Slopes berücksichtigt und sobald die Kontur einen Knickwinkel aufweist.

Im nachfolgenden Beispiel ergibt sich je nach Bahngeschwindigkeit an den Satzübergängen N10  N20 aufgrund der Richtungsänderung eine Beschleunigung.

Abbildung 5-3: Beschleunigung am Satzübergang Linear  Linear

Mit dem Parameter a_trans_weight wird ein Faktor definiert, durch den die maximale Beschleunigung und die Geschwindigkeit am Satzübergang gewichtet werden kann. Die zulässige Beschleunigung am Satzübergang hängt vom momentan aktiven Geschwindigkeitsmode G00 oder G01 ab.

Die Beschleunigung wird per default am Satzübergang berücksichtigt, d.h. der Parameterwert ist defaultmässig mit 0 belegt.

Wird der Parameter mit dem Wert 0 belegt (a_trans_weight = 0), so gilt die Gewichtung der zulässigen Beschleunigung mit dem Faktor cycle time / ramp time (Grundeinstellung). Es ergibt sich eine sehr niedrige Geschwindigkeit am Satzübergang.

Sollen höhere Geschwindigkeiten mit entsprechend höherem Ruck am Satzübergang gefahren werden, wird entsprechend a_trans_weight hoch eingestellt. Bei dem Wert 1000 (obere Schranke) wird am Satzübergang die Beschleunigung eingehalten, der Ruck übersteigt die eingestellten Schranken.

Abbildung 5-4: Bereich des Faktors zur Gewichtung der Beschleunigung am Satzübergang

maximaler Ruck für a_trans_weight = 1000:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_trans_weight | UNS32 | 1 < a_trans_weight < 1000 Wird der Wert nicht in der Parameterliste angegeben, so gilt die Defaulteinstellung = 0. | T, R | 0,1 %


Gewichtung des Rucks am Satzübergang (P-AXIS-00154)

Am Satzübergang von Linear zu Zirkularsatz und umgekehrt tritt ein Sprung in der Beschleunigung auf, auch wenn der Übergang tangential ist.

Der Parameter wird nur bei Verwendung des nichtlinearen Slopes berücksichtigt sowie bei Zirkular  Linear, Zirkular  Zirkular oder Linear - Zirkularübergängen.

Abbildung 5-5: Beschleunigung und Ruck am Satzübergang Linear  Zirkular

Mit dem Parameter "getriebe[i].dynamik.r_trans_weight" wird der zulässige Ruck an solchen Satzübergängen gewichtet.

Abbildung 5- 6 : Faktor zur Gewichtung des Rucks am Satzübergang

Der Minimalwert wird durch die Gewichtung der maximalen Beschleunigung am Satzübergang P-AXIS-00013 (a_trans_weight) festgelegt.

Soll die Einstellung nicht begrenzt werden, so kann dies (ab Version 263) mit Kanalparameter P-CHAN-00117 (mode_trans_jerk) auf 1 entsprechend eingestellt werden.

Mit dem Wert 1000 hat der Parameter keinen Einfluß. Daraus resultiert, daß aufgrund des Rucks am Satzübergang keine Geschwindigkeitsreduzierung auftritt. Kleinere Werte als 1000 führen aufgrund des Rucks zu einer Reduktion der Geschwindigkeit am Satzübergang. Der Wert 0 führt abhängig von der Ruckeinstellung für den nichtlinearen Slope zu zu einer Geschwindigkeitsreduktion (siehe Parameter Kapitel 5.5.2).

Der Ruck wird per default am Satzübergang nicht berücksichtigt. Soll der Ruck am Satzübergang berücksichtigt werden, so muss dies im Kanalparameter P-CHAN-00009 (corr_v_trans_jerk) erst freigeschaltet werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
r_trans_weight | UNS32 | 0 < r_trans_weight < 1000 Wird der Wert nicht in der Parameterliste angegeben, so gilt die Defaulteinstellung = 0. | T, R | 0,1 %

Der zulässige Ruck am Satzübergang ergibt sich aus der aktiven Beschleunigung abhängig vom Satztyp (G0, G1), und der zugehörigen Rampenzeit tr:

(a_aktiv /tr_aktiv)* r_trans_weight / 1000.


Ruck am Satzübergang (P-AXIS-00339/ P-AXIS-00340)

Alternativ zu der Beschleunigungs- und Ruckgewichtung über die Parametern P-AXIS-00013 und P-AXIS-00154 kann der Ruck am Satzübergang auch direkt über die Parameter P-AXIS-00339 (getriebe[i].dynamik.j_trans_c0) und P-AXIS-00340 (getriebe[i].dynamik.j_trans_c1) eingestellt werden. Dazu muß der Modus für die Ruckbegrenzung am Satzübergang über den Kanalparameter P-CHAN-00117 (mode_trans_jerk) auf 2 gesetzt sein.

P-AXIS-00339 wirkt bei nicht tangentenstetigen Satzübergängen, entspricht also der Wirkung von P-AXIS-00013.

P-AXIS-00340 wirkt bei tangentenstetigen nicht krümmungsstetigen Satzübergängen, entspricht also der Wirkung von P-AXIS-00154.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
j_trans_c0 | UNS32 | 0 < j_trans_c0 < MAX(UNS32) | T | m/s3
 |  |  | R | 1000°/s3

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
j_trans_c1 | UNS32 | 0 < j_trans_c1 < MAX(UNS32) | T | m/s3
 |  |  | R | 1000°/s3

Die Werte P-AXIS-00339 und P-AXIS-00340 werden intern auf den zulässigen Ruck begrenzt, dieser wird aus der wirksamen Beschleunigung und der Zykluszeit abgeleitet.


Maximale zulässige Beschleunigungsüberschreitung (P-AXIS-00394)

Über den Parameter "getriebe[i].dynamic.a_overload_max" wird die maximale zulässige Beschleunigungsüberschreitung bei Gewichtung der Achsbeschleunigung über die CNC Funktion [PROG - Kapitel - Programmierbare Beschleunigungsüberlast] festgelegt ( <Achsname>[DYNAMIC ] ).

Der Parameter P-AXIS-00394 wirkt als Überlastfaktor, d.h. wird immer grösser oder gleich 100 Prozent angegeben. Eine Gewichtung der Beschleunigung über den achsspezifischen CNC Befehl wirkt dann im Bereich [100%, P-AXIS-00394].

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_overload_max | UNS32 | 1000 < a_overload_max < UNS32 Default: 1000 | T, R | 0,1 %


Maximale Beschleunigung bei Gewichtung (P-AXIS-00292)

Über den Parameter "getriebe[i].dynamik.a_w_max" wird die maximale Beschleunigung bei Gewichtung über die Funktionen G130, G131 definiert. Abhängig vom eingestellten Slopetyp kann der Wert nicht kleiner als die jeweilige Beschleunigung bei Vorschubsätzen (G01, G02/G03) und nicht grösser als die maximal zulässige Beschleunigung eingestellt werden.

Nichlinearer Slope:

Variablenname | Typ | Erlaubter Bereich | Achstyp | Dimension
a_w_max | UNS32 | A_F < a_w_max < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Wert A_F

MAX[P-AXIS-00001, P-AXIS-00002]

Linearer Slope:

Variablenname | Typ | Erlaubter Bereich | Achstyp | Dimension
a_w_max | UNS32 | A_F < a_w_max < P-AXIS-00008 | T | mm/s 2
 |  |  | R | °/s 2

Wert A_F

MAX[P-AXIS-00011, P-AXIS-00012]


Minimale Rampenzeit bei Gewichtung (P-AXIS-00293)

Über den Parameter "getriebe[i].dynamik.tr_w_min" wird die minimal zulässige Rampenzeit bei Gewichtung über die Funktionen G132, G133 definiert. Der Wert kann nicht kleiner als die minimale Rampenzeit und nicht grösser als die jeweiligen Rampenzeiten bei Vorschubsätzen (G01, G02/G03) eingestellt werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr_w_min | UNS32 | P-AXIS-00201 < tr_w_min < TR_F | T, R | µs

Wert TR_F

MIN [P-AXIS-00195, P-AXIS-00196, P-AXIS-00197, P-AXIS-00198]


Kennliniengeführte Beschleunigung (getriebe[i].beschl_kennlinie.*)

Mit Hilfe der folgenden Parameter wird eine getriebestufenspezifische Beschleunigungskennlinie definiert.

Die Funktionalität "Kennliniengeführte Beschleunigung" ist derzeit nur für Achsen vom Typ Spindel beim Endlosdrehen möglich.

Zur Verwendung der Funktionalität ist der Slope-Profiltyp 0 vorgeschrieben. (siehe P-AXIS-00270)

Mehr:

button Typ der Beschleunigungskennlinie (P-AXIS-00202)


Typ der Beschleunigungskennlinie (P-AXIS-00202)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
typ | UNS32 | 0, 1, 2, 3 | R | ----

Wert | Bedeutung
0 | Keine Kennlinienbeschleunigung aktiv, Beschleunigungsprofil gemäß P-AXIS-00270
1 | Hyperbel
2 | Polynom
3 | Asynchronantrieb

Mehr:

button Kennlinie a(n) in Polynom- oder Hyperbelform

button Kennlinie für asynchrone Antriebscharakteristik


Kennlinie a(n) in Polynom- oder Hyperbelform

Mehr:

button Grenzdrehzahl, ab der die Beschleunigung in Polynomform angegeben wird (P-AXIS-00130)

button Konstante Beschleunigung im Bereich n<ngrenz (P-AXIS-00007)

button Minimale Beschleunigung die nicht unterschritten werden darf(P-AXIS-00010)

button Parameter des a(n) Polynoms (P-AXIS-00026/-00027/-00028)


TwinCAT CNC: Überblick

Getriebestufenabhängige Parameter (getriebe[i].*) > Kennliniengeführte Beschleunigung (getriebe[i].beschl_kennlinie.*) > Typ der Beschleunigungskennlinie (P-AXIS-00202) > Kennlinie a(n) in Polynom- oder Hyperbelform

Grenzdrehzahl, ab der die Beschleunigung in Polynomform angegeben wird (P-AXIS-00130)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
n_grenz | UNS32 | 0 < n_grenz < MAX(UNS32) | R | 10-3 °/s


TwinCAT CNC: Überblick

Getriebestufenabhängige Parameter (getriebe[i].*) > Kennliniengeführte Beschleunigung (getriebe[i].beschl_kennlinie.*) > Typ der Beschleunigungskennlinie (P-AXIS-00202) > Kennlinie a(n) in Polynom- oder Hyperbelform

Konstante Beschleunigung im Bereich n<ngrenz (P-AXIS-00007)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_konst | UNS32 | 0 < a_konst < MAX(UNS32) | R | °/s²


Minimale Beschleunigung die nicht unterschritten werden darf(P-AXIS-00010)

TwinCAT CNC: Überblick

Getriebestufenabhängige Parameter (getriebe[i].*) > Kennliniengeführte Beschleunigung (getriebe[i].beschl_kennlinie.*) > Typ der Beschleunigungskennlinie (P-AXIS-00202) > Kennlinie a(n) in Polynom- oder Hyperbelform

Minimale Beschleunigung die nicht unterschritten werden darf
(P-AXIS-00010)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_min | UNS32 | 0 < a_min < MAX(UNS32) | R | °/s²


TwinCAT CNC: Überblick

Getriebestufenabhängige Parameter (getriebe[i].*) > Kennliniengeführte Beschleunigung (getriebe[i].beschl_kennlinie.*) > Typ der Beschleunigungskennlinie (P-AXIS-00202) > Kennlinie a(n) in Polynom- oder Hyperbelform

Parameter des a(n) Polynoms (P-AXIS-00026/-00027/-00028)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
b1 | REAL64 | REAL64 Bereich | R | 1/s

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
b2 | REAL64 | REAL64 Bereich | R | 1/o

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
b3 | REAL64 | REAL64 Bereich | R | s / o ²

Beispiel für eine Parametrierung:

getriebe[0].beschl_kennlinie.typ 2 # Kennung für Typ

# 0: keine Kennlinie

# 1: Hyperbel

# 2: Polynom

getriebe[0].beschl_kennlinie.n_grenz 12000000 [10-3 ° /s]

getriebe[0].beschl_kennlinie.a_konst 16000 [ ° /s*s]

getriebe[0].beschl_kennlinie.a_min 2000 [ ° /s*s]

getriebe[0].beschl_kennlinie.b1 -0.88888888 [1/s]

getriebe[0].beschl_kennlinie.b2 2.08333333E-5 [1/Grad]

getriebe[0].beschl_kennlinie.b3 -1.92901234E-10 [s/Grad²]


Kennlinie für asynchrone Antriebscharakteristik

Für Spindelantriebe werden häufig Asynchronmotoren verwendet. Über die im folgenden Bild dargestellte drehzahlabhängige Spindelbeschleunigung a= f(n) kann der Anwender eine optimalere Anpassung an die typische Charakteristik des Spindelmotors erreichen.

Neben der maximal zulässigen Beschleunigung a_max und Drehzahl N1 für den konstanten Beschleunigungsbereich ist lediglich eine weitere Drehzahl N2 zu parametrieren. Oberhalb von N1 ist der Beschleunigungsverlauf proportional zu 1/n, oberhalb von N2 proportional zu 1/n2.

Mehr:

button Maximale Beschleunigung (P-AXIS-00240)

button Minimale Beschleunigung oberhalb Drehzahlgrenze 2 (P-AXIS-00010)

button Drehzahlgrenze 1 (P-AXIS-00241)

button Drehzahlgrenze 2 (P-AXIS-00242)


TwinCAT CNC: Überblick

Getriebestufenabhängige Parameter (getriebe[i].*) > Kennliniengeführte Beschleunigung (getriebe[i].beschl_kennlinie.*) > Typ der Beschleunigungskennlinie (P-AXIS-00202) > Kennlinie für asynchrone Antriebscharakteristik

Maximale Beschleunigung (P-AXIS-00240)

Diese Beschleunigungsgröße wird im konstanten Bereich n < N1 verwendet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_max | UNS32 | 0 < a_max < MAX(UNS32) | R | °/s²


TwinCAT CNC: Überblick

Getriebestufenabhängige Parameter (getriebe[i].*) > Kennliniengeführte Beschleunigung (getriebe[i].beschl_kennlinie.*) > Typ der Beschleunigungskennlinie (P-AXIS-00202) > Kennlinie für asynchrone Antriebscharakteristik

Minimale Beschleunigung oberhalb Drehzahlgrenze 2 (P-AXIS-00010)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_min | UNS32 | 0 < a_min < MAX(UNS32) | R | °/s²


TwinCAT CNC: Überblick

Getriebestufenabhängige Parameter (getriebe[i].*) > Kennliniengeführte Beschleunigung (getriebe[i].beschl_kennlinie.*) > Typ der Beschleunigungskennlinie (P-AXIS-00202) > Kennlinie für asynchrone Antriebscharakteristik

Drehzahlgrenze 1 (P-AXIS-00241)

Ab dieser Drehzahl erfolgt der Übergang in die zu 1/n proportionale Kennliniencharakteristik.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
n1 | UNS32 | 0 < n1 < MAX(UNS32) | R | 10-3 °/s


TwinCAT CNC: Überblick

Getriebestufenabhängige Parameter (getriebe[i].*) > Kennliniengeführte Beschleunigung (getriebe[i].beschl_kennlinie.*) > Typ der Beschleunigungskennlinie (P-AXIS-00202) > Kennlinie für asynchrone Antriebscharakteristik

Drehzahlgrenze 2 (P-AXIS-00242)

Ab dieser Drehzahl erfolgt der Übergang in die zu 1/n2 proportionale Kennliniencharakteristik.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
n2 | UNS32 | 0 < n2 < MAX(UNS32) | R | 10-3 °/s

Beispiel für eine Parametrierung:

getriebe[0].beschl_kennlinie.typ 3 # Kennung für Typ

# 3: Asynchronantrieb

getriebe[0].beschl_kennlinie.a_min 500 [°/s²]

getriebe[0].beschl_kennlinie.a_max 25000 [°/s²]

getriebe[0].beschl_kennlinie.n1 10000000 [10-3 °/s]

getriebe[0].beschl_kennlinie.n2 200000000 [10-3 °/s]


Parameter für die Lageregelung

In diesem Kapitel werden die hardwareunabhängigen Parameter für die Lageregelung beschrieben. Die hardwareabhängigen Parameter werden in Kapitel 7 beschrieben.

Die folgenden Parameter sind vom eingestellten Antriebstyp "kenngr.antr_typ" abhängig. Vom eingestellten Achstyp "kenngr.achs_typ" sind die Daten unabhängig. Sie müssen für alle Achstypen belegt werden.

Mehr:

button Proportionalfaktor kv für P-Lageregelung (P-AXIS-00099)

button Regelfenster (P-AXIS-00236)

button Aktivierung von Lageregler-Schnittstellen

button Einstellungen für die Spindelsteigungsfehlerkompensation

button Einstellungen für die Losekompensation

button Einstellungen für die Temperaturkompensation

button Einstellungen für die Schleppabstandsüberwachung

button Tendenzprüfung (P-AXIS-00189)

button Einstellungen für die Dynamiküberwachung im Lageregler

button Stellgrößenanpassung

button Meßgrößenanpassung

button Quantisierung der Messysteminkremente (P-AXIS-00323)

button Wegstreckenintegration (P-AXIS-00237)

button Einstellungen für die Achskompensationen

button Einstellungen für die dynamische kv-Anpassung (getriebe[i].dyn_kv.*)

button Parameter für die Abstandsregelung (getastete Spindel)

button Totband für Lageregler (P-AXIS-00395)


Proportionalfaktor kv für P-Lageregelung (P-AXIS-00099)

Der P-Lageregler besitzt den Verstärkungsfaktor kv.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
kv | UNS32 | 0 < kv < MAX(UNS32) | T, R | 0,01/s


Regelfenster (P-AXIS-00236)

Für die Funktion "Genauhalt" (der zugehörige NC-Befehl G60 wird in [PROG] beschrieben) wird hiermit ein Bereich definiert, in welchem sich die Achse "in Position" befindet (½window½ ≥ ½Schleppabstand½). Diese Überwachung erfolgt im Lageregler, wenn die Achse nicht interpoliert wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
window | SGN32 | 1 Weginkrement < window < MAX(UNS32) | T | 0,1µm
 |  |  | R | 0,0001°


Aktivierung von Lageregler-Schnittstellen

Mehr:

button Aktivierung der Anzeigefunktion (P-AXIS-00023)

button Aktivierung der (Zusatz-)Schnittstelle zur Aufschaltung applikationsspezifischer Führungsgrößen (P-AXIS-00091)

button Aktivierung der (Zusatz-)Schnittstelle zur Bereitstellung von Soll- und Istgrößen (P-AXIS-00141)

button Behandlung der aufgeschalteten Lagesollwerte (P-AXIS-00322)

button Zeitkonstante des PT2-Filters für die additive Sollwertschnittstelle (P-AXIS-00438)

button Optimierter Buszugriff (P-AXIS-00276)


Aktivierung der Anzeigefunktion (P-AXIS-00023)

Das Element 'kenngr.anzeige' definiert die Anzahl der Aufrufe der Einzelfunktion bis zum nächsten Aufruf der achsspezifischen Anzeigefunktion. Momentan wird diese Funktionalität im Lageregler verwendet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
anzeige | UNS08 | 0 < anzeige < MAX_DURCH_PRO_ANZEIGE | T, R | ----

Wert MAX_DURCH_PRO_ANZEIGE | Bedeutung
applikationsabhängig | maximale Anzahl der Lageregleraufrufe pro Aufruf der Lageregleranzeigefunktion


Aktivierung der (Zusatz-)Schnittstelle zur Aufschaltung applikationsspezifischer Führungsgrößen (P-AXIS-00091)

TwinCAT CNC: Überblick

Aktivierung der (Zusatz-)Schnittstelle zur Aufschaltung applikationsspezifischer Führungsgrößen (P-AXIS-00091)

Sollen über die PLC zusätzliche Lage- oder Geschwindigkeitssollwerte auf den Antrieb aufgeschaltet werden können, ist dieser Parameter mit TRUE zu belegen. Weitere Informationen siehe [HLI - Kapitel Externe Kommandierung einer Achse].

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
in_add_interface | BOOLEAN | 0 / 1 | T, R | ----


Aktivierung der (Zusatz-)Schnittstelle zur Bereitstellung von Soll- und Istgrößen (P-AXIS-00141)

Wird aufgrund der Möglichkeit einer interpolatorsynchronen PLC-Task nicht verwendet. Deswegen ist dieser Wert mit FALSE zu belegen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
out_add_interface | BOOLEAN | 0 / 1 | T, R | ----


Behandlung der aufgeschalteten Lagesollwerte (P-AXIS-00322)

Sollen die über die Zusatzschnittstelle (P-AXIS-00091) kommandierten externen Lagesollwerte wie ein Korrekturwert (Offset, permanent wirksam) behandelt werden, ist dieser Parameter mit TRUE zu belegen.

Bei einer Belegung mit FALSE werden die additiven Korrekturwerte bei jeder internen Kanalsynchronisation (Programmstart, Achstausch, Reset, Sollwertanforderung usw.) wieder herausgefahren.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
in_add_interface_pos_as_offset | BOOLEAN | 0 / 1 | T, R | ----


Zeitkonstante des PT2-Filters für die additive Sollwertschnittstelle (P-AXIS-00438)

Für die additive Sollwertschnittstelle (s. P-AXIS-00091, [HLI - Externe Kommandierung einer Achse]) im Lageregler kann ein PT2-Filter zum Glätten der Sollwertvorgaben aktiviert werden. Dies ist z.B. sinnvoll, falls die PLC nicht im Interpolationstakt der Steuerung läuft.

Im Parameter kenngr.in_add_interface_filter_time (P-AXIS-00438) wird die Zeitkonstante des PT2-Filters in Mikrosekunden angegeben. Falls die Zeitkonstante auf den Wert null gesetzt ist, ist der Filter deaktiviert (Defaulteinstellung).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
in_add_interface_filter_time | UNS32 | 0 < in_add_interface_filter_time < MAX(UNS32) Default: 0 -> PT2-Filter ist inaktiv | T, R, S | µs

Durch den Filter kann bei Deaktivieren der Zusatzschnittstelle (enable_w = FALSE) die Achse noch etwas nachlaufen. Der Achsstillstand kann im Bewegungsflag pAC[axis_idx]^.addr^.StateLR_Data.X_IsMoved der Achse geprüft werden (s. [HLI - Statusinformationen einer Achse]).

Die Filterzeitkonstante des PT2-Filters darf nur im Achsstillstand über ein Parameterupdate geändert werden!


Optimierter Buszugriff (P-AXIS-00276)

Um ein Jittern der Sollwertausgabe zu verhindern, wird normalerweise der Sollwert unmittelbar zu Beginn des nächsten Lageregeltakts ausgegeben. Dies ist insbesondere nicht notwendig, wenn ein unterlagerter Antriebstreiber den synchronen Zugriff auf den Antrieb gewährleistet (z.B. bei digitalem Antrieb, SERCOS).

Das Element 'lr_param.field_bus_allows_optimized_schedule' gibt an, ob der Zugriff auf den Antrieb optimiert abgehandelt werden kann. In diesem Falle werden im gleichen Zyklus die neuen Sollwerte bereitgestellt wie die Istwerte der Achsen eingelesen werden.

Um zeitliche Konsistenz beim Zugriff auf alle Achsen zur gewährleisten, muss diese Einstellung für ein Wirksamwerden bei allen Achse aktiviert sein. Ist diese Einstellung bei mindestens einer Achse nicht angewählt, so wird sie bei allen Achsen deaktiviert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
field_bus_allows_optimized_schedule | BOOLEAN | 0 / 1 | T, R | ----


Einstellungen für die Spindelsteigungsfehlerkompensation

Mehr:

button Aktivierung der SSFK (P-AXIS-00175)


Aktivierung der SSFK (P-AXIS-00175)

Die Spindelsteigungsfehlerkompensation wird mit "lr_param.ssfk = TRUE" aktiviert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ssfk | BOOLEAN | 0 / 1 | T, R | ----


Einstellungen für die Losekompensation

Mehr:

button Größe der Lose (P-AXIS-00103)

button Anwahl der Losekompensation (P-AXIS-00021)

button Verteilung der Lose auf mehrere Taktzyklen (P-AXIS-00243)


Größe der Lose (P-AXIS-00103)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
lose | SGN16 | SGN16-Bereich | T | 0,1µm
 |  | 0 < lose : Lose zw. Antrieb u. Schlitten | R | 0,0001°


Anwahl der Losekompensation (P-AXIS-00021)

Die Anwahl der Losekompensation erfolgt durch Belegung des Elements "lr_param.anwahl_losekomp".

Die Art der Lose (Lose zwischen Tisch und Antrieb bzw. Lose zwischen Antrieb und Meßsystem) erfolgt durch das Vorzeichen von P-AXIS-00103 (getriebe[i].lose).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
anwahl_losekomp | UNS16 | 0, 1, 2 | T, R | ----

Wert | Bedeutung
0 | keine Losekompensation
1 | letze RPF-Phase erfolgte in pos. Richtung
2 | letze RPF-Phase erfolgte in neg. Richtung


Verteilung der Lose auf mehrere Taktzyklen (P-AXIS-00243)

Der Parameter "lr_param.n_backlash_cyc" definiert eine Anzahl von Lagereglerzyklen, auf die das Umkehrspiel (Lose) verteilt wird. Die Verteilung wird entsprechend einer sin^2  Funktion vorgenommen.

Der Parameter wird auch bei einer doppelseitigen Spindelsteigungsfehlerkompensation verwendet, wenn eine Richtungsumkehr stattfindet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
n_backlash_cyc | UNS16 | 0 < n_backlash_cyc < 20 | T, R | ----

Wird der Wert 0 bzw. 1 angegeben, wird die Lose sprungförmig innerhalb eines Zyklus an den Antrieb ausgegeben. Ein Wert größer 1 bewirkt eine Verteilung entsprechend der sin^2-Funktion.

Durch Verwendung dieser Funktion werden noch größere Fehler am Werkstück vermieden, weil bei einer großen Lose die Maschine weniger stark angeregt wird.


Einstellungen für die Temperaturkompensation

Mehr:

button Anwahl der Temperaturkompensation (P-AXIS-00271)

button Parametrierung der Temperaturkompensation (P-AXIS-00272/ P-AXIS-273/ P-AXIS-274)

button Verteilung der Kompensation auf mehrere Taktzyklen (P-AXIS-00275)


Anwahl der Temperaturkompensation (P-AXIS-00271)

Die globale Anwahl der Temperaturkompensation erhält man durch Setzen des Elements temp_comp.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
temp_comp | BOOLEAN | 0, 1 | T, R | ----


Parametrierung der Temperaturkompensation (P-AXIS-00272/ P-AXIS-273/ P-AXIS-274)

Die Kompensationswerte sind durch eine lineare Gerade angenähert. Diese Gerade wird durch eine Position, den Offset an dieser Position und die Steigung bestimmt. Diese Parameter können je nach Temperatur z.B. durch die SPS angepasst werden.

Abbildung 6-1: Referenzmessung bei unterschiedlichen Temperaturen

Bezugsposition P-AXIS-00272:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
temp_comp_position_0 | SGN32 | MIN(SGN32) < temp_comp_position_0 < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001º

Offset P-AXIS-00273:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
temp_comp_offset_0 | SGN32 | MIN(SGN32) < temp_comp_offset_0 < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001º

Steigung P-AXIS-00274:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
temp_comp_coefficient | SGN32 | MIN(SGN32) < temp_comp_coefficient < MAX(SGN32) | T | µm / m
 |  |  | R | 0,001º / °


Verteilung der Kompensation auf mehrere Taktzyklen (P-AXIS-00275)

Die Kompensationswerte werden für jeden Interpolationstakt neu berechnet. Überschreitet die Änderung pro Takt die vorgegebene maximale Achsbeschleunigung, so kann diese Änderung über mehrere Takte gefiltert ausgegeben werden.

Hierzu kann die Taktanzahl des sin2-förmigen Filters in der Achliste eingestellt werden. Defaultmässig ist dieser auf einen Takt eingestellt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
temp_comp_n_cycles | UNS16 | 0 < temp_comp_n_cycles < 20 | T, R | ----


Einstellungen für die Schleppabstandsüberwachung

Mehr:

button Art der Schleppabstandsüberwachung (P-AXIS-00172)

button Minimaler Schleppabstand (P-AXIS-00169)

button Maximaler Schleppabstand (P-AXIS-00168)

button Dynamische Schleppabstandsüberwachung (P-AXIS-00167)

button Bleibende Abweichung bei nichtlinearer Schleppabstandsüberwachung (P-AXIS-00166)

button Maximale Einschwingzeit (P-AXIS-00151)

button Zeitkonstante für Schleppabstandsüberwachung (P-AXIS-00170)

button Schleppabstandsfehler unterdrücken (P-AXIS-00176)


Art der Schleppabstandsüberwachung (P-AXIS-00172)

Der Parameter "getriebe[i].slep_ueberw_typ" bestimmt die Art der Schleppabstandsüberwachung:

1 = Standard-Schleppabstandsüberwachung

2 = Lineare Schleppabstandsüberwachung

3 = Nichtlineare Schleppabstandsüberwachung

4 = Geschwindigkeitsunabhängige Schleppabstandsüberwachung

Bei allen anderen Werten ist die Schleppabstandsüberwachung ausgeschaltet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
slep_ueberw_typ | UNS32 | 0 < slep_ueberw_typ < MAX(UNS32) | T, R | ----


Minimaler Schleppabstand (P-AXIS-00169)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
slep_min | SGN32 | 1 < slep_min < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001°

Standard-Schleppabstandsüberwachung

Der Parameter "getriebe[i].slep_min" wird bei der dynamischen Schleppabstandsüberwachung zur Plausibilitätsprüfung verwendet.

Da bei nicht-hochdynamischen Systemen unter Umständen große Schleppabstände auftreten können, die in seltenen Fällen von der dynamischen Schleppabstandsüberwachung auch bei "getriebe[i].slep_dyn = 1023" (dynamische Schleppabstandsüberwachung quasi ausgeschaltet) als Schleppfehler erkannt werden, muß hierbei empirisch ein günstiger Wert ermittelt werden. Die dynamische Schleppabstandsüberwachung verwendet ein digitales Filter, welches den Schleppabstand aufgrund der Führungsgröße (Sollwert) abschätzt. Üblicherweise ist hier ein Wert von einigen wenigen "mm" bzw."°" einzustellen.

Lineare Schleppabstandsüberwachung

Der Parameter "getriebe[i].slep_min" bestimmt den maximal zulässigen Schleppabstand bei Stillstand der Achse.

Nichtlineare Schleppabstandsüberwachung

Für diese Art der Schleppabstandsüberwachung ist der Parameter ohne Bedeutung.

Geschwindigkeitsunabhängige Schleppabstandsüberwachung

Der Parameter bestimmt den maximal zulässigen Schleppabstand bei Stillstand der Achse.


Maximaler Schleppabstand (P-AXIS-00168)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
slep_max | SGN32 | MAX(UNS32) > slep_max > 10*Schleppabstand bei P-AXIS-00212 | T | 0,1µm
 |  |  | R | 0,0001°

Standard-Schleppabstandsüberwachung

Der Parameter "getriebe[i].slep_max" wird für die Begrenzung des abgeschätzen Schleppabstandes im Lageregler herangezogen. Speziell bei schwingenden Systemen wäre ein interner Bereichsüberlauf von Arbeitsdaten im Lageregler denkbar.

Lineare Schleppabstandsüberwachung

Der Parameter "getriebe[i].slep_max" bestimmt den maximal zulässigen Schleppabstand. Auf diese Weise läßt sich beispielsweise beim Losfahren der Achse ein Ansprechen der Schleppabstandsüberwachung (Haftreibung) verhindern.

Nichtlineare Schleppabstandsüberwachung

Für diese Art der Schleppabstandsüberwachung ist der Parameter ohne Bedeutung.

Geschwindigkeitsunabhängige Schleppabstandsüberwachung

Der Parameter bestimmt den maximal zulässigen Schleppabstand wenn sich die Achse bewegt.


Dynamische Schleppabstandsüberwachung (P-AXIS-00167)

Standard-Schleppabstandsüberwachung

Der Faktor "getriebe[i].slep_dyn" legt die Zeitkonstante eines Abschätzungsfilters für die dynamische Schleppabstandsüberwachung im Lageregler fest. Dieser Parameter muß empirisch ermittelt werden.

Nimmt der Parameter den Wert "1024" an, so ist die Schleppabstandsüberwachung ausgeschaltet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
slep_dyn | SGN16 | 700 < slep_dyn < 1024 | T, R | ----

Lineare Schleppabstandsüberwachung

Der Parameter bestimmt die Steigung bei der Abschätzung des dynamischen Schleppabstandes durch folgende Beziehung:

Nimmt der Parameter den Wert "1024" an, so ist die Schleppabstandsüberwachung ausgeschaltet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
slep_dyn | SGN16 | 0 < slep_dyn < 1024 | T, R | ----

Nichtlineare Schleppabstandsüberwachung

Der Parameter legt die Zeitkonstante eines Abschätzungsfilters für die dynamische Schleppabstandsüberwachung fest. Dieser Parameter muß empirisch ermittelt werden.

Nimmt der Parameter den Wert "1024" an, so ist die Schleppabstandsüberwachung ausgeschaltet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
slep_dyn | SGN16 | 0 < slep_dyn < 1024 | T, R | ----


Bleibende Abweichung bei nichtlinearer Schleppabstandsüberwachung (P-AXIS-00166)

Mit diesem Parameter wird die bleibende Abweichung bei nichtlinearer Schleppabstandsüberwachung festgelegt. Der Parameter muß empirisch bestimmt werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
slep_abw | UNS32 | 0 < slep_abw < 1024 | T, R | ----


Maximale Einschwingzeit (P-AXIS-00151)

Mit diesem Parameter wird die maximal zulässige Einschwingzeit in [ms] festgelegt. Wird das Genauhaltfenster innerhalb dieser Zeit nicht erreicht, so wird eine Fehlermeldung erzeugt.

Wird pos_einschw_zeit = 0 gewählt, so ist die Zeitüberwachung abgeschaltet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
pos_einschw_zeit | UNS32 | 0 < pos_einschw_zeit < MAX(UNS32)/1000 | T, R | ms


Zeitkonstante für Schleppabstandsüberwachung (P-AXIS-00170)

Dieser Parameter ermöglicht die Kompensation von Zeitverzögerungen bei der Rückführung der Istwerte. Damit wird die Überwachungskurve zeitlich verschoben, so dass die tatsächliche Lagedifferenz überwacht werden kann. Diese Zeitkonstante wird für alle Arten der Schleppabstandsüberwachung verwendet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
slep_time_const | UNS32 | 0 < slep_time_const < MAX(UNS32) | T, R | µs

Empfohlene Einstellung: slep_time_const = 0


Schleppabstandsfehler unterdrücken (P-AXIS-00176)

Zum Einstellen der Schleppabstandsüberwachung kann die Erzeugung eines Schleppabstandfehlers ausgeblendet werden. Die dynamische Berechnung der Grenzwerte findet trotzdem statt. Damit ist es möglich, Schleppabstand sowie Schleppabstandsüberwachungsgrenzen aufzuzeichnen und eine Einstellung der zugehörigen Parameter vorzunehmen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
suppress_pos_lag_error | BOOLEAN | 0 / 1 | T, R | ----

Empfohlene Einstellung: suppress_pos_lag_error = 0

suppress_pos_lag_error = 1 unterdrückt die Überwachung und Ausgabe einer Fehlermeldung beim Überschreiten des zulässigen Schleppabstandes und darf nur während der Inbetriebnahme gesetzt sein.


Tendenzprüfung (P-AXIS-00189)

Zur Überwachung der Vorzeichen von Stellsignal und Meßgebersignal wird sinnvollerweise während der Inbetriebnahme die Tendenzüberwachung aktiviert ("kenngr.tendenz_pruef=TRUE").

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tendenz_pruef | BOOLEAN | 0 / 1 | T, R | ----


Einstellungen für die Dynamiküberwachung im Lageregler

Mehr:

button Faktor für zulässige Achsgeschwindigkeit (P-AXIS-00407)


Faktor für zulässige Achsgeschwindigkeit (P-AXIS-00407)

In diesem Parameter wird angegeben, um wieviel die maximal zulässige Achsgeschwindigkeit (s. P-AXIS-00212) überschritten werden darf, bevor die Dynamiküberwachung im Lageregler einen Fehler erzeugt. Der Defaultwert des Parameters beträgt 1000 (100%), d.h. Achsgeschwindigkeiten größer als 2 * P-AXIS-00212 erzeugen einen Fehler. Für Gantry-Slaveachsen oder bei angewählten achsspezifischen Transformationen (s. [AXIS - Parameter für die achsspezifische Transformation] findet keine Geschwindigkeitsüberwachung statt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
dyn_monitoring_v_err | UNS32 | 0 < dyn_monitoring_v_err < MAX(UNS32) Defaultwert: 1000 (100%) | T, R | 0,1 %

Bei lr_param.dyn_monitoring_v_err = 0 ist die Geschwindigkeitsüberwachung im Lageregler ausgeschaltet!


Stellgrößenanpassung

Mehr:

button Anpassung der Antriebsstellgröße an den D/A-Konverter(P-AXIS-00129/ P-AXIS-00128)


Anpassung der Antriebsstellgröße an den D/A-Konverter(P-AXIS-00129/ P-AXIS-00128)

TwinCAT CNC: Überblick

Anpassung der Antriebsstellgröße an den D/A-Konverter
(P-AXIS-00129/ P-AXIS-00128)

Der im Lageregler berechnete Geschwindigkeitssollwert muß an das D/A-Format des D/A-Konverters angepaßt werden. Es ist der Digitalwert am D/A-Konvertereingang (getriebe[i].multi_gain_z/getriebe[i].multi_gain_n) anzugeben, bei welchem die Achse mit der Geschwindigkeit von [1m/min] bzw. [1000°/min] verfährt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
multi_gain_z | UNS32 | 1 < multi_gain_z < MAX(UNS32) | T, R | Bit

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
multi_gain_n | UNS32 | 1 < multi_gain_n < MAX(UNS32) | T, R | ----


Meßgrößenanpassung

Mehr:

button Wegauflösung des Meßsystems (P-AXIS-00234/ P-AXIS-00233)

button Kennung für absolutes Wegmeßsystem (P-AXIS-00014)


Wegauflösung des Meßsystems (P-AXIS-00234/ P-AXIS-00233)

Die Wegauflösung des Meßsystems wird in der Dimension [Inkremente/0,1µm] für translatorische Achsen bzw. [Inkremente/0,0001°] für rotatorische Achsen eingegeben. Die Anzahl der Inkremente ist in "getriebe[i].wegaufz" (Zähler), die Größe des Fahrwegs in [0,1µm] für translatorische Achsen bzw. in [0,0001°] für rotatorische Achsen in "getriebe[i].wegaufn" (Nenner) einzutragen.

Diese Einträge werden beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
wegaufz | SGN32 | 1 < wegaufz < MAX(SGN32) | T, R | Inkr.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
wegaufn | SGN32 | 1 < wegaufn < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001°

Wegen interner Formatwandlung sollte die Wegauflösung des Meßsystems kleiner oder gleich eins eingestellt werden: wegaufz/wegaufn ≤ 1.

Zu beachten ist, dass bei einer Wegauflösung grösser als 1 der Verfahrbereich kleiner als (-MAX(UNS32) ... +MAX(UNS32)) [µm/10-3 °] wird.


Kennung für absolutes Wegmeßsystem (P-AXIS-00014)

Wird ein absolutes Wegmeßsystem verwendet, so muß "kenngr.abs_pos_gueltig" auf TRUE gesetzt werden. Somit wird keine Referenzpunktfahrt benötigt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
abs_pos_gueltig | BOOLEAN | 0 / 1 | T, R | ----


Quantisierung der Messysteminkremente (P-AXIS-00323)

Das Regelfenster (s. P-AXIS-00236) und die Toleranzgrenzen der Drehzahlüberwachung (s. P-AXIS-00217) werden in der Steuerung in die Auflösung des Messystems umgerechnet. Der Parameter P-AXIS-00323 stellt die Minimalgröße des Toleranzbereichs nach dieser Umwandlung dar (Defaultwert: 1 Inkrement).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
incr_quant | UNS32 | 1 < incr_quant < MAX(UNS32) | T, R | Inkr.


Wegstreckenintegration (P-AXIS-00237)

Für den Test auf ein Überschreiten einer Wegstrecke wird ein achspezifisches Datum im Achsmaschinendatensatz eingeführt. Dieses kann für jedes angegebene Getriebe unterschiedlich eingestellt werden.

Falls die Achse seit dem letzten Schmierimpuls erneut die Wegstrecke getriebe[i].wsi_meldung zurückgelegt hat, wird die Meldung "Auslösen des Schmierimpulses" in Form einer PDU abgesetzt. Wird im Achsmaschinendatensatz kein Weg (wsi_meldung = 0) angegeben, so wird keine PDU abgesetzt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
wsi_meldung | UNS32 | 0 < wsi_meldung < MAX(UNS32) | T | mm
 |  |  | R | °(Grad)
 |  |  | SPINDEL | Umdreh.

Die Auflösung zwischen Positionen und WSI - Einheiten wird über folgende Konstanten festgelegt, welche der Anwender nach seinen Wünschen noch anpassen kann. Es gilt als Defaulteinstellung:

Achstyp | Angabe in | Konstante | Wert
T | mm | WSI_AUFLOESUNG_TRANSLATOR | 10000 [0.1µm / mm]
R | ° (Grad) | WSI_AUFLOESUNG_ROTATOR | 10000 [0.0001 ° / ° ]
SPINDEL | Rev. | WSI_AUFLOESUNG_SPINDEL | 10000/360 [0.0001 ° / U]


Einstellungen für die Achskompensationen

Mehr:

button Aktivierung der Kreuzkompensation (P-AXIS-00047)

button Aktivierung der Flächenkompensation (P-AXIS-00174)


Aktivierung der Kreuzkompensation (P-AXIS-00047)

Die Kreuzkompensation (auch Durchhangkompensation genannt) wird im Lageregler mit dem Parameter "lr_param.crosscomp = 1" aktiviert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
crosscomp | BOOLEAN | 0 / 1 | T | ----


Aktivierung der Flächenkompensation (P-AXIS-00174)

Die Flächenkompensation (2-dimensionale Kreuzkompensation) wird im Lageregler mit dem Parameter "lr_param.crosscomp2 = 1" aktiviert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
crosscomp2 | BOOLEAN | 0 / 1 | T | ----


Einstellungen für die dynamische kv-Anpassung (getriebe[i].dyn_kv.*)

Durch die dynamische kv-Anpassung kann die Verstärkung des Lagereglers in Abhängigkeit von der Achsgeschwindigkeit verändert werden.

Hierbei wird die gewünschte Lagereglerverstärkung für zwei Achsgeschwindigkeiten angegeben. Zwischen den beiden Geschwindigkeiten wird die Lagereglerverstärkung linear interpoliert. Im folgenden Bild sind mögliche Verläufe der Lagereglerverstärkung dargestellt.

Die geschwindigkeitsabhängige kv-Anpassung ist für SERCOS-Antriebe nicht möglich.

Mehr:

button Aktivierung der dynamischen kv-Anpassung (P-AXIS-00244)

button Parameter der dynamischen kv-Anpassung (P-AXIS-00245/P-AXIS-00246, P-AXIS-00247/P-AXIS-00248)


Aktivierung der dynamischen kv-Anpassung (P-AXIS-00244)

Die Aktivierung der dynamischen kv-Anpassung erfolgt durch den Parameter dyn_kv_active. Da diese Funktionalität für SERCOS- und CANOPEN-Antriebe nicht zur Verfügung steht wird bei diesen Antrieben eine Warning ausgegeben und die Funktionalität automatisch abgewählt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
dyn_kv_active | BOOLEAN | 0 / 1 | T, R | ----


Parameter der dynamischen kv-Anpassung (P-AXIS-00245/P-AXIS-00246, P-AXIS-00247/P-AXIS-00248)

Bei aktiver kv-Anpassung wird die Lagereglerverstärkung in Abhängigkeit von der Achsgeschwindigkeit linear zwischen den Werten P-AXIS-00245 (kv1) und P-AXIS-00247 (kv2) interpoliert. Zusammen mit den Achsgeschwindigkeiten P-AXIS-00246 (v1) und P-AXIS-00248 (v2) wird durch die beiden Wertepaare P-AXIS-00246/P-AXIS-00245 und P-AXIS-002448/P-AXIS-00247 eine Gerade definiert, mit der die aktuelle Lagereglerverstärkung kv_act berechnet wird.

Hierbei gilt:

P-AXIS-00248 > P-AXIS-00246

Für Achsgeschwindigkeiten < P-AXIS-00246 und > P-AXIS-00248 gilt:

kv_act_max = max(P-AXIS-00245, P-AXIS-00247)

kv_act_min = min(P-AXIS-00245, P-AXIS-00247)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
kv1 | UNS32 | 1 < kv1 < MAX(UNS32) | T, R | 0,01/s

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
kv2 | UNS32 | 1 < kv2 < MAX(UNS32) | T, R | 0,01/s

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
v1 | UNS32 | 0 < v1 < MAX(UNS32) | T | µm/s
 |  |  | R | 0,001°/s

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
v2 | UNS32 | v1 < v2 < MAX(UNS32) | T | µm/s
 |  |  | R | 0,001°/s


Parameter für die Abstandsregelung (getastete Spindel)

Die Abstandsregelung (z.B. Berühren einer gekrümmten Oberfläche einer Platte) oder Höhenregelung (z.B. Ausgleich von Dickentoleranzen des Werkstückes) ermöglicht durch den Einsatz elektronischer Tastsysteme oder Sensoren z.B. in der Z-Achse Bewegungen zu erzeugen, die die programmierte Position der Achse während der Interpolation eines NC-Programms überlagert.

Die Abstandsregelung steht aktuell nur für SERCOS-, Profidrive- oder CANopen-Antriebe zur Verfügung.

Über die nachfolgenden Achsparameter können die für die Abstandsregelung relevanten Größen parametriert werden. Weiterführende Informationen siehe in [FCT-M3].

Mehr:

button Freischaltung der Abstandsregelung (P-AXIS-00328)

button Filterung der Geberwerte (P-AXIS-00413)

button Maximaler Positionsoffset (P-AXIS-00414)

button Maximale Geschwindigkeit (P-AXIS-00415)

button Maximale Beschleunigung (P-AXIS-00416)

button Maximale Änderung des gemessenen Abstandes (P-AXIS-00417)

button Referenzpunktoffset für Meßsystem (P-AXIS-00418)

button Obere Grenze für Meßsystem (P-AXIS-00419)

button Untere Grenze für Meßsystem (P-AXIS-00420)

button Toleranzband für Grenzwerte (P-AXIS-00421)

button Berücksichtigen des Offsets in Softwareendschalterüberwachung (P-AXIS-00428)


Freischaltung der Abstandsregelung (P-AXIS-00328)

Die Freischaltung der Abstandsregelung für eine getastete Spindel erfolgt durch den Parameter "lr_param.distance_control_on = 1". Die Aktivierung erfolgt über einen speziellen Befehl im NC-Programm [PROG - Kapitel "Getastete Spindeln"].

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
distance_control_on | BOOLEAN | 0 / 1 | T, R | ----


Filterung der Geberwerte (P-AXIS-00413)

Die Geberwerte sind u.U. verrauscht. Um die Anregung der Maschine niedrig zu halten, können die Sollwerte zur Abstandsregelung über einen Mittelwertfilter geglättet werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
n_cycles | UNS32 | 0 < n_cycles < 10 Defaultwert: 4 | T, R | ----


Maximaler Positionsoffset (P-AXIS-00414)

Der Korrekturwert der Achse, der über die Abstandsregelung berechnet wurde, darf dieses Maschinendatum nicht überschreiten.

Wird dieser Wert überschritten, wird eine Fehlermeldung ausgegeben. Der Korrekturwert wird begrenzt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
max_deviation | UNS32 | 0 < max_deviation < MAX(UNS32) | T | 0,1 µm
 |  | Defaultwert: 50000, entspricht 5 mm | R | 0,0001°


Maximale Geschwindigkeit (P-AXIS-00415)

Der Parameter definiert die maximale Geschwindigkeit, mit der ein Positionsoffset ausgefahren wird. Die Korrektur des Abstandes wird dynamisch bzgl. der maximalen Geschwindigkeit begrenzt, um die resultierende Anregung zu begrenzen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
v_max | UNS32 | 0 < v_max < MAX(UNS32) | T | 0,001 mm/s
 |  | Defaultwert: 5000, entspricht 5 mm/s | R | 0,001°/s


Maximale Beschleunigung (P-AXIS-00416)

Der Parameter definiert die maximale Beschleunigung, mit der ein Positionsoffset ausgefahren wird. Die Korrektur des Abstandes wird dynamisch bzgl. der maximalen Beschleunigung begrenzt, um die resultierende Anregung zu begrenzen. Falls keine Beschleunigung angegeben ist, wird automatisch die maximale Achsbeschleunigung verwendet (s. P-AXIS-00008).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_max | UNS32 | 0 < a_max < MAX(UNS32) | T | 1 mm/s2
 |  | Defaultwert: Es wird die maximale Achsbeschleunigung verwendet (s. P-AXIS-00008) | R | 1°/s2


Maximale Änderung des gemessenen Abstandes (P-AXIS-00417)

Der Parameter definiert die maximal zulässige Änderung des gemessenen Abstandes innerhalb eines Taktes. Nach Einschalten der Abstandsregelung werden die Istwerte des Sensors bzgl. ihrer Änderung überwacht. Durch das Einstellen eines Maximalwertes können Probleme bei der Istwerterfassung detektiert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
max_act_value_change | UNS32 | 0 < max_act_value_change < MAX(UNS32) | T | 0,1 µm
 |  | Defaultwert: 5000, entspricht 0,5 mm | R | 0,0001°


Referenzpunktoffset für Meßsystem (P-AXIS-00418)

Der Wertebereich des Sensor-Meßsystems kann über dieses Maschinendatum um einen Offset verschoben werden. Dies ist z.B. bei Absolutgebern notwendig, um den Referenzpunkt festzulegen d.h. die Sensorposition, die sich einstellt, falls die Spindel die ideale Werkstückoberfläche berührt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ref_offset | UNS32 | 0 < ref_offset < MAX(UNS32) | T | 0,1 µm
 |  | Defaultwert: 0, kein Positionsoffset | R | 0,0001°


Obere Grenze für Meßsystem (P-AXIS-00419)

Der Parameter definiert die obere Grenze des Sensorgebers. Wird diese bei aktiver Abstandsregelung überschritten, wird eine Fehlermeldung erzeugt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
max_pos | UNS32 | 0 < max_pos < MAX(UNS32) | T | 0,1 µm
 |  | Defaultwert: 50000, entspricht 5 mm | R | 0,0001°


Untere Grenze für Meßsystem (P-AXIS-00420)

Der Parameter definiert die untere Grenze des Sensorgebers. Wird diese bei aktiver Abstandsregelung überschritten, wird eine Fehlermeldung erzeugt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
min_pos | UNS32 | 0 < min_pos < MAX(UNS32) | T | 0,1 µm
 |  | Defaultwert: -50000, entspricht - 5 mm | R | 0,0001°


Toleranzband für Grenzwerte (P-AXIS-00421)

Die Erfassung von Istwerten liefert immer sich ändernde Werte. Durch das Toleranzband sind auch Werte zulässig, die ggf. ausserhalb der konfigurierten Grenzen liegen, ohne dass eine Fehlermeldung erzeugt wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tolerance | UNS32 | 0 < tolerance < MAX(UNS32) | T | 0,1 µm
 |  | Defaultwert: 0, entspricht 0 mm | R | 0,0001°


Berücksichtigen des Offsets in Softwareendschalterüberwachung (P-AXIS-00428)

Dieser Parameter legt fest, ob der berechnete Offset der Abstandsregelung in der Softwareendschalterüberwachung (s. [FCT-A2]) berücksichtigt wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
check_sw_limit_switch | BOOLEAN | 0 / 1 | T, R | ----

0 | Offset der Abstandsregelung wird in Software-Endschalterüberwachung nicht berücksichtigt (Default).
1 | Offset der Abstandsregelung wird in Software-Endschalterüberwachung berücksichtigt.


Totband für Lageregler (P-AXIS-00395)

Um bei verrauschten Lageistwerten zu verhindern, dass der Lageregelkreis im Stillstand ständig eine Stellgröße ausgibt, kann durch diesen Parameter ein minimaler Schleppabstand festgelegt werden, bei dessen Unterschreitung die Ausgabe einer Stellgröße unterdrückt wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
pos_control_deadband | UNS32 | [0 .. P-AXIS-00236] | T, R | 0.1 um

Das Totband kann nicht größer sein, als das für die Achse parametrierte Positionsfenster (P-AXIS-00236) (siehe auch P-ERR-110528). Bei einem Wert vom 0 (Default) wird immer eine Stellgröße ausgegeben.

Der in Encoderinkremente (siehe P-AXIS-00233, P-AXIS-00234) umgerechnete Wert von P-AXIS-00395 muss ≥ 1 sein (siehe auch P-ERR-110529).

Der Parameter ist nur bei Lageregelung in der CNC wirksam.


Achsperipherieschnittstellenparameter für die Lageregelung (lr_hw[i].*)

In diesem Kapitel werden die Achsperipherieschnittstellenparameter für die Lageregelung beschrieben.

Die hardwareunabhängigen Parameter für die Lageregelung werden in Kapitel 6 beschrieben.

Die folgenden Parameter sind vom eingestellten Antriebstyp "kenngr.antr_typ" abhängig. Vom eingestellten Achstyp "kenngr.achs_typ" sind die Daten unabhängig. Sie müssen für alle Achstypen belegt werden.

Mehr:

button Wert der Driftkompensation (P-AXIS-00057)

button Vorzeichenumkehr der Stellgröße (P-AXIS-00231)

button Vorzeichenumkehr des Istwertes (P-AXIS-00230)

button Nummer des hardwarespezifischen Parametersatzes (P-AXIS-00136)

button Zähler Wegauflösung des Gebermesssystems (P-AXIS-00422)

button Nenner Wegauflösung des Gebermesssystems (P-AXIS-00423)

button Festlegen des Geberwertebereichs (P-AXIS-00424)

button Parametrierung einer Counterschnittstelle

button Parametrierung einer D/A-Schnittstelle

button Parametrierung einer digitalen Input-Schnittstelle für RPF-Nocken

button Encoder Wertebereich (P-AXIS-00296)


Wert der Driftkompensation (P-AXIS-00057)

Die Angabe des Wertes zur Kompensation des D/A-Konverter-Drifts erfolgt vorzeichenbehaftet in "lr_hw[i].drift_wert".

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
drift_wert | SGN16 | SGN16-Bereich | T, R | Bit


Vorzeichenumkehr der Stellgröße (P-AXIS-00231)

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vz_stellgr | BOOLEAN | 0 / 1 | T, R | ----


Vorzeichenumkehr des Istwertes (P-AXIS-00230)

Mit diesem Parameter kann das Vorzeichen des Geberistwertes invertiert werden

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vz_istw | BOOLEAN | 0 / 1 | T, R | ----


Nummer des hardwarespezifischen Parametersatzes (P-AXIS-00136)

Zur Kennung, welche der möglichen hardwarespezifischen Parameterlisten gültig ist, werden die entsprechenden Parametersätze mit einer eindeutigen logischen Nummer "lr_hw[i].nummer" versehen. Welcher Parametersatz aktiviert werden soll wird durch den getriebespezifischen Parameter default_lr_hw_nbr im getriebespezifischen Parametersatz festgelegt.

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
nummer | SGN16 | 1 < nummer < ANZ_LR_HW_NBR | T, R | ----

Wert ANZ_LR_HW_NBR | Bedeutung
Applikationsabhängig | Anzahl möglicher hardware-spezifischer Parametersätze


Zähler Wegauflösung des Gebermesssystems (P-AXIS-00422)

Die Wegauflösung des Gebermesssystems wird als Quotient P-AXIS-00422 / P-AXIS-00423 in der Dimension [Inkremente/0,1 µm] für translatorische Achsen oder [Inkremente/10^-4°] für Rundachsen angegeben. In P-AXIS-00422 sind die Anzahl der Geberinkremente anzugeben.

Dieser Eintrag gilt für "lr_hw[i].*" mit i > 1!

Die Auflösung für den Motorgeber "lr_hw[0].*" erfolgt in den Parametern P-AXIS-00233 und P-AXIS-00234.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
encoder_resolution_num | UNS32 | 0 < encoder_resolution_num < MAX(UNS32) Defaultwert: 1 | T, R | Inkremente


Nenner Wegauflösung des Gebermesssystems (P-AXIS-00423)

Die Wegauflösung des Gebermesssystems wird als Quotient P-AXIS-00422 / P-AXIS-00423 in der Dimension [Inkremente/0,1 µm] für translatorische Achsen oder [Inkremente/10^-4°] für Rundachsen angegeben. In P-AXIS-00423 ist die Größe des Verfahrbereichs anzugeben.

Dieser Eintrag gilt für "lr_hw[i].*" mit i > 1!

Die Auflösung für den Motorgeber "lr_hw[0].*" erfolgt in den Parametern P-AXIS-00233 und P-AXIS-00234.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
encoder_resolution_denom | UNS32 | 0 < encoder_resolution_denom < MAX(UNS32) | T | 0,1 µm
 |  | Defaultwert: 1 | R | 0,0001°


Festlegen des Geberwertebereichs (P-AXIS-00424)

In diesem Parameter kann festgelegt werden, ob die Geberpositionen linear oder als Modulwerte betrachtet werden. Die Behandlung kann dabei per default passend zum Achstyp erfolgen, oder es kann eine individuelle Voreinstellung festgelegt werden. Bei Behandlung der Geberwerte in Abhängigkeit des eingestellten Achstyps (s. P-AXIS-00018), wird für Achstyp TRANSLATOR eine lineare Betrachtung durchgeführt, während bei Achstyp ROTATOR eine Modulo-Behandlung verwendet wird.

Dieser Eintrag gilt für "lr_hw[i].*" mit i > 1!

Die Festlegung des Geberwertebereiches für den Motorgeber "lr_hw[0].*" erfolgt im Parameter P-AXIS-00122.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mode_act_pos | BOOLEAN | 0, 1, 2 mit: 0 : nach Achstyp (Default) 1 : linear 2 : modulo | T, R | ----


Parametrierung einer Counterschnittstelle

Diese Schnittstelle ist bei TwinCAT-Systemen nicht verfügbar.

Über einen systemweit eindeutigen Hardwarenamen (I/O-Kartennamen) cntr_hw_id_string und eine Kanalnummer cntr_channel wird eindeutig ein physikalischer Counterkanal auf einer bestimmten I/O-Karte (Hardware-Einheit) festgelegt.

Mehr:

button Name der Counter-Hardware (P-AXIS-00042)

button Counter-Kanalnummer (P-AXIS-00041)


Name der Counter-Hardware (P-AXIS-00042)

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
cntr_hw_id_string | ISG_CHAR | HARDWARE_ID_NBR_OF_CHAR | T, R | ----

Der angegebene jeweilige String für Hardwarenamen muss mit dem Eintrag des Hardwarenamens einer bestimmten I/O-Karte (Hardware-Einheit) in der Hardwarekonfigurationsliste (Eintrag: device[i].name in hwconf.lis) korrespondieren. Ansonsten meldet der Lageregler während der Initialisierung einen Fehler weil er seine Hardware nicht finden kann.


Counter-Kanalnummer (P-AXIS-00041)

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
cntr_channel | UNS32 | 0 < cntr_channel < abhängig von Hardware | T, R | ----


Parametrierung einer D/A-Schnittstelle

Diese Schnittstelle ist bei TwinCAT-Systemen nicht verfügbar.

Über einen systemweit eindeutigen Hardwarenamen (I/O-Kartennamen) da_hw_id_string und eine Kanalnummer da_channel wird eindeutig ein physikalischer analoger Kanal (D/A-Kanal) festgelegt. Die jeweilige Hardware muß in einer Hardwarekonfigurationsliste vorhanden sein.

Mehr:

button Name der D/A-Hardware (P-AXIS-00049)

button D/A-Kanalnummer (P-AXIS-00048)


Name der D/A-Hardware (P-AXIS-00049)

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
da_hw_id_string | ISG_CHAR | HARDWARE_ID_NBR_OF_CHAR | T, R | ----

Der angegebene jeweilige String für Hardwarenamen muss mit dem Eintrag des Hardwarenamens einer bestimmten I/O-Karte (Hardware-Einheit) in der Hardwarekonfigurationsliste ( Eintrag: device[i].name in hwconf.lis ) korrespondieren. Ansonsten meldet der Lageregler während der Initialisierung einen Fehler weil er seine Hardware nicht finden kann.


D/A-Kanalnummer (P-AXIS-00048)

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
da_channel | UNS32 | 0 < da_channel < abhängig von Hardware | T, R | ----


Parametrierung einer digitalen Input-Schnittstelle für RPF-Nocken

Über einen systemweit eindeutigen Hardwarenamen (I/O-Kartennamen) cam_hw_id_string und eine Bitmaske cam_mask wird eindeutig ein physikalischer digitaler Eingang festgelegt. Über cam_level wird der Signalpegel festgelegt. Die jeweilige Hardware muß in einer Hardwarekonfigurationsliste vorhanden sein. Beide Parameter sind nur von Bedeutung, wenn der direkte Zugriff über Treiberfunktionen verwendet werden soll. Dann ist der Parameter cam_direkt_access auf TRUE zu setzen. Ansonsten werden die Nockensignale über die SPS-Schnittstelle (HLI-Interface bzw. achsspezifische Steuerschnittstelle des Interpolators) eingelesen.

Mehr:

button Name der Hardware (P-AXIS-00037)

button Bitmaske für Nockensignale (P-AXIS-00039)

button Signalpegel für Nockensignale (P-AXIS-00038)

button Zugriff auf Nockensignale (P-AXIS-00036)


Name der Hardware (P-AXIS-00037)

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Dieser Parameter ist bei TwinCAT-Systemen nicht verfügbar.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
cam_hw_id_string | ISG_CHAR | HARDWARE_ID_NBR_OF_CHAR | T, R | ----

Der angegebene jeweilige String für Hardwarenamen muss mit dem Eintrag des Hardwarenamens einer bestimmten I/O-Karte (Hardware-Einheit) in der Hardwarekonfigurationsliste ( Eintrag: device[i].name in hwconf.lis ) korrespondieren. Ansonsten meldet der Lageregler während der Initialisierung einen Fehler weil er seine Hardware nicht finden kann.


Bitmaske für Nockensignale (P-AXIS-00039)

Dieser Parameter ist bei TwinCAT-Systemen nicht verfügbar.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
cam_mask | UNS16 | Bitcodierung, 0x ... | T, R | ----


Signalpegel für Nockensignale (P-AXIS-00038)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
cam_level | BOOLEAN | 0 / 1 | T, R | ----

0 | 0-Signal ist aktiver Level. Wenn der Referenznocken betätigt ist, liegt auf dem HLI ím Control-Unit Element pAC[axis_idx]^.addr^.McControlLr_Data.MCControlBoolUnit_ReferenceCam.X_Command der Wert FALSE an (siehe auch [HLI] ).
1 | 1-Signal ist aktiver Level (Default). Wenn der Referenznocken betätigt ist, liegt auf dem HLI ím Control-Unit Element pAC[axis_idx]^.addr^.McControlLr_Data.MCControlBoolUnit_ReferenceCam.X_Command der Wert TRUE an (siehe auch [HLI] ).


Zugriff auf Nockensignale (P-AXIS-00036)

Dieser Eintrag wird beim Aktualisieren der Achsparameterliste nicht übernommen, zur Aktualisierung ist ein Neustart der Steuerung notwendig.

Dieser Parameter ist bei TwinCAT-Systemen nicht verfügbar.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
cam_direct_access | BOOLEAN | 0 / 1 | T, R | ----


Encoder Wertebereich (P-AXIS-00296)

Dieser Parameter wird nur für EtherCAT-Antriebe verwendet.

EtherCAT-Antriebe liefern standardmässig eine Absolutposition als Lageistwert. Falls am Antrieb ein Positionsencoder angeschlossen ist, der eine Moduloposition liefert muß im NC-Kern der Wertebereichsüberlauf des Encoders behandelt werden. Hierzu ist der Wertebereich (Anzahl der von Encoder gelieferten unterschiedlichen Positionswerte) des verwendeten Encoders in diesem Paramter einzustellen.

Wird dieser Parameter nicht belegt, so wird ein Encoder mit 32-Bit Auflösung erwartet (Default).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
encoder_range | SGN32 | 512 MAX(SGN32) | T, R | ----

Beispiel:

Encoder mit 16 Bit Auflösung

Insgesamt liefert der Encoder 216 = 65536 unterschiedliche Werte (0 ... 65535), somit ist der Parameter encoder_range auf 65536 einzustellen.

Dieser Parameter wirkt nur, wenn für P-AXIS-00122 (mode_act_pos) der Wert 2 (modulo) gesetzt ist.


Vorsteuermodus (P-AXIS-00223)

Mit diesem Parameter wird bitkodiert festgelegt, welche Führungsgrößen (Geschwindigkeit, Beschleunigung und Ruck) bei der Vorsteuerung wirken sollen. Es existieren folgende Einstellungen:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vorsteuerung | UNS16 | 0 - 0x327 | T, R | ----

Wert | Bedeutung
0x0000 | Keine Vorsteuerung
0x0001 | Geschwindigkeitsvorsteuerung
0x0002 | Beschleunigungsvorsteuerung
0x0004 | Ruckvorsteuerung
0x0100 | PROFIdrive: Im Profidrive-Telegramm 5 wird der berechnete Vorsteuerwert als Drehzahl im Drehzahlsollwert (NSOLL_B  Signal-Nr.7) einberechnet. Wenn dieses Flag nicht eingeschaltet ist, wird der Vorsteuerwert als Schleppfehler in die Regelabweichung (XERR  Signal-Nr.25) einberechnet.
0x0200 | Wenn die Beschleunigungsvorsteuerung aktiv ist erfolgt diese durch Ausgabe eines additiven Drehmoment/Stromsollwertes.

Diese Funktion ist für alle Achs- und Antriebstypen verfügbar.

Ruckvorsteuerung ist nur bei Verwendung eines ruckbegrenzten Beschleunigungsprofiles wirksam.

Zur Festlegung des Beschleunigungsprofiles siehe P-CHAN-00071 sowie [PROG - Befehl #SET SLOPE PROFIL].


Konventionelle Vorsteuerung

In Abbildung 8-1 ist das Blockschaltbild für die Vorsteuerung dargestellt.

Abbildung 8-1: Blockschaltbild der Vorsteuerung

Mehr:

button Ersatzzeitkonstante für die Beschleunigungsvorsteuerung(P-AXIS-00225/ P-AXIS-00226)

button Gewichtungsfaktor für die Vorsteuerung (P-AXIS-00228/ P-AXIS-00229)

button Permanente Aktivierung der Vorsteuerung (P-AXIS-00255)

button Permanente Deaktivierung der Vorsteuerung (P-AXIS-00256)

button Zähler Gewichtungsfaktor für Ruckvorsteuerung (P-AXIS-00337)

button Nenner Gewichtungsfaktor für Ruckvorsteuerung (P-AXIS-00338)

button Verzögerungszeit für Geschwindigkeitsvorsteuerung (P-AXIS-00389)

button Verzögerungszeit für Beschleunigungsvorsteuerung (P-AXIS-00390)

button Parameter für PROFIDRIVE-Antriebe


Ersatzzeitkonstante für die Beschleunigungsvorsteuerung(P-AXIS-00225/ P-AXIS-00226)

TwinCAT CNC: Überblick

Parameter für die Vorsteuerung (vorsteuer.*) > Konventionelle Vorsteuerung

Ersatzzeitkonstante für die Beschleunigungsvorsteuerung
(P-AXIS-00225/ P-AXIS-00226)

Die Beschleunigungsführungsgröße wird mit der mechanischen Zeitkonstante "vorsteuer.vs_a_faktor/vorsteuer.vs_a_nenner" des Antriebs gewichtet.

Der Antrieb wird dabei als Verzögerungsglied erster Ordnung modelliert (Abbildung 8-1).

Im Laplace-Bereich erhält man folgende Übertragungsfunktion:

GAntrieb = 1 / [ 1 + Ta * s ]

mit Ta = vs_a_faktor / vs_a_nenner

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vs_a_faktor | SGN32 | 0 < vs_a_faktor < MAX(SGN32) | T, R | µs

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vs_a_nenner | SGN32 | 0 < vs_a_nenner < MAX(SGN32) | T, R | 1


Gewichtungsfaktor für die Vorsteuerung (P-AXIS-00228/ P-AXIS-00229)

Diese Parameter beschreiben den Gewichtungsfaktor der Geschwindigkeits- und Beschleunigungsvorsteuerung.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vs_v_faktor | SGN32 | 0 < vs_v_faktor < MAX(SGN32) | T, R | ----

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vs_v_nenner | SGN32 | 0 < vs_v_nenner < MAX(SGN32) | T, R | ----

Erfahrungsgemäß sollte der Gewichtungsfaktor im Bereich 0.7  1 eingestellt werden. Bei Werten >1 eilt die Achse voraus und verschlechtert die Konturgenauigkeit.


Permanente Aktivierung der Vorsteuerung (P-AXIS-00255)

Mit diesem Parameter kann die Vorsteuerung für die Achse permanent aktiviert werden. Die Achse wird immer vorgesteuert, auch wenn im Kanal (bzw. NC-Programm) G137 aktiv ist.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
default_active | BOOLEAN | 0 / 1 | T, R | ----

Diese Funktion ist für alle Achs- und Antriebstypen verfügbar.


Permanente Deaktivierung der Vorsteuerung (P-AXIS-00256)

Mit diesem Parameter kann die Vorsteuerung für die Achse permanent deaktiviert werden. Die Achse wird nie vorgesteuert, auch wenn im Kanal (bzw. NC-Programm) G135 aktiv ist.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
global_disable | BOOLEAN | 0 / 1 | T, R | ----

Diese Funktion ist für alle Achs- und Antriebstypen verfügbar.


Zähler Gewichtungsfaktor für Ruckvorsteuerung (P-AXIS-00337)

Mit diesem Parameter wird der Zähler des Gewichtungsfaktors für die Ruckvorsteuerung angegeben. Der resultierende Gewichtungsfaktor ist definiert als:

jerk_fact = P-AXIS-00337/P-AXIS-00038

Die Ausgabe der Ruckvorsteuerungsführungsgröße an den Antrieb ist durch Setzen des Bits 0x04 im Achsparameter P-AXIS-00223 zu aktivieren.

Eine Ruckvorsteuerung ist nur bei Verwendung eines ruckbegrenzten Beschleunigungsprofiles möglich. Falls ein nicht ruckbegrenztes Beschleunigungsprofil verwendet wird, wird die Ruckführungsgröße 0 ausgegeben.

Zur Festlegung des verwendeten Beschleunigungsprofiles siehe P-CHAN-00071 sowie [PROG - Befehl #SET SLOPE PROFIL] .

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
jerk_fact_num | UNS32 | 0 < jerk_fact_num < MAX(UNS32) | T, R | ----


Nenner Gewichtungsfaktor für Ruckvorsteuerung (P-AXIS-00338)

Mit diesem Parameter wird der Nenner des Gewichtungsfaktors für die Ruckvorsteuerung angegeben. Der resultierende Gewichtungsfaktor ist definiert als:

jerk_fact = P-AXIS-00337/P-AXIS-00038

Die Ausgabe der Ruckvorsteuerungsführungsgröße an den Antrieb ist durch Setzen des Bits 0x04 im Achsparameter P-AXIS-00223 zu aktivieren.

Eine Ruckvorsteuerung ist nur bei Verwendung eines ruckbegrenzten Beschleunigungsprofiles möglich. Falls ein nicht ruckbegrenztes Beschleunigungsprofil verwendet wird, wird die Ruckführungsgröße 0 ausgegeben.

Zur Festlegung des verwendeten Beschleunigungsprofiles siehe P-CHAN-00071 sowie [PROG - Befehl #SET SLOPE PROFIL] .

Der Wert 0 ist für diesen Parameter nicht zulässig. Falls dieser trotzdem parametriert wird, wird eine Fehlermeldung mit der Nummer 110473 ausgegeben und der Wert auf den Default-Wert (100) korrigiert. (siehe auch [DIAG] ).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
jerk_fact_denom | UNS32 | 0 < jerk_fact_denom < MAX(UNS32) | T, R | ----


Verzögerungszeit für Geschwindigkeitsvorsteuerung (P-AXIS-00389)

Falls für die Geschwindigkeitsvorsteuerung die Verwendung eines additiven Geschwindigkeitssollwertes aktiviert ist, kann mit diesem Parameter die Ausgabe des Geschwindigkeitsvorsteuerwertes gegenüber dem Lagesollwert verzögert werden.

Die Verzögerungszeit ist in µs anzugeben, die maximale Verzögerung beträgt einen Interpolatortakt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
velocity_delay_time | UNS16 | 0 < velocity_delay_time < Interpolatorzykluszeit | T, R | µs

Dieser Parameter wird aktuell nur für SERCOS unterstützt.


Verzögerungszeit für Beschleunigungsvorsteuerung (P-AXIS-00390)

Falls für die Beschleunigunsvorsteuerung die Verwendung eines additiven Drehmomentsollwertes aktiviert ist, kann mit diesem Parameter die Ausgabe des Beschleunigungsvorsteuerwertes gegenüber dem Lagesollwert verzögert werden.

Die Verzögerungszeit ist in µs anzugeben, die maximale Verzögerung beträgt einen Interpolatortakt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
acceleration_delay_time | UNS16 | 0 < acceleration_delay_time < Interpolatorzykluszeit | T, R | µs

Dieser Parameter wird aktuell nur für SERCOS unterstützt.


Parameter für PROFIDRIVE-Antriebe

Mehr:

button Zeitversatz Sollwerte-Vorsteuergrössen (P-AXIS-00165)

button Lagegeberinkremente pro Motorumdrehung (P-AXIS-00092)

button Zeitkonstante Lagesollwertfilter zur Vorsteuerungssymmetrierung (P-AXIS-00361)


Zeitversatz Sollwerte-Vorsteuergrössen (P-AXIS-00165)

Mit dem Parameter shift_time kann ein Zeitversatz in NC-Takten zwischen der Ausgabe der Sollwerte und der Ausgabe der berechneten Vorsteuergrößen definiert werden. Bei einem Wert > 0 werden die Vorsteuergrößen vor dem zugehörigen Sollwert ausgegeben. Hiermit kann das Verhalten der Achse bei Verwendung der Vorsteuerung optimiert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
shift_time | UNS16 | 0 < shift_time < V_SATZ_ANZ -1 | T, R | Interpolationstakte


Lagegeberinkremente pro Motorumdrehung (P-AXIS-00092)

Mit diesem Parameter werden die Anzahl der Lagegeberinkremente pro Motorumdrehung angegeben. Hierbei ist der intern im NC-Kern verwendete Wert (nach der Bewertung des im Bustelegramm übertragenen Wertes mit dem Parameter (incr_per_rev) anzugeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
incr_per_rev | UNS32 | 0 ≤ incr_per_rev ≤ MAX(UNS32) | T, R | Inkremente/ U


Zeitkonstante Lagesollwertfilter zur Vorsteuerungssymmetrierung (P-AXIS-00361)

Durch diesen Parameter wird die Zeitkonstante eines Sollwertfilters zur Vorsteuerungssymmetrierung eingestellt. Durch dem Wert 0 wird die Symmetrierung abgeschaltet.

Die Vorsteuerunssymmetrierung ist nur für Profidrive-Antriebe mit Absolutwertgeber verfügbar.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
timeconst_sym_filter | UNS32 | 0 < timeconst_sym_filter < MAX(UNS32) | T, R | µs

7.2.5.3 Filterung der Stellgrösse (P-AXIS-00190)

Bei PROFIDRIVE-Antrieben wird bei Verwendung der Vorsteuerung und Ausgabe des berechneten Vorsteuerwertes als Geschwindigkeitssollwert (Verwendung von PROFIBUS-Telegramm 5, DSC-Modus) die Stellgröße gefiltert. Die Zeitkonstante dieses Sollwertfilters ist gleich der mechanischen Zeitkonstante des Antriebs und kann in diesem Parameter eingestellt werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
timeconst_cmd_filter | UNS16 | 0 < timeconst_cmd_filter < MAX(UNS32) | T, R | µs

7.3 Adaptive Vorsteuerung

7.3.1 Zeitversatz Soll-/ Istwerte (P-AXIS-00055)

Bei Verwendung der adaptiven Vorsteuerung kann mit diesem Parameter der Zeitversatz zwischen Soll- und Istwerten aufgrund von Buslaufzeiten eingestellt werden. Bei einem Wert > 0 werden zur Berechnung der Vorsteuerwerte um die eingestellte delay-time verzögerten Soll- und Istwerte verwendet. Mit diesem Parameter kann das Verhalten der Achse bei Verwendung der adaptiven Vorsteuerung optimiert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
delay_time | UNS16 | 0 < delay_time < ADAPT_VOFI_DELAY -1 | T, R | Takte

Wert ADAPT_VOFI_DELAY | Bedeutung
Applikationsabhängig | Maximal zulässiger Zeitversatz zwischen Soll- und Istwert


Parameter für Antriebe (antr.*)

In dieser Struktur besteht die Möglichkeit, Unionstrukturen für verschiedene Antriebe zu definieren.

Die im folgenden beschriebenen Daten sind vom Achstyp "kenngr.achs_typ" unabhängig. Sie müssen für alle Achstypen belegt werden.

Mehr:

button Allgemeine Antriebsparameter

button Antriebstyp Simulation (antr.simu.*)

button Antriebstyp SERCOS (antr.sercos.*)

button Antriebstyp PROFIdrive (antr.profibus.*)

button Antriebstyp CANopen (antr.canopen.*)

button Antriebstyp DSE (antr.dse.*)

button Parametrierung von Antriebsfunktionen (antr.function[i].*)


Allgemeine Antriebsparameter

Mehr:

button Normierung der Soll- und Istposition (P-AXIS-00123/ P-AXIS-00122)

button Zeitbasis für Normierung der Geschwindigkeit (P-AXIS-00207)

button Normierung der Geschwindigkeit (Zähler/ Nenner) (P-AXIS-00206/ P-AXIS-00205)

button Verzögerung zwischen Stellgröße und Istwert (P-AXIS-00191)

button Betriebsart einer Achse (P-AXIS-00320)

button Nummer des zum Kantenstoßen verwendeten Messeinganges (P-AXIS-00353)

button Unbekannte Einträge im Antriebstelegramm ignorieren (P-AXIS-00358)

button Maximale Zeitverzögerung für Deaktivieren des Antriebs nach PLC-Watchdogfehler (P-AXIS-00367)

button Name des EtherCAT-Master Prozesses (P-AXIS-00372)

button Für Referenzpunktfahrt benutzter Geber(P-AXIS-00388)

button Skalierungsfaktor für Beschleunigungsvorsteuerung (P-AXIS-00392)

button Encoderauflösung über Vorschubkonstante (Zähler/ Nenner) (P-AXIS-00362/ P-AXIS-00363)

button Offset zwischen Antriebsposition und CNC-Position (P-AXIS-00403)

button Faktor zur Vergröberung der Encoderauflösung (P-AXIS-00405)

button EtherCAT-Feldbus: Zulässige Telegrammausfälle (P-AXIS-00406)

button Ansteuerung einer Gleichstrombremse (P-AXIS-00410)

button Nummer des Messeinganges (P-AXIS-00430)


Normierung der Soll- und Istposition (P-AXIS-00123/ P-AXIS-00122)

Sowohl die Soll- als auch die Istposition eines Antriebs kann von der NC als Modulo oder linearer Verfahrbereich behandelt werden. Die Behandlung kann dabei defaultmäßig passend zum Achstyp erfolgen, oder es kann eine individuelle Voreinstellung gewählt werden. Hierzu stehen folgende Einstellungen zur Verfügung, wobei die Einstellung der Soll-/Istwertbehandlung auch gemischt erfolgen kann:

Defaultbehandlung der Werte nach dem eingestellten Achstyp (TRANSLATOR -> linear Behandlung von Soll-/Istwerten, ROTATOR -> modulo-Behandlung von Soll-/Istwerten).

P-AXIS-00123:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mode_cmd_pos | UNS16 | 0 : nach Achstyp 1 : linear 2 : modulo | T, R | ----

P-AXIS-00122:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mode_act_pos | UNS16 | 0 : nach Achstyp 1 : linear 2 : modulo | T, R | ----


Zeitbasis für Normierung der Geschwindigkeit (P-AXIS-00207)

Die Zeitbasis für die Anpassung der Geschwindigkeitsschnittstelle auf die Einheit im Antrieb kann pro Minute, Sekunde oder Abtastintervall angegeben werden. Wird z.B. die Normierung pro Abtastintervall gewählt, so ändert sich die ausgegebene Größe bei gleicher Geschwindigkeit proportional zur eingestellten NC-Zykluszeit. Dies kann je nach Antrieb erforderlich sein.

Variablenname | Typ | Erlaubter Bereich | Achstyp | Dimension
v_time_base | UNS16 | 0 : pro Minute 1 : pro Sekunde 2 : pro Abtastintervall | T, R | ----


Normierung der Geschwindigkeit (Zähler/ Nenner) (P-AXIS-00206/ P-AXIS-00205)

Die Normierung der Distanz (Weg oder Umdrehung) im Zeitintervall erfolgt äquivalent zur Wegauflösung des Gebersystems durch die Angabe des Zählers und Nenners eines Quotienten.

Der Zähler gibt die Anzahl der Inkremente an, wogegen der Nenner den Weg in 1 μm oder 0,001° bezeichnet.

P-AXIS-00206:

Variablenname | Typ | Erlaubter Bereich | Achstyp | Dimension
v_reso_num | UNS32 | 0 < v_reso_num < MAX(UNS32) | T, R | Inkremente

P-AXIS-00205:

Variablenname | Typ | Erlaubter Bereich | Achstyp | Dimension
v_reso_denom | UNS32 | 1 < v_reso_denom < MAX(UNS32) | T | 1µm
 |  |  | R | 0,001°

Beispiel 1:

Liefert der Motor 2 ^ 20 Inkremente pro Umdrehung und soll die Geschwindigkeitschnittstelle die Inkremente pro Abtastintervall zusätzlich mit dem Faktor 2 ^ 8 liefern, so sind folgende Einstellungen notwendig:

v_time_base = 2 // [cylce time]

v_reso_num = 268435456 // = 2 ^ 28 [Inkremente]

v_reso_denom = 360000 // [0.001 °]

Beispiel 2:

Der Antrieb erwartet in 10E-4 Umdrehungen/Minute auf der Geschwindigkeitschnittstelle.

v_time_base = 0 // [Minuten]

v_reso_num = 10000 // [Inkremente]

v_reso_denom = 360000 // [0.001 °]

Beispiel 3:

Der Antrieb erwartet in mm/Minute auf der Geschwindigkeitschnittstelle.

v_time_base = 0 // [Minuten]

v_reso_num = 1 // [Inkremente]

v_reso_denom = 1000 // [1 μ m]


Verzögerung zwischen Stellgröße und Istwert (P-AXIS-00191)

Dieser Parameter ist nur bei digitalen Antrieben (z.B. Sercos) wirksam. Er gibt die Anzahl der Takte an, die zwischen der Ausgabe der Stellgrössen und dem Einlesen der Istwerte liegen. Der Parameter wird nur bei der Berechnung des Schleppabstands benutzt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
nbr_delay_cycles | UNS16 | 0 < nbr_delay_cycles < 5 (NBR_CMD_POS - 1) | T, R | ----


Betriebsart einer Achse (P-AXIS-00320)

Dieser Parameter bestimmt die Betriebsart, die für eine Achse verwendet wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
operation_mode | ISG_CHAR | siehe untenstehende Strings | T, R | ----

String | Bedeutung
DRIVE_DEFAULT | Standardeinstellung für alle Antriebstypen. Die verwendete Betriebsart (Lageregelung im Antrieb, Lageregelung in der Steuerung, Geschwindigkeitsregelung, usw.) wird automatisch festgelegt. Sie ist z.B. abhängig vom Antriebstyp P-AXIS-00020 und dem konfigurierten Telegramm.
DRIVE_POSITION_CONTROL | In dieser Betriebsart wird die Lage- oder Geschwindigkeitsregelung im Antrieb durchgeführt.
CNC_POSITION_CONTROL | Die Lageregelung wird in der Steuerung durchgeführt. Für diese Betriebsart müssen daher zusätzlich die Wegauflösung des Messsystems P-AXIS-00234 / P-AXIS-00233 , der Proportionalfaktor kvder P-Lageregelung P-AXIS-00099 und die Skalierung der Stellgröße P-AXIS-00129 / P-AXIS-00128 eingestellt werden.

Die folgenden Betriebsarten werden erst ab V263 unterstützt.

OPEN_POSITION_LOOP_MODE

Betrieb ohne Lageregelung (gesteuerter Betrieb). Es wird die vom Interpolator berechnete Sollgeschwindigkeit ausgegeben.

Diese Betriebsart ist nur für Spindeln möglich.

Der Drehzahlistwert zur Geschwindigkeitsüberwachung wird wie folgt ausgewählt:

Falls ein Lageistwert konfiguriert ist, wird dieser verwendet.

Falls kein Lageistwert, aber ein Drehzahlistwert konfiguriert ist, wird dieser verwendet.

Falls weder Lageistwert noch Drehzahlistwert konfiguriert sind, wird die Sollgeschwindigkeit verwendet (geberlose Spindel).

Die Skalierung des an die Spindel ausgegebenen Drehzahlsollwertes erfolgt über die Parameter P-AXIS-00205 , P-AXIS-00206 und P-AXIS-00207 . Für PROFIDRIVE-Antriebe ist hierzu der Parameter P-AXIS-00379 zu verwenden.

OPEN_POSITION_LOOP_POS

_FEEDBACK

Betrieb ohne Lageregelung (gesteuerter Betrieb). Es wird die vom Interpolator berechnete Sollgeschwindigkeit ausgegeben.

Diese Betriebsart ist nur für Spindeln möglich.

Der Drehzahlistwert zur Geschwindigkeitsüberwachung wird aus dem von der Spindel gelieferten Lageistwert berechnet. Falls dieser nicht konfiguriert ist erfolgt die Ausgabe einer Fehlermeldung.

Die Skalierung des an die Spindel ausgegebenen Drehzahlsollwertes erfolgt über die Parameter P-AXIS-00205 , P-AXIS-00206 und P-AXIS-00207 . Für PROFIDRIVE-Antriebe ist hierzu der Parameter P-AXIS-00379 zu verwenden.

OPEN_POSITION_LOOP_VEL

_FEEDBACK

Betrieb ohne Lageregelung (gesteuerter Betrieb). Es wird die vom Interpolator berechnete Sollgeschwindigkeit ausgegeben.

Diese Betriebsart ist nur für Spindeln möglich.

Der Drehzahlistwert zur Geschwindigkeitsüberwachung wird aus dem von der Spindel gelieferten Drehzahlistwert berechnet. Falls dieser nicht konfiguriert ist, erfolgt die Ausgabe einer Fehlermeldung.

Die Skalierung des an die Spindel ausgegebenen Drehzahlsollwertes erfolgt über die Parameter P-AXIS-00205 , P-AXIS-00206 und P-AXIS-00207 . Für PROFIDRIVE-Antriebe ist hierzu der Parameter P-AXIS-00379 zu verwenden.

OPEN_POSITION_LOOP_NO

_FEEDBACK

Betrieb ohne Lageregelung (gesteuerter Betrieb). Es wird die vom Interpolator berechnete Sollgeschwindigkeit ausgegeben.

Diese Betriebsart ist nur für Spindeln möglich.

Der Drehzahlistwert zur Geschwindigkeitsüberwachung wird aus der internen Sollgeschwindigkeit berechnet.

Die Skalierung des an die Spindel ausgegebenen Drehzahlsollwertes erfolgt über die Parameter P-AXIS-00205 , P-AXIS-00206 und P-AXIS-00207 . Für PROFIDRIVE-Antriebe ist hierzu der Parameter P-AXIS-00379 zu verwenden.

Für die Lageregelung in der Steuerung (Betriebsart CNC_POSITION_CONTROL) muss im SERCOS-Antrieb die Betriebsart Geschwindigkeitsregelung aktiv sein. Ferner müssen im zyklischen Telegramm Sollgeschwindigkeit und Istposition konfiguriert und übertragen werden.

In der Betriebsart CNC_POSITION_CONTROL kann für SERCOS-Antriebe nur eine CNC-geführte Referenzpunktfahrt ohne Nullimpulssuche durchgeführt werden. Die notwendigen Parametereinstellung können [FCT-M1] entnommen werden.


Nummer des zum Kantenstoßen verwendeten Messeinganges (P-AXIS-00353)

Mit diesem Parameter kann die Nummer des im Antrieb zum Kantenstossen verwendeten Messeinganges parametriert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
edge_bending_input_nbr | UNS16 | antriebstypabhängig | T, R | ----

Dieser Parameter wird nicht für alle Antriebstypen unterstützt. Falls eine für den verwendeten Antriebstyp ( P-AXIS-00020 ) nicht zulässige Messeingangsnummer parametriert wird, wird eine Fehlermeldung P-ERR-110489 ausgegeben und der Parameter automatisch korrigiert. Gültige Werte für die jeweiligen Antriebstypen sind in der folgenden Tabelle angegeben.

Antriebstyp | P-AXIS-00020 | Zulässige Werte für P-AXIS-00353
Konventionell (+-10 V) | 1 | 1
SERCOS | 2 | 1
PROFIDRIVE | 3 | 1, 2
Simulation | 4 | 1
Lightbus | 5 | 1
Terminal (+-10V über Bus) | 6 | 1
Echtzeit-Ethernet | 7 | 1
CANopen | 8 | 1
Virtuell | 16 | 1
CAN | 32 | 1


Unbekannte Einträge im Antriebstelegramm ignorieren (P-AXIS-00358)

Wenn in den zyklisch ausgetauschten Antriebstelegrammen Elemente konfiguriert sind, die in der CNC nicht bekannt sind, wird standardmäßig eine Fehlermeldung ausgegeben. Die Ausgabe dieser Fehlermeldung kann durch diesen Parameter unterdrückt werden.

Dieser Parameter unterstützt momentan nur Antriebe vom Typ PROFIDRIVE ( P-AXIS-00020 ).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ignore_unknown_telegram_elements | BOOLEAN | 0 / 1 | ---- | ----


Maximale Zeitverzögerung für Deaktivieren des Antriebs nach PLC-Watchdogfehler (P-AXIS-00367)

Nach einem PLC-Watchdogfehler werden die Achsen von der CNC angehalten. Falls in diesem Parameter eine Zeitdauer größer Null angegeben ist, werden bei einem PLC-Watchdogfehler zusätzlich die Antriebsfreigaben der Achse weggenommen, sobald sie zum Stillstand gekommen ist, jedoch spätestens nach Ablauf der angegebenen Zeitdauer.

Bei P-AXIS-00367 = 0 erfolgt bei einem PLC-Watchdogfehler keine automatische Wegnahme der Antriebsfreigaben durch die CNC.

Bei einer hängenden Achse muss sichergestellt sein, dass die Achse nach Wegnahme der Antriebsfreigaben durch ihre Bremse sicher gehalten wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
plc_watchdog_disable_drive_delay_time | UNS32 | 0 ... MAX(UNS32) | T, R, S | µs


Name des EtherCAT-Master Prozesses (P-AXIS-00372)

Der Name des EtherCAT-Master Prozesses unter dem Echtzeitbetriebssystem INtime ist abhängig vom verwendeten Netzwerkinterface. Er wird von der Steuerung benötigt, um auf die Antriebsschnittstelle zugreifen zu können.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ethercat_master_name | ISG_CHAR | siehe untenstehende Strings | T, R | ----

String | Bedeutung
ECMeth0 | EtherCAT Master an Netzwerkdevice eth0
ECMeth1 | EtherCAT Master an Netzwerkdevice eth1

Dieser Parameter wird nur für das Echtzeitbetriebssystem INtime verwendet.


Für Referenzpunktfahrt benutzter Geber(P-AXIS-00388)

Manche Antriebstypen unterstützen die Verwendung von mehreren Gebern (Motorgeber und externe Geber). Mit diesem Parameter wird festgelegt, welcher Geber bei der Referenzpunktfahrt verwendet werden soll.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
cnc_homing_encoder | UNS16 | 1, 2, 3 | T, R | ----

1 | Es wird versucht, den verwendeten Geber automatisch zu bestimmen, indem z. B. bei SERCOS der Antriebsparameter S-0-147 gelesen wird.
2 | Motorgeber
3 | Externer Geber

Dieser Parameter wird aktuell nur für SERCOS unterstützt.


Skalierungsfaktor für Beschleunigungsvorsteuerung (P-AXIS-00392)

Dieser Parameter wird bei Verwendung der Beschleunigungsvorsteuerung über einen additiven Drehmomentsollwert zur Umrechnung in das antriebsseitig verwendete Drehmomentformat benötigt. Es ist das Stillstandsmoment des Motors einzutragen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
acc_reference_value | REAL64 | 0 < acc_reference_value < MAX(REAL64) | T | N
 |  | Defaultwert: 1 | R | Nm


Encoderauflösung über Vorschubkonstante (Zähler/ Nenner) (P-AXIS-00362/ P-AXIS-00363)

Durch Parameter P-AXIS-00362 sowie durch Parameter P-AXIS-00363 wird eine alternative Methode zur Parametrierung der Encoderauflösung aktiviert. Wenn sowohl der Parameter P-AXIS-00362 als auch P-AXIS-00363 mit Werten ungleich 1 (Defaultinitialisierung) belegt werden, wird die Encoder-auflösung nach der folgenden Formel berechnet:

Mit:

R: Resultierende Auflösung (Inkremente / 0.1 µm).

rMotor: Geberinkremente pro Motorumdrehung (P-AXIS-00092)

iGetriebe: Getriebeübersetzung (Umdrehungen Getriebeeingang / Umdrehungen Getriebeausgang (P-AXIS-00234/P-AXIS-00233)).

f: Vorschubkonstante (0.1 µm / Umdrehung) (P-AXIS-00362/P-AXIS-00363).

P-AXIS-00362:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
feed_const_num | UNS32 | 1 < feed_const_num < MAX(UNS32) | T, R | 0.1 µm

P-AXIS-00363:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
feed_const_denom | UNS32 | 1 < feed_const_denom < MAX(UNS32) | T, R | U


Offset zwischen Antriebsposition und CNC-Position (P-AXIS-00403)

Durch diesen Parameter kann bei Antrieben mit Absolutgeber ein Offset zwischen der vom Antrieb gelieferten Position und der internen Position der CNC-Steuerung eingeführt werden.

Die Verwendung dieses Parameters ist nur in Verbindung mit Absolutgebern sinnvoll.

Der Parameter ist nur dann wirksam, wenn dem Parameter P-AXIS-00014 der Wert 1 zugewiesen wurde.

Die Position der CNC ergibt sich dabei durch:

Sobald der Antrieb eine gültige Position liefert, wird die CNC-Position entsprechend der obigen Gleichung gesetzt und die Achse als referenziert markiert.

Falls zwischendurch bedingt durch äußere Einflüsse, wie z. B. Phasenschalten durch den Benutzer, der Feldbus bzw. Antrieb keine gültigen Istwerte liefert, wird die CNC-Position neu initialisiert, sobald wieder gültige Istwerte geliefert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
abs_pos_offset | SGN32 | MIN_SGN32 ≤ abs_pos_offset ≤ MAX_SGN32 | T | 0.1 µm
 |  |  | R | 0,0001°

Falls der verwendete Antriebstyp diesen Parameter nicht unterstützt, wird eine Warnung mit der Nummer 110532 (siehe [DIAG]) ausgegeben und P-AXIS-00403 auf 0 korrigiert.

Ein durch Aktualisieren einer Parameterliste oder durch den #MACHINE DATA Befehl geänderter Offset wird erst bei der nächsten Neuinitialisierung der CNC-Position wirksam.


Faktor zur Vergröberung der Encoderauflösung (P-AXIS-00405)

Über den Parameter antr.encoder_coarsening_factor (P-AXIS-00405) kann die Encoderauflösung des Antriebs vergröbert werden. Dies kann z.B. bei Messsystemauflösungen (s.P-AXIS-00234/P-AXIS-00235) größer als eins notwendig sein, da bei diesen Auflösungen der mögliche Verfahrbereich in der CNC reduziert ist. Dazu werden im Parameter P-AXIS-00405 die Anzahl der niederwertigen Encoderbits angegeben, die zu verwerfen sind. Bei einem Encoder mit 2^20 Inkrementen und einem Wert von encoder_coarsening_factor = 4 ergibt sich eine effektive Encoderauflösung von 2^16 Inkrementen d.h. eine um den Faktor 16 reduzierte Auflösung. Beim Einstellen der Wegauflösung (P-AXIS-00234/P-AXIS-00233) oder bei Referenzieren auf Encoderüberlauf (P-AXIS-00355) ist daher immer die reduzierte Encoderauflösung (nicht die native Auflösung des Encoders!) zu verwenden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
encoder_coarsening_factor | UNS16 | 0 < encoder_coarsening_factor < 20 | T, R | ----

Eine Vergröberung der Encoderauflösung ist derzeit nur bei SERCOS-Antrieben möglich.


EtherCAT-Feldbus: Zulässige Telegrammausfälle (P-AXIS-00406)

Im Parameter antr.permissible_telegram_failures kann angeben werden, wie viele Antriebstelegramme in Folge ausfallen dürfen, bevor die CNC den Antriebsbus als unterbrochen betrachtet. Bei einem Busabfall werden die Achsen ohne Absolutgeber (s. P-AXIS-00014) als nicht referenziert markiert. Für Achsen in Interpolation wird zusätzlich eine Fehlermeldung ausgegeben. Als Defaulteinstellung wird permissible_telegram_failures = 0 verwendet d.h. jedes ausgefallene Telegramm stellt einen Fehlerfall dar.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
permissible_-telegram_failures | UNS08 | 0 ≤ permissible_telegram_failures ≤ 10 | T, R | -

Dieser Parameter wird nur für Antriebe mit EtherCAT-Feldbus (CANopen/SERCOS over EtherCAT) verwendet.


Ansteuerung einer Gleichstrombremse (P-AXIS-00410)

Mit diesem Parameter wird die Ansteuerung einer Gleichstrombremse für Spindeln unterstützt. Hierbei wird ein Steuerbit zum Antriebsregler übertragen, mit dem die Gleichstrombremsung freigegeben werden kann.

Der Wert des Parameters beschreibt die Nummer des hierfür zu verwendenten Bits im Steuerword des Antriebsreglers. Der Wert 0 für P-AXIS-00410 bedeutet hierbei beispielsweise, dass das Bit 0 (Bitmaske 0x0001) des Steuerwortes des Antriebs zur Übertragung verwendet wird. Ein Wert von 1 für diesen Parameter deaktiviert die Funktion, d. h. es wird kein Steuerbit zum Antriebsregler übertragen.

Das Steuerbit ist 0, wenn:

· Die Achse auf ihre Enddrehzahl (in positiver oder negativer Richtung) beschleunigt.

· Die Achse eine Richtungsumkehr (M3 -> M4, oder M4 -> M3) durchführt.

In allen anderen Fällen ist das Steuerbit gesetzt.

Die eigentliche Ansteuerung der Gleichstrombremse (Überwachung von Mindestdrehzahlen, Magnetisierungszeiten usw) ist im Antriebsregler zu implementieren.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
dc_brake_control_bit_nr | SGN16 | -1 < dc_brake_control_bit_nr < 15 | R | ----

Bei Antriebstyp P-AXIS-00020 | Gültige Werte für P-AXIS-00410 (Bitnummer)
4 (Simulation) | -1 , 0 .. 15
3 (PROFIDRIVE) | -1, 8, 9, 13, 15

Die Ansteuerung einer Gleichstrombremse ist nur für die Antriebstypen Simulation und PROFIDRIVE implementiert.


Nummer des Messeinganges (P-AXIS-00430)

Nummer des im Antrieb als Messeingang verwendeten Digitaleinganges. Der verwendete Digitaleingang muss auch im Antrieb als Messeingang parametriert werden, siehe auch [FCT-C4]. Ab der CNC-Version V2.10.1505.26 wird dieser Parameter für Profidrive, CANopen und Sercos-Antriebe verwendet. Falls er mit 0 angegeben ist, gelten aus Gründen der Abwärtskompatibilität folgende Defaultwerte:

§ CANopen/Profidrive: Messeingang 1

§ Sercos: der letzte konfigurierte Messwert im zyklischen Telegramm

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
probing_input_nbr | UNS08 | 0, 1, 2 | T, R, S | ----


Antriebstyp Simulation (antr.simu.*)

Beim Antriebstyp Simulation (siehe Parameter kenngr.antr_typ Kapitel 3.1.1) kann das Zeitverhalten der Achse durch ein Filter nachgebildet werden, dessen Parmeter in den folgenden Abschnitten beschrieben werden. Zusätzlich können die vom Lageregler berechneten Sollwerte um eine einstellbare Anzahl von Interpolatorzylen verzögert werden, um eine Totzeit der Regelstrecke zu simulieren.

Mehr:

button Antriebszeitkonstante (Zähler/ Nenner) (P-AXIS-00239/ P-AXIS-00238)

button Antriebsdämpfung (Zähler/ Nenner) (P-AXIS-00051/ P-AXIS-00050)

button Antriebseigenfrequenz (Zähler/ Nenner) (P-AXIS-00062/ P-AXIS-00061)

button Totzeit (P-AXIS-00194)

button Weg bis zum Nullimpuls bei Referenzpunktfahrtsimulation(P-AXIS-00161)

button Istwert gleich Sollwert setzen (P-AXIS-00096)


Antriebszeitkonstante (Zähler/ Nenner) (P-AXIS-00239/ P-AXIS-00238)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
zeitkonstante_z | UNS32 | MAX(UNS32) > zeitkonstante_z > 1 | T, R | s

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
zeitkonstante_n | UNS32 | MAX(UNS32) > zeitkonstante_n > 1 | T, R | 1


Antriebsdämpfung (Zähler/ Nenner) (P-AXIS-00051/ P-AXIS-00050)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
daempfung_z | UNS32 | MAX(UNS32) > daempfung_z > 1 | T, R | ----

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
daempfung_n | UNS32 | MAX(UNS32) > daempfung_n > 1 | T, R | ----


Antriebseigenfrequenz (Zähler/ Nenner) (P-AXIS-00062/ P-AXIS-00061)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
eigenfrequenz_z | UNS32 | MAX(UNS32) > eigenfrequenz_z > 1 | T, R | 1

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
eigenfrequenz_n | UNS32 | MAX(UNS32) > eigenfrequenz_n > 1 | T, R | s


Totzeit (P-AXIS-00194)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
totzeit | UNS32 | MAX_TOTZ > totzeit > 0 | T, R | TAb

Wert MAX_TOTZ | Bedeutung
applikationsabhängig | maximal mögliche Totzeit

Die Totzeit wird als Vielfaches der Zykluszeit TAb der Geometriedatenverarbeitung des NC-Kerns definiert.


Weg bis zum Nullimpuls bei Referenzpunktfahrtsimulation(P-AXIS-00161)

TwinCAT CNC: Überblick

Parameter für Antriebe (antr.*) > Antriebstyp Simulation (antr.simu.*)

Weg bis zum Nullimpuls bei Referenzpunktfahrtsimulation
(P-AXIS-00161)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
rpf_weg_bis_nip | SGN32 | MIN(SGN32) < rpf_weg_bis_nip < MAX(SGN32) | T | 0,1µm
 |  |  | R | 0,0001°


Istwert gleich Sollwert setzen (P-AXIS-00096)

Durch diesen Parameter kann die Achssimulation durch das Filter abgeschaltet werden, indem die Achssimulation jeweils den Istwert gleich dem Sollwert setzt.

Bedingt durch die interne Bearbeitungsreihenfolge von Antriebssimulation und Lageregler wird jedoch auch in diesem Fall ein Schleppfehler angezeigt, der gleich dem in einem Interpolatortakt zurückgelegten Weg der Achse ist.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ist_gleich_soll | BOOLEAN | 0 / 1 | T, R | ----


Antriebstyp SERCOS (antr.sercos.*)

Diese Daten sind antriebstypabhängig. Sie müssen dann belegt werden, wenn diese Achse als SERCOS-Achse betrieben werden soll (siehe P-AXIS-00020).

Die SERCOS-Telegramme sind in [SERC-S2] näher beschrieben.

Unter TwinCAT muß der Anwender keine Einstellungen vornehmen, da diese Daten vom Systemmanager selbst belegt und verwaltet werden.

Mehr:

button Telegrammtyp (P-AXIS-00188)

button Ringnummer (P-AXIS-00160)

button Antriebsadresse (P-AXIS-00019)

button MDT-Offset (P-AXIS-00111)

button Zeitschlitzberechnung (P-AXIS-00063)

button Betriebsart für Geschwindigkeitsregelung (P-AXIS-00264)

button CNC-geführte Referenzpunktfahrt mit Antriebsunterstützung durchführen (P-AXIS-00386)

button Zuweisung Steuer- und Statusbits für CNC-geführte Referenzpunktfahrt (P-AXIS-00387)

button Masterdatentelegramm (antr.sercos.mdt[i].*)

button Antriebstelegrammtyp 7 (antr.sercos.at[i].*)

button Index der ID (antr.sercos.ident[i].*)

button Zeitschlitzparameter (antr.sercos.times.*)


Telegrammtyp (P-AXIS-00188)

Hier wird der Telegrammtyp zum Antrieb festgelegt (siehe [SERC-S2//Masterdatentelegramm]).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
telegramm_typ | UNS16 | 0 < telegramm_typ < 7 | T, R | ----


Ringnummer (P-AXIS-00160)

Hier wird der SERCOS Ring eingetragen, an den diese Achse angeschlossen ist. Dieser Wert muß momentan mit 0 beschrieben werden, da noch kein Mehrringbetrieb möglich ist.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ring_nr | UNS16 | 0, z.Zt nur ein Ring | T, R | ----


Antriebsadresse (P-AXIS-00019)

Die Antriebsadresse muß dem Wert der Einstellung entsprechen, die am SERCOS Slave bzw dem Antriebsgerät gemacht wurde.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
antr_adr | UNS16 | 1 < antr_adr < 254 | T, R | ----


MDT-Offset (P-AXIS-00111)

Über den MDT-Offset erfolgt die Angabe, wieviele Daten im MDT eines Antriebs übertragen werden. Für die Telegrammarten 1..6 sind die Werte der SERCOS Spezifikation 1/91 zu entnehmen. Für die Telegrammart 7 muß hier die korrekte Anzahl an Datenworten ermittelt werden. Die Angabe erfolgt in: Anzahl 16 Bit Worte * 4. Dieser Parameter muß bereits angegeben werden, die Auswertung der Daten erfolgt allerdings z. Zt. noch nicht.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mdt_offset | UNS16 | 0 < mdt_offset < 65535 | T, R | ----


Zeitschlitzberechnung (P-AXIS-00063)

Dieser Eintrag legt fest, ob eine Zeitschlitzberechnung durchgeführt wird, oder die in der Achsmaschinendaten-Liste angegebenen Werte direkt verwendet werden. Mögliche Einstellungen sind:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
eval_calc_slot | UNS16 | 0, 1, 2 | T, R | ----

0 | Parameter werden berechnet
1 | Parameter werden aus MDS-Liste entnommen
2 | Momentan nicht verwendet

Die Gültigkeit des Parameters P-AXIS-00063 hängt von der Belegung des Parameters P-STUP-00005 ( [STUP] ) ab.


Betriebsart für Geschwindigkeitsregelung (P-AXIS-00264)

Dieser Parameter legt die gewünschte Betriebsart beim Umschalten auf Geschwindigkeitsregelung fest.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
op_mode_for_velocity_control | UNS16 | 0 < op_mode_for_velocity_control < 3 | R | ----

0 | Hauptbetriebsart S-0-0032
1 | Nebenbetriebsart 1, S-0-0033
2 | Nebenbetriebsart 2, S-0-0034
3 | Nebenbetriebsart 3, S-0-0035


CNC-geführte Referenzpunktfahrt mit Antriebsunterstützung durchführen (P-AXIS-00386)

Standardmässig wird für SERCOS-Antriebe eine CNC-geführte Referenzpunktfahrt nur in der Steuerung durchgeführt, die Lageistwerte im Antriebsregler werden dabei nicht verändert.

Wenn der Antrieb das SERCOS-Kommando S-0-146 (CNC-geführte Referenzpunktfahrt) unterstützt, kann mit diesem Parameter aktiviert werden, dass bei einer CNC-geführten Referenzpunktfahrt das Kommando S-0-146 verwendet wird. Der Vorteil dieser Methode ist, dass nach erfolgter Referenzpunktfahrt auch die antriebsinternen Lagedaten einen Referenzbezug haben, so dass z. B. die antriebsinterne Softwareenschalterüberwachung verwendet werden kann.

Als Referenzposition wird der Achsparameter P-AXIS-00152 verwendet. Dieser wird während der Referenzpunktfahrt an den Antrieb übertragen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
drive_supports_cnc_homing | BOOLEAN | 0 / 1 | T, R | ----

Dieser Parameter wird aktuell nicht für Spindeln unterstützt.

Zusätzlich zum Kommando S-0-146 muss der Antrieb noch die folgenden Kommandos unterstützen:

· S-0-171 (Verschiebung berechnen)

· S-0-172 (Verschiebung ins Referenzsystem)

· S-0-191 (Referenzbezug löschen)

Angaben hierzu entnehmen Sie bitte der Dokumentation des Antriebsherstellers.


Zuweisung Steuer- und Statusbits für CNC-geführte Referenzpunktfahrt (P-AXIS-00387)

Zur Durchführung einer CNC-geführten Referenzpunktfahrt mit Antriebsunterstützung sind je zwei Steuer- und Statusbits notwendig. Es können die Echtzeitsteuer- und statusbits verwendet werden oder alternativ Bits im Signalsteuer- bzw. Statuswort.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
cnc_homing_rt_bit_layout | UNS16 | 1 < cnc_homing_rt_bit_layout <16 | T, R | ----

In der folgenden Tabelle ist die Zuordung der Werte von P-AXIS-00387 zu den möglichen Bitbelegungen dargestellt.

Wert | Prozessdatum | Bitnummer | Bedeutung | Ident
1 | Steuerwort | Echtzeitbit 1 (S-0-301) | Referenzfreigabe | S-0-407
 |  | Echtzeitbit 2 (S-0-303) | Lagesollwert referenziert | S-0-404
 | Statuswort | Echtzeitbit 1 (S-0-305) | Referenzmarke erfasst | S-0-408
 |  | Echtzeitbit 2 (S-0-307) | Lageistwert referenziert | S-0-403
2 | Signalsteuerwort | Bit 0 (S-0-27[0]) | Referenzfreigabe | S-0-407
 |  | Bit 1 (S-0-27[1]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 0 (S-0-26[0]) | Referenzmarke erfasst | S-0-408
 |  | Bit 1 (S-0-26[1]) | Lageistwert referenziert | S-0-403
3 | Signalsteuerwort | Bit 1 (S-0-27[1]) | Referenzfreigabe | S-0-407
 |  | Bit 2 (S-0-27[2]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 1 (S-0-26[1]) | Referenzmarke erfasst | S-0-408
 |  | Bit 2 (S-0-26[2]) | Lageistwert referenziert | S-0-403
4 | Signalsteuerwort | Bit 2 (S-0-27[2]) | Referenzfreigabe | S-0-407
 |  | Bit 3 (S-0-27[3]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 2 (S-0-26[2]) | Referenzmarke erfasst | S-0-408
 |  | Bit 3 (S-0-26[3]) | Lageistwert referenziert | S-0-403
5 | Signalsteuerwort | Bit 3 (S-0-27[3]) | Referenzfreigabe | S-0-407
 |  | Bit 4 (S-0-27[4]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 3 (S-0-26[3]) | Referenzmarke erfasst | S-0-408
 |  | Bit 4 (S-0-26[4]) | Lageistwert referenziert | S-0-403
6 | Signalsteuerwort | Bit 4 (S-0-27[4]) | Referenzfreigabe | S-0-407
 |  | Bit 5 (S-0-27[5]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 4 (S-0-26[4]) | Referenzmarke erfasst | S-0-408
 |  | Bit 5 (S-0-26[5]) | Lageistwert referenziert | S-0-403
7 | Signalsteuerwort | Bit 5 (S-0-27[5]) | Referenzfreigabe | S-0-407
 |  | Bit 6 (S-0-27[6]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 5 (S-0-26[5]) | Referenzmarke erfasst | S-0-408
 |  | Bit 6 (S-0-26[6]) | Lageistwert referenziert | S-0-403
8 | Signalsteuerwort | Bit 6 (S-0-27[6]) | Referenzfreigabe | S-0-407
 |  | Bit 7 (S-0-27[7]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 6 (S-0-26[6]) | Referenzmarke erfasst | S-0-408
 |  | Bit 7 (S-0-26[7]) | Lageistwert referenziert | S-0-403
9 | Signalsteuerwort | Bit 7 (S-0-27[7]) | Referenzfreigabe | S-0-407
 |  | Bit 8 (S-0-27[8]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 7 (S-0-26[7]) | Referenzmarke erfasst | S-0-408
 |  | Bit 8 (S-0-26[8]) | Lageistwert referenziert | S-0-403
10 | Signalsteuerwort | Bit 8 (S-0-27[8]) | Referenzfreigabe | S-0-407
 |  | Bit 9 (S-0-27[9]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 8 (S-0-26[8]) | Referenzmarke erfasst | S-0-408
 |  | Bit 9 (S-0-26[9]) | Lageistwert referenziert | S-0-403
11 | Signalsteuerwort | Bit 9 (S-0-27[9]) | Referenzfreigabe | S-0-407
 |  | Bit 10 (S-0-27[10]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 9 (S-0-26[9]) | Referenzmarke erfasst | S-0-408
 |  | Bit 10 (S-0-26[10]) | Lageistwert referenziert | S-0-403
12 | Signalsteuerwort | Bit 10 (S-0-27[10]) | Referenzfreigabe | S-0-407
 |  | Bit 11 (S-0-27[11]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 10 (S-0-26[10]) | Referenzmarke erfasst | S-0-408
 |  | Bit 11 (S-0-26[11]) | Lageistwert referenziert | S-0-403
13 | Signalsteuerwort | Bit 11 (S-0-27[11]) | Referenzfreigabe | S-0-407
 |  | Bit 12 (S-0-27[1]2) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 11 (S-0-26[11]) | Referenzmarke erfasst | S-0-408
 |  | Bit 12 (S-0-26[1]2) | Lageistwert referenziert | S-0-403
14 | Signalsteuerwort | Bit 12 (S-0-27[12]) | Referenzfreigabe | S-0-407
 |  | Bit 13 (S-0-27[13]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 12 (S-0-26[12]) | Referenzmarke erfasst | S-0-408
 |  | Bit 13 (S-0-26[13]) | Lageistwert referenziert | S-0-403
15 | Signalsteuerwort | Bit 13 (S-0-27[13]) | Referenzfreigabe | S-0-407
 |  | Bit 14 (S-0-27[1]4) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 13 (S-0-26[13]) | Referenzmarke erfasst | S-0-408
 |  | Bit 14 (S-0-26[14]) | Lageistwert referenziert | S-0-403
16 | Signalsteuerwort | Bit 14 (S-0-27[14]) | Referenzfreigabe | S-0-407
 |  | Bit 15 (S-0-27[15]) | Lagesollwert referenziert | S-0-404
 | Signalstatuswort | Bit 14 (S-0-26[14]) | Referenzmarke erfasst | S-0-408
 |  | Bit 15 (S-0-26[15]) | Lageistwert referenziert | S-0-403

Wenn die Steuer und Statusbits in den Signalsteuer- und Statusworten übertragen werden sollen, sind diese in den zyklischen Prozessdaten zu konfigurieren, andernfalls wird eine Fehlermeldung mit der Fehlernummer 70295 ausgegeben.


Masterdatentelegramm (antr.sercos.mdt[i].*)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mdt[i] | UNS16 | 0 < mdt[i] < MAX(UNS16) | T, R | ----
i | UNS16 | 0 ... [MAX_ID_ANZ - 1]

Wert MAX_ID_ANZ | Bedeutung
8 | Telegrammgröße für SERCOS-Telegramme

Mehr:

button MDT-Identnummer (P-AXIS-00090)

button Länge der ID (P-AXIS-00088)

button Referenzierung zur NC-internen Nomenklatur (P-AXIS-00132)


MDT-Identnummer (P-AXIS-00090)

Mit dem Parameter ident_nr wird die SERCOS-Identnummer eines Telegrammeintrags definiert. Es wird die Sequenz im MDT-Telegramm festgelegt

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ident_nr | UNS16 | gemäß SERCOS-Spezifikation + Erw. | T, R | ----


TwinCAT CNC: Überblick

Parameter für Antriebe (antr.*) > Antriebstyp SERCOS (antr.sercos.*) > Masterdatentelegramm (antr.sercos.mdt[i].*)

Länge der ID (P-AXIS-00088)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ident_len | UNS08 |  | T, R | Anzahl Bytes


Referenzierung zur NC-internen Nomenklatur (P-AXIS-00132)

Durch die Variable nc_ref wird der SERCOS-Identnummer eine NC-interne Bedeutung zugeordnet. Zur Zeit werden die folgenden Referenzen unterstützt:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
nc_ref | ISG_CHAR | siehe untenstehende Strings | T, R | ----

String | Bedeutung
LAGESOLL_WERT | Absoluter Lagesollwert
VB_WERT | Geschwindigkeitssollwert
A_SOLL_WERT | Beschleunigungssollwert
MOMENT_SOLL_WERT | Momentensollwert
BSPLINE_VB_KOEFFIZIENT | Feininterpolation Bspline Koeff. 1
BSPLINE_A_KOEFFIZIENT | Feininterpolation Bspline Koeff. 2
BSPLINE_R_KOEFFIZIENT | Feininterpolation Bspline Koeff. 3
LR_OUT_1_SGN32 | Bin. Ausgabedaten 1
LR_OUT_2_SGN32 | Bin. Ausgabedaten 2
LR_OUT_3_SGN32 | Bin. Ausgabedaten 3
LR_OUT_4_SGN32 | Bin. Ausgabedaten 4


Antriebstelegrammtyp 7 (antr.sercos.at[i].*)

Hier wird der konfigurierbare Telegrammtyp Nr.7 vom Antrieb festgelegt (siehe [SERC-S2//Antriebstelegramm AT]).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
at[i] | UNS16 | 0 < at_id[i] < MAX(UNS16) | T, R | ----
i | UNS16 | 0 ... [MAX_ID_ANZ - 1]

Wert MAX_ID_ANZ | Bedeutung
8 | Telegrammgröße für SERCOS-Telegramme

Mehr:

button AT-Identnummer (P-AXIS-00089)

button Länge der ID (P-AXIS-00087)

button Referenzierung zu interner NC-Nomenklatur (P-AXIS-00131)


AT-Identnummer (P-AXIS-00089)

Mit dem Parameter ident_nr wird die SERCOS-Identnummer eines Telegrammeintrags definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ident_nr | UNS16 | antriebsabhängig | T, R | ----


Länge der ID (P-AXIS-00087)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ident_len | UNS08 | Vorgegeben durch Identnummer | T, R | Anzahl Bytes


Referenzierung zu interner NC-Nomenklatur (P-AXIS-00131)

Durch die Variable nc_ref wird der SERCOS-Identnummer eine NC-interne Bedeutung zugeordnet. Zur Zeit werden die folgenden Referenzen unterstützt:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
nc_ref | ISG_CHAR | siehe untenstehende Strings | T, R | ----

String | Bedeutung
LAGEIST_WERT | Absoluter Lageistwert
STROMIST_WERT | Stromistwert
VB_IST_WERT | Geschwindigkeitsistwert
A_IST_WERT | Beschleunigungsistwert
RUCK_IST_WERT | Ruckistwert
MOMENT_IST_WERT | Momentenistwert
SCHLEPPABSTAND | Schleppabstand
MESSWERT1 | Meßwert 1
MESSWERT2 | Meßwert 2
MESSWERT_STATUS | Meßwert Status
FEHLER_1 | Fehler 1
FEHLER_2 | Fehler 2
FEHLER_3 | Fehler 3
LR_IN_1_SGN32 | Bin. Eingangsdaten 1
LR_IN_2_SGN32 | Bin. Eingangsdaten 2
LR_IN_3_SGN32 | Bin. Eingangsdaten 3
LR_IN_4_SGN32 | Bin. Eingangsdaten 4


Index der ID (antr.sercos.ident[i].*)

Für SERCOS-Antriebe besteht die Möglichkeit während des Hochlaufs SERCOS-Idents an den Antrieb zu übertragen. Diese Idents und ihre Eigenschaften können in der Achsparameterliste definiert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ident[i] | UNS16 | 0 < ident[i] < MAX(UNS16) | T, R | ----
i | UNS16 | 0 ... [MAX_MDS_IDENT - 1]

Wert MAX_MDS_IDENT | Bedeutung
1 | Maximal mögliche Anzahl Ident-Einträge

Mehr:

button SERCOS-Ident-Nr (P-AXIS-00134)

button Länge der ID (P-AXIS-00100)

button Modifikator der ID (P-AXIS-00119)

button Phase für ID-Bearbeitung (P-AXIS-00150)

button Typ der ID (P-AXIS-00203)

button Wert der ID (P-AXIS-00235)

button ID als Liste (P-AXIS-00102)

button Dateiname (P-AXIS-00068)


SERCOS-Ident-Nr (P-AXIS-00134)

Nummer der SERCOS IDs, siehe auch [SERC-S2]

Beispiel: 32 = S-0-0032

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
nr | UNS16 | teilweise antriebsabhängig | T, R | ----


Länge der ID (P-AXIS-00100)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
laenge | UNS08 | 1, 2, 4 | T, R | Anzahl Bytes


Modifikator der ID (P-AXIS-00119)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mod | UNS08 | 0, 2 | T, R | ----

Wert | Aktion
0 | keine Aktion
2 | Ident in Antrieb schreiben


Phase für ID-Bearbeitung (P-AXIS-00150)

Mit diesem Eintrag wird festgelegt in welcher Phase die ID-Nr bearbeitet werden soll. Es werden die folgenden Werte unterstützt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
phase | UNS16 | 2, 4 | T, R | ----

Wert | Bedeutung
2 | Ident ist nur in Phase 2 zu bearbeiten
4 | Ident ist nur in Phase 4 zu bearbeiten


Typ der ID (P-AXIS-00203)

Hier wird die Art des Ident-Wertes definiert, abhängig vom definierten Typ sind die IdentWerte in unterschiedliche Einträge einzutragen. Zur Zeit werden die folgenden Typen unterstützt:

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
type | UNS08 | 1, 2, 4 | T, R | ----

Wert | Bedeutung | Ident-Wert-Eintrag
1 | Ident-Wert hat konstante Länge | ident[].wert
2 | Ident-Wert hat variable Länge | ident[].liste
4 | Ident-Wert ist eine externe Liste | Ident[].file


Wert der ID (P-AXIS-00235)

Wenn ident[].typ = 1 gesetzt ist wird hier der Wert der ID eingetragen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
wert | SGN32 | MIN(SGN32) < wert < MAX(SGN32) | T, R | ----


ID als Liste (P-AXIS-00102)

Wenn ident[].typ = 2 gesetzt ist wird hier der Listenstring eingetragen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
liste | ISG_CHAR | 0 - 64 Zeichen | T, R | ----


Dateiname (P-AXIS-00068)

Wenn ident[].typ = 4 gesetzt ist wird hier der Name der einzulesenden Datei angegeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
file | ISG_CHAR | 0  54 Zeichen | T, R | ----


Zeitschlitzparameter (antr.sercos.times.*)

In dieser Struktur können die Zeitschlitzparameter des SERCOS-Rings definiert werden (siehe auch [SERC-S2]). Diese werden bei gesetztem Parameter P-AXIS-00063 (eval_calc_slot) direkt verwendet und nicht aus dem Antrieb ausgelesen und berechnet.

Mehr:

button Sendezeitpunkt des Antriebstelegramms (P-AXIS-00180)

button Sendezeitpunkt des MDT (P-AXIS-00182)

button Zeitpunkt für das Gültigwerden der Sollwerte (P-AXIS-00183)

button Erfassung der Istwerte (P-AXIS-00184)

button Frühester Sendezeitpunkt des Antriebstelegramms (P-AXIS-00181)

button Umschaltzeitpunkt zwischen Senden und Empfangen (P-AXIS-00187)

button Zeitpunkt der Istwerterfassung (P-AXIS-00185)

button Empfängererholzeit im Slave (P-AXIS-00193)

button Verarbeitungszeit der Sollwerte (P-AXIS-00192)

button Slavekennung (P-AXIS-00173)

button Sendeerholzeit (P-AXIS-00186)


Sendezeitpunkt des Antriebstelegramms (P-AXIS-00180)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
t1 | SGN16 | MIN(SGN16) < t1 < MAX(SGN16) | T, R | μ s


Sendezeitpunkt des MDT (P-AXIS-00182)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
t2 | SGN16 | MIN(SGN16) < t2 < MAX(SGN16) | T, R | μ s


Zeitpunkt für das Gültigwerden der Sollwerte (P-AXIS-00183)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
t3 | SGN16 | MIN(SGN16) < t3 < MAX(SGN16) | T, R | μ s


Erfassung der Istwerte (P-AXIS-00184)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
t4 | SGN16 | MIN(SGN16) < t4 < MAX(SGN16) | T, R | μ s


Frühester Sendezeitpunkt des Antriebstelegramms (P-AXIS-00181)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
t1min | SGN16 | MIN(SGN16) < t1min < MAX(SGN16) | T, R | μ s


Umschaltzeitpunkt zwischen Senden und Empfangen (P-AXIS-00187)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tatmt | SGN16 | MIN(SGN16) < tatmt < MAX(SGN16) | T, R | μ s


Zeitpunkt der Istwerterfassung (P-AXIS-00185)

Frühestmöglicher Zeitpunkt für die Istwerterfassung.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
t4min | SGN16 | MIN(SGN16) < t4min < MAX(SGN16) | T, R | μ s


Empfängererholzeit im Slave (P-AXIS-00193)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tmtsy | SGN16 | MIN(SGN16) < tmrsy < MAX(SGN16) | T, R | μ s


Verarbeitungszeit der Sollwerte (P-AXIS-00192)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tmtsg | SGN16 | MIN(SGN16) < tmtsg < MAX(SGN16) | T, R | μ s


Slavekennung (P-AXIS-00173)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
slkn | SGN16 | MIN(SGN16) < slkn < MAX(SGN16) | T, R | μ s


Sendeerholzeit (P-AXIS-00186)

Sendeerholzeit bei Slaves mit mehreren Antrieben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tatat | SGN16 | MIN(SGN16) < tatat < MAX(SGN16) | T, R | μ s


Antriebstyp PROFIdrive (antr.profibus.*)

Mehr:

button Umrechnung der Lagegeberwerte (P-AXIS-00065)

button Slave-Lebenszeichengrenzwert (P-AXIS-00162)

button Aktivierung der Sollgeschwindigkeitsschnittstelle (P-AXIS-00260)

button Lesen der Absolutposition aus Antrieb (P-AXIS-00315)

button Verschiebungsfaktor für G1_XIST1 (P-AXIS-00316)

button Verschiebungsfaktor für Absolutwert in G1_XIST2 (P-AXIS-00317)

button Berechnungsmodus für Istposition (P-AXIS-00318)

button Offset zur gelesenen Absolutposition des Antriebs (P-AXIS-00341)

button Automatisches Nachführen wenn Antrieb nicht bereit (P-AXIS-00352)

button Anzahl detektierbarer Motorumdrehungen (P-AXIS-00336)

button Geschwindigkeitsbewertungsfaktor (P-AXIS-00379)


Umrechnung der Lagegeberwerte (P-AXIS-00065)

Dieser Parameter dient zur Umrechnung der auf dem Bus übertragenen Lagegeberwerte in das intern im NC-Kern verwendete Format. Er ist definiert als Zweierpotenz, durch den der Lagegeberwert dividiert wird.

Beispiel: feinaufloesung = 4: Lagegeberwert wird durch 24 = 16 dividiert.

Siehe auch PROFIDRIVE-Dokumentation Parameter P1042 ... P1045.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
feinaufloesung | UNS16 | 0 < feinaufloesung < PB_FEINAUFLOES_MAX | T, R | ----


Slave-Lebenszeichengrenzwert (P-AXIS-00162)

Grenzwert zur Überwachung des Slave-Lebenszeichens. Im PROFIDRIVE-Telegramm wird ein Lebenszeichen in Form eines Zählers übertragen, der in jedem Telegramm inkrementiert wird. Falls der im Telegramm übertragene Zählerstand nicht mit dem vom NC-Kern erwarteten Zählerstand übereinstimmt, wird ein interner Fehlerzähler um den Wert 10 erhöht, bei jeder Übereinstimmung des übertragenen Zählerstandes mit dem erwarteten Zählerstandes wird der interne Fehlerzähler um den Wert eins dekrementiert. Wenn der interne Fehlerzähler den Wert von s_ls_limit übersteigt, so wird die Fehlermeldung P-ERR-70106 (Lebenszeichen Profibus Slave ausgefallen) ausgegeben.

(Siehe auch PROFIDRIVE Profil Antriebstechnik, Abschnitt 6.3 Nutzdatensicherung)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
s_ls_limit | UNS16 | 0 < s_ls_limit < MAX(UNS16) | T, R | ----


Aktivierung der Sollgeschwindigkeitsschnittstelle (P-AXIS-00260)

Bei der Verwendung von PROFIDRIVE-Antrieben kann die Lageregelung sowohl durch die Ausgabe des Schleppfehlers (Telegramm 5) als auch durch die Ausgabe des Geschwindigkeitssollwertes erfolgen (Telegramm 3).

Standardmäßig wird bei Verwendung von Telegramm 3 die Achse im gesteuerten Betrieb betrieben, d. h. es wird nur der Drehzahlsollwert des Interpolators ausgegeben, es findet keine Lageregelung statt. Um die Lageregelung durch Ausgabe des Geschwindigkeitssollwertes zu aktivieren ist dem Parameter P-AXIS-00260 der Wert 1 zuzuweisen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
velocity_command_control | BOOLEAN | 0 / 1 | T, R | ----


Lesen der Absolutposition aus Antrieb (P-AXIS-00315)

Bei PROFIDRIVE-Antrieben kann beim Steuerungshochlauf eine antriebsintern gespeicherte Position als Istposition übernommen werden. Diese Funktionalität wird mit P-AXIS-00315 aktiviert. Nach erfolgreichem Lesen der Absolutposition wird die Achse als referenziert betrachtet.

Das Anfordern der Absolutposition erfolgt bei:

· Steuerungshochlauf

· Nach Rücksetzen eines Geberfehlers

· Bei Deaktivierung der Funktion "Parkender Geber"

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
read_abs_pos_from_drive | BOOLEAN | 0 / 1 | T, R | ----


Verschiebungsfaktor für G1_XIST1 (P-AXIS-00316)

Wenn Parameter P-AXIS-00315 mit 1 belegt ist, muss in diesem Parameter (P-AXIS-00316) der Verschiebungsfaktor für G1_XIST1 eingetragen werden. Es ist der Wert des Antriebsparameters P1042 einzutragen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
p1042 | SGN16 | 0 24 | T, R | ----


Verschiebungsfaktor für Absolutwert in G1_XIST2 (P-AXIS-00317)

Wenn Parameter P-AXIS-00315 mit 1 belegt ist, muss in diesem Parameter (P-AXIS-00317) der Verschiebungsfaktor für den Absolutwert in G1_XIST2 eingetragen werden. Es ist der Wert des Antriebsparameters P1043 einzutragen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
p1043 | SGN16 | 0 24 | T, R | ----


Berechnungsmodus für Istposition (P-AXIS-00318)

Wenn Parameter P-AXIS-00315 mit 1 belegt ist, muss in diesem Parameter (P-AXIS-00318) angegeben werden wie die Istposition zu berechnen ist. Hierzu gibt es zwei Modis.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
read_abs_pos_mode | ISG_CHAR | DRIVE_POS, COMBINED | T, R | ----

String (Mode) | Bedeutung
DRIVE_POS | Die vom Antrieb übertragene Absolutposition wird nach gegebenenfalls erfolgter Formatanpassung als Istposition übernommen (Default).
COMBINED | Die Bits 31 ... p1042 werden aus der vom Antrieb gelieferten Absolutposition übernommen, die Bits 0 ... p1042  1 werden aus G1_XIST1 übernommen.

Der Berechnungsmodus COMBINED darf nur dann verwendet werden, wenn der Motorgeber des Antriebes eine innerhalb einer Motorumdrehung absolute Istposition liefert.

Dies kann anhand des Antriebsparameters P979 Subindex 1 festgestellt werden. Falls der Geber eine Absolutposition innerhalb einer Umdrehung liefert, ist in diesem Parameter das Bit 1 (Bitmaske 0x02) gesetzt.

Gegebenenfalls Herstellerdokumentation konsultieren!


Offset zur gelesenen Absolutposition des Antriebs (P-AXIS-00341)

Bei jedem Lesen der Absolutposition des Antriebs (s. P-AXIS-00315) wird die Referenzposition in der Steuerung um den Offset in P-AXIS-00341 gegenüber der Antriebsposition verschoben. Dadurch kann z.B. der Nullpunkt der Achse beliebig festgelegt werden. Die resultierende Achsposition in der Steuerung berechnet sich zu:

Referenzposition (Achsposition) = Absolutposition vom Antrieb + P-AXIS-00341

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
read_abs_pos_offset | SGN32 | MIN(SGN32) < read_abs_pos_offset < MAX(SGN32) | T | 0,1 µm


Automatisches Nachführen wenn Antrieb nicht bereit (P-AXIS-00352)

Standardmässig wird die Achse automatisch nachgeführt, wenn sie nicht bereit ist. Falls dieses Verhalten nicht gewünscht ist, kann dies durch diesen Parameter abgeschaltet werden. Die Achse wird dann nur unter den folgenden Bedingungen nachgeführt:

· Die Achse ist im Fehler

· Der Lebenszeichenzähler der Achse läuft nicht

· Nachführbetrieb wurde über die HLI-Schnittstelle aktiviert (Siehe [HLI]).

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
disable_auto_tracking | BOOLEAN | 0 / 1 | T, R | ----


Anzahl detektierbarer Motorumdrehungen (P-AXIS-00336)

Mit diesem Parameter wird angegeben, wie viele Umdrehungen der im Antrieb vewendete Absolutencoder zählen kann, bevor ein Überlauf auftritt. Der durch die Softwareendschalter (P-AXIS-00177/P-AXIS-00178) definierte Verfahrbereich der Achse muss stets kleiner sein als der durch den Absolutencoder darstellbare Wertebereich, da sonst die vom Absolutencoder gelieferte Position nicht mehr eindeutig auf die mechanische Achsposition abgebildet werden kann.

Die Angabe dieses Wertes ist erforderlich, wenn der Überlauf des Absolutencoders innerhalb des Verfahrbereichs der Achse stattfinden kann. Um eine automatische Kompensation des Geberüberlaufs beim Lesen der Absolutposition durchführen zu können, muss der maximale Wertebereich des Absolutencoders, welcher durch P-AXIS-00092 * P-AXIS-00336 definiert ist, bekannt sein.

Falls der Verfahrbereich der Achse größer ist als der durch den Absolutwertgeber eindeutig darstellbare Wertebereich, wird die Fehlermeldung P-ERR-70297 ausgegeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
abs_pos_revolutions | BOOLEAN | 0 / 1 | T, R | ----

Der Parameter wird nur ausgewertet, wenn die Funktionalität Lesen der Absolutposition (siehe P-AXIS-00315) aktiviert ist.

Durch einen Wert von 0 wird die Überprüfung des Verfahrbereiches der Achse gegen den Wertebereich des Absolutencoders sowie eine Automatische Korrektur eines Encoderüberlaufs unterdrückt.

Falls ein Wertebereichsüberlauf des Absolutencoders innerhalb des Verfahrbereiches der Achse auftreten kann, muß P-AXIS-00336 verwendet werden, um eine Korrektur zu ermöglichen. Andernfalls kann abhängig von der mechanischen Achsposition, an der die Absolutposition gelesen wird, die Achsposition auf einen falschen Wert gesetzt werden.

Der in P-AXIS-00336 einzutragende Wert ist der entsprechenden Antriebsdokumentation zu entnehmen, er kann auch aus den Antriebsparametern ausgelesen werden. (P979, Subindex 5).


Geschwindigkeitsbewertungsfaktor (P-AXIS-00379)

Mit diesem Parameter wird der im Antrieb eingestellte Geschwindigkeitsbewertungsfaktor der CNC bereitgestellt.

Der Wert dieses Pameteters kann mittels eines Inbetriebnahmewerkzeuges aus dem Antrieb ausgelesen werden und ist dann in diesen Parameter einzutragen.

Bei SIMODRIVE 611-Antrieben ist dies der Parameter P880, bei SINAMICS-Antrieben ist dies P2000.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
drive_velocity_base_value | UNS32 | 1 ... MAX(UNS32) | T, R |


Antriebstyp CANopen (antr.canopen.*)

Mehr:

button Nummer des Messeinganges (EtherCAT) (P-AXIS-00295)

button Nummer des digitalen Eingangs zum Nullimpuls latchen (P-AXIS-00364)


Nummer des Messeinganges (EtherCAT) (P-AXIS-00295)

Nummer des im Antrieb als Messeingang verwendeten Digitaleinganges. Der verwendetete Digitaleingang muss auch im Antrieb als Messeingang parametriert werden, siehe auch [FCT-C4].

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
probing_input_number | UNS16 | 1, 2 | T, R | ----

Es wird empfohlen, ab CNC-Version V2.10.1505.26 alternativ den Parameter P-AXIS-00430 zu verwenden. Dieser ist allgemein gültig für alle Antriebstypen.


Nummer des digitalen Eingangs zum Nullimpuls latchen (P-AXIS-00364)

Durch diesen Parameter kann eingestellt werden, welcher der digitalen Eingänge beim Referenzieren zum Latchen des Nullimpulses verwendet werden soll.

Bei Eingabe eines ungültigen Wertes wird eine Fehlermeldung mit Nummer P-ERR-110485 ausgegeben und der Wert auf 1 korrigiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
zero_pulse_input_number | UNS16 | 1, 2 | T, R | ----


Antriebstyp DSE (antr.dse.*)

Mehr:

button Bremsensteuerung


Bremsensteuerung

Ablauf beim Öffnen der Bremse:

Ablauf beim Schließen der Bremse:

Mehr:

button Bremsöffnungsverzögerungszeit (P-AXIS-00373)

button Bremsöffnungszeit (P-AXIS-00374)

button Bremsvorauseilzeit (P-AXIS-00375)


Bremsöffnungsverzögerungszeit (P-AXIS-00373)

Mit diesem Parameter kann beim Einschalten der Regelung (z.B. per SPS mit MC_Power Enable) die Zeit eingestellt werden, nach der die Bremse geöffnet wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
brake_open_delay_time | SGN32 | 0 MAX(SGN32) | T, R | µs


Bremsöffnungszeit (P-AXIS-00374)

Mit diesem Parameter kann die Zeit eingestellt werden, die zum mechanischen Öffnen der Bremse benötigt wird. Nach Ablauf dieser Zeit ist der Antrieb bereit für die Sollwertvorgabe.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
brake_open_time | SGN32 | 0 MAX(SGN32) | T, R | µs


Bremsvorauseilzeit (P-AXIS-00375)

Mit diesem Parameter kann beim Abschalten der Regelung (z.B. per SPS mit MC_Power Disable) die Zeit eingestellt werden, die zum mechanischen Schließen der Bremse benötigt wird. Nach Ablauf dieser Zeit wird die Reglerfreigabe weggenommen.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
brake_close_premature_time | SGN32 | 0 MAX(SGN32) | T, R | µs

Bei einer vertikalen Achse ist darauf zu achten, dass die Bremsvorauseilzeit nicht zu kurz eingestellt wird, denn sonst besteht die Gefahr, dass die Achse absacken kann.


Parametrierung von Antriebsfunktionen (antr.function[i].*)

Bei der Verwendung der Funktionalität antriebstypunabhängiges Schalten von Antriebsfunktionen ([FCT-A10]) wird mit den folgenden Parametern festgelegt, wie die Antriebsfunktion im NC-Programm mit dem #DRIVE-Befehl ([PROG]) angesprochen wird.

Diese Funktionalität wird aktuell nur für die Antriebstypen SERCOS und Profidrive unterstützt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
function[i] | UNS16 | 0 < function[i] < MAX(UNS16) | ---- | ----
i | UNS16 | 0 [DRIVE_FUNC_MAX_DEF - 1]

Wert DRIVE_FUNC_MAX_DEF | Bedeutung
applikationsabhängig | Anzahl der Antriebsfunktionen

Mehr:

button Name der Antriebsfunktion im NC-Programm (P-AXIS-00396)

button Art der Kommunikation mit dem Antriebsverstärker (P-AXIS-00397)

button Name des Parameters bzw. Telegrammelementes (P-AXIS-00398)

button Datentyp des zu übertragenden Datums (P-AXIS-00399)

button Wert des Datenelementes nach Steuerungshochlauf (P-AXIS-00400)

button Umrechnung des zu übertragenden Datums (P-AXIS-00401)

button Minimal zulässiger Ausgabewert (P-AXIS-00408)

button Maximal zulässiger Ausgabewert (P-AXIS-00409)

button Schreiben von Antriebswerten über Bitmaske (P-AXIS-00429)


Name der Antriebsfunktion im NC-Programm (P-AXIS-00396)

Dieser Parameter bestimmt den Namen, unter dem die parametrierte Antriebsfunktion im NC-Programm mit dem Schlüsselwort KEY im #DRIVE-Befehl ([PROG]) angesprochen wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
id | ISG_CHAR | String mit maximal 29 Zeichen | ---- | ----

Beispiel:

Für eine Antriebsfunktion wird die ID "TORQLIMIT" definiert.

antr.function[0].id TORQLIMIT

Diese Antriebsfunktion kann im NC-Programm dann mit dem Befehl...

#DRIVE WR SYN [AX=... KEY=TORQLIMIT VAL= ]

...angesprochen werden.


Art der Kommunikation mit dem Antriebsverstärker (P-AXIS-00397)

Der Parameter legt fest, über welche Kommunikationsart die Funktionalität im Antrieb angesprochen wird

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
commu | ISG_CHAR | "CYCLIC" | "ACYCLIC" | "IGNORE" | ---- | ----

String | Bedeutung
CYCLIC | Die Antriebsfunktion wird durch ein im zyklischen Antriebstelegramm konfiguriertes Telegrammelement geschaltet. Der Name des Telegrammelementes ist hierbei im Parameter P-AXIS-00398 zu parametrieren.
ACYCLIC | Die Antriebsfunktion wird durch Schreiben eines Antriebsparameters über den Parameterkanal angesprochen. Der Name des Telegrammelementes ist hierbei im Parameter P-AXIS-00398 zu parametrieren.
IGNORE | Es wird kein Wert zum Antrieb übertragen.


Name des Parameters bzw. Telegrammelementes (P-AXIS-00398)

Dieser Parameter legt fest, welcher Antriebsparameter bzw. welches Telegrammelement des zyklischen Telegrammes zum Schalten der Antriebsfunktion verwendet werden soll.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
wr_ident[j] | ISG_CHAR | String mit maximal 29 Zeichen | ---- | ----

Abhängig von der zu schaltenden Antriebsfunktion können maximal 2 Idents (j=0 / 1) gesetzt werden.

Beispiel:

Für einen SERCOS-Antrieb wird die Drehmomentgrenze durch Schreiben des Parameters S-0-92 gesetzt:

antr.function[0].wr_ident[0] S-0-92


Datentyp des zu übertragenden Datums (P-AXIS-00399)

Mit diesem Parameter wird der Datentyp des Antriebsparameters bzw. des Telegrammelementes des zyklischen Telegrammes, das zum Schalten der Antriebsfunktion verwendet werden soll, festgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
data_type | ISG_CHAR | siehe untenstehende Strings | ---- | ----

String | Bedeutung
SGN16 | Vorzeichenbehaftete 16 Bit Ganzzahl.
SGN32 | Vorzeichenbehaftete 32 Bit Ganzzahl.
BITARRAY_16 | Bitleiste 16 Bit.
BITARRAY_32 | Bitleiste 32 Bit.


Wert des Datenelementes nach Steuerungshochlauf (P-AXIS-00400)

Mit diesem Parameter wird der Wert des Telegrammelementes des zyklischen Telegramms nach Steuerungshochlauf festgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
startup_value | SGN32 | Wenn P-AXIS-00399 = "SGN16": MIN(SGN16) < startup_value < MAX(SGN16) Wenn P-AXIS-00399 = "SGN32": MIN(SGN32) < startup_value < MAX(SGN32) | ---- | ----

Der Parameter wird nur verwendet, wenn P-AXIS-00397 den Wert CYCLIC hat.


Umrechnung des zu übertragenden Datums (P-AXIS-00401)

Mit diesem Parameter wird festgelegt, wie der Wert vor der Übertragung an den Antrieb umgerechnet wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
scaling_type | ISG_CHAR | "UNSCALED" | "TORQUE_DRIVE_SIDE" | ---- | ----

String | Bedeutung
UNSCALED | Der Wert aus dem NC-Programm wird unskaliert ausgegeben; Umrechnungsfaktor = 1 (Default).
TORQUE_DRIVE_SIDE | Der programmierte Wert ist ein Drehmomentwert, bezogen auf die Motorwelle und wird mittels der Parameter P-AXIS-00325 , P-AXIS-00326 und P-AXIS-00392 in das Drehmomentformat des Antriebes umgerechnet. Der Umrechnungsfaktor ändert sich beim Getriebeschalten nicht. Der Umrechnungsfaktor f ist:


Minimal zulässiger Ausgabewert (P-AXIS-00408)

Mit diesem Parameter kann der minimal zulässige Ausgabewert festgelegt werden. Unterschreitet der im #DRIVE-Befehl programmierte Wert den Minimalwert, wird der an den Antrieb ausgegebene Wert automatisch auf den Minimalwert korrigiert. Dabei wird keine Fehlermeldung ausgegeben.

Ist P-AXIS-00408 kleiner als der durch P-AXIS-00399 darstellbare Minimalwert des eingestellten Datentyps, so erfolgt die Ausgabe der Fehlermeldung P-ERR-70384 und der Wert von P-AXIS-00408 wird korrigiert.

Falls P-AXIS-00409 konfiguriert ist, muss P-AXIS-00409 größer sein als P-AXIS-00408, andernfalls wird die Warnung P-ERR-70385 ausgegeben und die Werte werden getauscht.

Wenn dieser Parameter nicht konfiguriert ist, wird keine Begrenzung durchgeführt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
min_limit | REAL64 | Abhängig von P-AXIS-00399 und P-AXIS-00401 | ---- | ----


Maximal zulässiger Ausgabewert (P-AXIS-00409)

Mit diesem Parameter kann der maximal zulässige Ausgabewert festgelegt werden. Überschreitet der im #DRIVE-Befehl programmierte Wert den Maximalwert, wird der an den Antrieb ausgegebene Wert automatisch auf den Maximalwert korrigiert. Dabei wird keine Fehlermeldung ausgegeben.

Ist P-AXIS-00409 größer als der durch P-AXIS-00399 darstellbare Maximalwert des eingestellten Datentyps, so erfolgt die Ausgabe einer Fehlermeldung P-ERR-70383 und der Wert von P-AXIS-00409 wird korrigiert.

Falls P-AXIS-00408 konfiguriert ist, muss P-AXIS-00408 kleiner sein als P-AXIS-00409, andernfalls wird die Warnung P-ERR-70385 ausgegeben und die Minimal- und Maximalwerte werden getauscht.

Wenn dieser Parameter nicht konfiguriert ist, wird keine Begrenzung durchgeführt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
max_limit | REAL64 | Abhängig von P-AXIS-00399 und P-AXIS-00401 | ---- | ----


Schreiben von Antriebswerten über Bitmaske (P-AXIS-00429)

Mit diesem Parameter wird beim bitweisen Schreiben von Antriebswerten die zu setzende Bitmaske definiert.

Ist der im #DRIVE-Befehl programmierte Wert größer Null, wird die Bitmaske gesetzt, bei einem programmierten Wert von Null werden die Bits der Bitmaske aus dem zum Antrieb übertragenen Wert gelöscht.

Dieser Wert wird nur verwendet, wenn der in P-AXIS-00399 konfigurierte Datentyp den Wert BITARRAY_16 oder BITARRAY_32 hat.

Der Wert von P-AXIS-00429 muss kleiner oder gleich den durch die Parametrierung von P-AXIS-00399 festgelegten Maximalwerten sein, andernfalls wird eine Fehlermeldung P-ERR-70403 ausgegeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mask | UNS32 | Abhängig von P-AXIS-00399 : BITARRAY_16: - Bitmaske 16 Bit - 0 ... MAX(UNS16) BITARRAY_32: - Bitmaske 32 Bit - 0 ... MAX(UNS32) | ---- | ----


Parameter für den Handbetrieb (handbetrieb.*)

In dieser Struktur besteht die Möglichkeit, Parameter für den Handbetrieb zu definieren. Hier sind die achsspezifischen Handbetriebsparameter zusammengefaßt. Diese Parameter dürfen nicht verwechselt werden mit den handbetriebselementspezfischen Parametern, die in [MANU] dokumentiert sind.

Die in diesem Kapitel beschriebenen Parameter sind vom eingestellten Antriebs- und Achstyp unabhängig.

Der Handbetrieb ist momentan nur für Achsen möglich, die einem Bahninterpolator zugeordnet sind. Die Zuordnung von Achsen zu den Interpolatoren erfolgt über die Kanalparameter [CHAN].

Mehr:

button Einstellung der Defaultparameter (handbetrieb.default.*)

button Einstellung der Offsetgrenzen

button Einstellungen für das Handrad (handbetrieb.hr.*)

button Einstellungen für den Tippbetrieb (handbetrieb.tipp.*)

button Einstellungen für den Jogbetrieb (handbetrieb.jog.*)

button Handbetrieb mit paralleler Interpolation (handbetrieb.ipo.*)

button Handbetrieb ohne parallele Interpolation (handbetrieb.hb.*)


Einstellung der Defaultparameter (handbetrieb.default.*)

Mehr:

button Betriebsart (P-AXIS-00139)

button Logische Bedienelementnummer (P-AXIS-00046)


Betriebsart (P-AXIS-00139)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
operation_mode | UNS16 | 1, 2, 3 | T, R | ----

Wert | Beschreibung
1 | Handrad
2 | Continuous (kontinuierlicher Fahrbetrieb bis neuer Befehl kommt)
3 | Inkrementell (Fahrt über eine festgelegte Strecke)


Logische Bedienelementnummer (P-AXIS-00046)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
control_element | UNS16 | 0 < control_element < MAX(UNS16) | T, R | ----


Einstellung der Offsetgrenzen

Mit diesen Parametern ist es möglich den Verfahrbereich im Handbetrieb achsspezifisch festzulegen. Dieser Verfahrbereich wird als relativer Offset auf die aktuelle Interpolationsposition vorgegeben. Deshalb muß die positive Offsetgrenze größer oder gleich null festgelegt werden. Entsprechend gilt für die negative Offsetgrenze die Bedingung kleiner oder gleich null.

Mehr:

button Positive Offsetgrenze (P-AXIS-00138)

button Negative Offsetgrenze (P-AXIS-00137)


Positive Offsetgrenze (P-AXIS-00138)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
offsetgrenze_pos | SGN32 | 0 < offsetgrenze_pos < MAX(SGN32) | T | 0.1 μ m
 |  |  | R | 0.0001 °

Wenn beide Parameterwerte offsetgrenze_neg und offsetgrenze_pos den Wert 0 haben, ist die Offsetüberwachung ausgeschaltet!


Negative Offsetgrenze (P-AXIS-00137)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
offsetgrenze_neg | SGN32 | MIN(SGN32) < offsetgrenze_neg < 0 | T | 0.1 μ m
 |  |  | R | 0.0001 °

Wenn beide Parameterwerte offsetgrenze_neg und offsetgrenze_pos den Wert 0 haben, ist die Offsetüberwachung ausgeschaltet!


Einstellungen für das Handrad (handbetrieb.hr.*)

In dieser Struktur werden die Daten für die Betriebsart Handrad festgelegt.

Mehr:

button Handradauflösungen (P-AXIS-00025)

button Filterzeitkonstante (P-AXIS-00069)


Handradauflösungen (P-AXIS-00025)

Die Handradauflösungen werden in der Einheit [0.1µm/U] bei Linearachsen bzw. in der Einheit [0.0001°/U] bei Rundachsen erwartet.

Diese achsspezifische Auflösung für die Betriebsart Handrad darf nicht verwechselt werden mit der handradspezifischen Auflösung [MANU].

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
aufl[i] | REAL64 | > 0 | T | 0.1 µm/U
 |  |  | R | 0.0001 ° /U
i | UNS16 | 0 ... [HR_AUFL_MAX - 1]

Wert HR_AUFL_MAX | Bedeutung
applikationsabhängig | Anzahl der Auflösungsstufen


Filterzeitkonstante (P-AXIS-00069)

Für die eingelesenen Handradinkremente wird nach der Multiplikation mit der Handrad-auflösung eine Mittelwertbildung über "filter_zeit" Takte durchgeführt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
filter_zeit | UNS32 | 0 < filter_zeit < MAX(UNS32) | T, R | Anzahl Interpolationstakte


Einstellungen für den Tippbetrieb (handbetrieb.tipp.*)

In dieser Struktur werden die Daten für die Betriebsart Tippbetrieb festgelegt.

Mehr:

button Tippgeschwindigkeiten (P-AXIS-00077)

button Eilganggeschwindigkeit für Tippbetrieb (P-AXIS-00210)


Tippgeschwindigkeiten (P-AXIS-00077)

Die Tippgeschwindigkeiten werden in der Einheit [µm /s] bei Linearachsen bzw. in der Einheit [0.001°/s] bei Rundachsen erwartet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
geschw[i] | UNS32 | 0 < geschw[i] < P-AXIS-00212 | T | µm/s
 |  |  | R | 0.001 ° /s
i | UNS16 | 0 ... [TIPP_GESCHW_MAX - 1]

Wert TIPP_GESCHW_MAX | Bedeutung
applikationsabhängig | Anzahl der Tippgeschwindigkeitsstufen


Eilganggeschwindigkeit für Tippbetrieb (P-AXIS-00210)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_eilgang | UNS32 | 0 < vb_eilgang < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s


Einstellungen für den Jogbetrieb (handbetrieb.jog.*)

In dieser Struktur werden die Daten für die Betriebsart Jogbetrieb festgelegt.

Mehr:

button Jogschrittweiten (P-AXIS-00232)

button Joggeschwindigkeiten (P-AXIS-00076)


Jogschrittweiten (P-AXIS-00232)

Die Jogschrittweiten werden in der Einheit [0.1µm] bei Linearachsen bzw. in der Einheit [0.0001°] bei Rundachsen erwartet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
weg[i] | REAL64 | > 0 | T | 0.1 µm
 |  |  | R | 0.0001 °
i | UNS16 | 0 ... [JOG_WEG_GESCHW_MAX - 1]

Wert JOG_WEG_GESCHW_MAX | Bedeutung
applikationsabhängig | Anzahl der Jogparameterstufen


Joggeschwindigkeiten (P-AXIS-00076)

Die Joggeschwindigkeiten werden in der Einheit [µm /s] bei Linearachsen bzw. in der Einheit [0.001°/s] bei Rundachsen erwartet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
geschw[i] | UNS32 | 0 < geschw[i] < P-AXIS-00212 | T | µm/s
 |  |  | R | 0,001°/s
i | UNS16 | 0 ... [JOG_WEG_GESCHW_MAX - 1]

Wert JOG_WEG_GESCHW_MAX | Bedeutung
applikationsabhängig | Anzahl der Jogparameterstufen


Handbetrieb mit paralleler Interpolation (handbetrieb.ipo.*)

In dieser Struktur werden für den Handbetrieb mit paralleler Interpolation die zulässigen Achsdynamikparameter aufgeteilt für den Handbetrieb und die Interpolation festgelegt.

Mehr:

button Geschwindigkeitsanteil Handbetrieb (P-AXIS-00083)

button Geschwindigkeitsanteil Interpolation (P-AXIS-00095)

button Beschleunigungsanteil Handbetrieb (P-AXIS-00082)

button Beschleunigungsanteil Interpolation (P-AXIS-00094)

button Positionskorrektur


Geschwindigkeitsanteil Handbetrieb (P-AXIS-00083)

Der Geschwindigkeitsanteil des Handbetriebs an der zulässigen Achsgeschwindigkeit wird durch den Parameter "handbetrieb.ipo.hb_proz_v_max" definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
hb_proz_v_max | UNS16 | 0 ... 100 | T, R | %


Geschwindigkeitsanteil Interpolation (P-AXIS-00095)

Der Geschwindigkeitsanteil der Interpolation an der zulässigen Achsgeschwindigkeit wird durch den Parameter "handbetrieb.ipo.ipo_proz_v_max" definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ipo_proz_v_max | UNS16 | 0 ... 100 | T, R | %

P-AXIS-00083 (hb_proz_v_max) und P-AXIS-00095 (ipo_proz_v_max) müssen zusammen 100% ergeben.


Beschleunigungsanteil Handbetrieb (P-AXIS-00082)

Der Beschleunigungsanteil des Handbetriebs an der zulässigen Achsbeschleunigung wird durch den Parameter "handbetrieb.ipo.hb_proz_a_max" definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
hb_proz_a_max | UNS16 | 0 ... 100 | T, R | %


Beschleunigungsanteil Interpolation (P-AXIS-00094)

Der Beschleunigungsanteil der Interpolation an der zulässigen Achsbeschleunigung wird durch den Parameter "handbetrieb.ipo.ipo_proz_a_max" definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ipo_proz_a_max | UNS16 | 0 ... 100 | T, R | %

P-AXIS-00082 (hb_proz_a_max) und P-AXIS-00094 (ipo_proz_a_max) müssen zusammen 100% ergeben.


Positionskorrektur

In manchen Applikationen wird die Handbetriebsschnittstelle zur Positionskorrektur eingesetzt. Im allgemeinen müssen dann auch Geschwindigkeiten und Beschleunigungen eingestellt werden können, die grösser sind als die Maximalwerte. Die Einstellung gesonderter Dynamikwerte für den Handbetrieb ist über die folgenden Parameter möglich.

Mehr:

button Geschwindigkeit Handbetrieb bei Positionskorrektur (P-AXIS-00365)

button Beschleunigung Handbetrieb bei Positionskorrektur (P-AXIS-00366)


Geschwindigkeit Handbetrieb bei Positionskorrektur (P-AXIS-00365)

Die wirksame Geschwindigkeit des Handbetriebs bei Einsatz in einer Positionskorrektur wird über den Parameter "handbetrieb.ipo.hb_v_max_track" festgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
hb_v_max_track | UNS32 | 0 < hb_v_max_track < SLOPE_VB_MAX | T | µm/s
 |  |  | R | 0.001 ° /s

Wert SLOPE_VB_MAX | Bedeutung
applikationsabhängig | Vorgabe der maximalen Achsgeschwindigkeit (Plausibilitätsgrenze)


Beschleunigung Handbetrieb bei Positionskorrektur (P-AXIS-00366)

Die wirksame Beschleunigung des Handbetriebs bei Einsatz in einer Positionskorrektur wird über den Parameter "handbetrieb.ipo.hb_a_max_track" festgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
hb_a_max_track | UNS32 | 0 < hb_a_max_track < SLOPE_BESCHL_MAX | T | mm/s2
 |  |  | R | °/s2

Wert SLOPE_BESCHL_MAX | Bedeutung
applikationsabhängig | Vorgabe der maximalen Achsbeschleunigung (Plausibilitätsgrenze)

Es erfolgt keine Begrenzung der Parameterwerte auf die zulässigen maximalen Geschwindigkeiten P-AXIS-00212 und Beschleunigungen P-AXIS-00008 .


Handbetrieb ohne parallele Interpolation (handbetrieb.hb.*)

In dieser Struktur werden für den Handbetrieb ohne parallele Interpolation die zulässigen Achsdynamikparameter festgelegt.

Mehr:

button Maximale Geschwindigkeit (P-AXIS-00213)

button Maximale Beschleunigung (P-AXIS-00009)

button Feedholdbeschleunigung (P-AXIS-00259)

button Rampenzeit bei Maximalbeschleunigung (P-AXIS-00359)

button Rampenzeit bei Feedhold (P-AXIS-00360)


Maximale Geschwindigkeit (P-AXIS-00213)

Die maximale Geschwindigkeit für den Handbetrieb wird mit diesem Parameter definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vb_max | UNS32 | 0 < vb_max < P-AXIS-00212 | T | µm/s
 |  |  | R | 0.001 ° /s


Maximale Beschleunigung (P-AXIS-00009)

Die maximale Beschleunigung für den Handbetrieb wird mit diesem Parameter definiert.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_max | UNS32 | 0 < a_max < P-AXIS-00008 | T | mm/s2
 |  |  | R | °/s2


Feedholdbeschleunigung (P-AXIS-00259)

Für den Handbetrieb wird mit diesem Parameter die Beschleunigung bei aktivem Feedhold festgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
a_feedh | UNS32 | 0 < a_feedh < P-AXIS-00008 | T | mm/s2
 |  |  | R | °/s2


Rampenzeit bei Maximalbeschleunigung (P-AXIS-00359)

Für den Handbetrieb wird mit diesem Parameter die Rampenzeit bei Normalbetrieb festgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr | UNS32 | P-AXIS-00201 < tr < MAX(UNS32) | T, R | µs


Rampenzeit bei Feedhold (P-AXIS-00360)

Für den Handbetrieb wird mit diesem Parameter die Rampenzeit bei aktivem Feedhold festgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
tr_feedh | UNS32 | P-AXIS-00201 < tr_feedh < MAX(UNS32) | T, R | µs

P-AXIS-00259 und P-AXIS-00360 werden nur verwendet, wenn in der Kanalparameterliste der Parameter P-CHAN-00097 mit 1 belegt ist.


Parameter für die Messimulation (meas_simu.*)

In dieser Struktur sind die achsspezifischen Messimulationsparameter zusammengefaßt.

Mehr:

button Meßmethoden (P-AXIS-00112)

button Einstellung der Messposition bei Simulation


Meßmethoden (P-AXIS-00112)

Mit diesem Parameter wird die Methode zur Berechnung des Meßsignalortes festgelegt. Der Meßsignalort ist die Position, bei deren Erreichen das Meßsignal ausgegeben wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
meas_simu_mode | SGN32 | 1, 2, 3 | T, R | ----

1 | Meßsignal wird nach erreichen einer vorgegebenen Achsposition gesetzt. (Interpretationsart : Achsposition)
2 | Meßsignal wird nach erreichen einer Achsposition abzüglich einer vorgegebenen Teilstrecke gesetzt. (Interpretationsart : Teilstrecke )
3 | Meßsignal wird nach erreichen eines vorgegebenen Zählerstandes gesetzt (Interpretationsart : Zählerstand).


Einstellung der Messposition bei Simulation

Mehr:

button Einstellung Parameter 1 (P-AXIS-00145)

button Einstellung Parameter 2 (P-AXIS-00146)

button Einstellung Parameter 3 (P-AXIS-00147)

button Einstellung Parameter 4 (P-AXIS-00148)

button Einstellung Parameter 5 (P-AXIS-00149)


Einstellung Parameter 1 (P-AXIS-00145)

Die Meßsimulation benötigt entsprechend der gewählten Methode meas_simu_mode einen vorgegebenen Zahlenwert (Achsposition, Teilstrecke, Zählerstand) als Sollbedingung zur Erzeugung des Meßsignales.

Dieser vorgegebene Zahlenwert wird in parameter1 in der entsprechenden Dimension abgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
parameter1 | SGN32 | offsetgrenze_pos < MAX(SGN32) | T, R | ----

Dimension von Parameter 1 in Abhängigkeit vom gewählten Mode :

meas_simu_mode -Wert | 1 | 2 | 3
parameter1 -Dimension | 0.1 μ m bzw. 0,0001° | ------- | %


Einstellung Parameter 2 (P-AXIS-00146)

Unbesetzte Hilfsvariable. Zur Zeit keine Bedeutung.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
parameter2 | SGN32 | ---- | ---- | ----


Einstellung Parameter 3 (P-AXIS-00147)

Unbesetzte Hilfsvariable. Zur Zeit keine Bedeutung.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
parameter3 | SGN32 | ---- | ---- | ----


Einstellung Parameter 4 (P-AXIS-00148)

Unbesetzte Hilfsvariable. Zur Zeit keine Bedeutung.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
parameter4 | SGN32 | ---- | ---- | ----


Einstellung Parameter 5 (P-AXIS-00149)

Unbesetzte Hilfsvariable. Zur Zeit keine Bedeutung.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
parameter5 | SGN32 | ---- | ---- | ----


Parameter für die achsspez. Filter- Funktion (filter[i].*)

In dieser Struktur werden die Parameter für den achsspezifischen Filter festgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
filter[i] | UNS16 | 0 < filter[i] < MAX(UNS16) | T, R | ----
i | UNS16 | 0 [AXIS_FILTER_MAX - 1]

Wert AXIS_FILTER_MAX | Bedeutung
applikationsabhängig | Anzahl unterschiedlicher Filter

Mehr:

button Filter - Ordnung (P-AXIS-00140)

button Filter - Charakteristik (P-AXIS-00153)

button Filter - Typ (P-AXIS-00204)

button Filter - Parameter (P-AXIS-00067)

button Filter - Parameter (P-AXIS-00080)

button Filter - Parameter (P-AXIS-00164)

button Filter - Aktivierung (P-AXIS-00319)

button Filterzeitkonstante (P-AXIS-00357)


Filter - Ordnung (P-AXIS-00140)

Mit diesem Wert wird die Ordnung des Filters angegeben. Weiter ist der Parameter P-AXIS-00140 ein Wert, mit dem der Abfall des Frequenzganges (Abfall = - order x 20 dB/ Dekade.) ausgedrückt wird.

Der Wert order = 0 bedeutet : kein Filter zugeschaltet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
order | UNS32 | 0 < order < 4 | T, R | ----


Filter - Charakteristik (P-AXIS-00153)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
prototype | UNS32 | 1, 2, 3, 4, 5 | T, R | ----

1 | Filtercharakteristik Critical damping
2 | Filtercharakteristik Butterworth
3 | Filtercharakteristik Bessel
4 | Filter charakteristik Chebychev
5 | Filter charakteristik HSC


Filter - Typ (P-AXIS-00204)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
type | UNS32 | 1, 2, 3, 4, 5 | T, R | ----

1 | Tiefpass - Filter
2 | Hochpass - Filter
3 | Bandpass - Filter
4 | Bandstop - Filter
5 | Allpass - Filter


Filter - Parameter (P-AXIS-00067)

Tiefpass : Anfang des Frequenzsperrbereiches (idealer Filter)

Hochpass : Anfang des Frequenzdurchlaßbereiches (idealer Filter)

Bandpass- und Bandstopfilter : Mittlere Frequenz

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
fg_f0 | REAL64 | 0 < fg_f0 < 0.5/TAb (mit TAb ->NC-Zykluszeit) | T, R | ----


Filter - Parameter (P-AXIS-00080)

Angabe vom Kehrwert der Bandbreite für die Filtertypen Bandpass und Bandstop.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
guete | REAL64 | 1 < guete < 10 | T, R | ----


Filter - Parameter (P-AXIS-00164)

Mit diesem Zahlenwert wird der Signalanteil festgelegt, der durch den Filter geführt wird.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
share_percent | REAL64 | 0 < share_percent < 100 | T, R | ----


Filter - Aktivierung (P-AXIS-00319)

Mit diesem Wert wird die Filterfunktion ein- bzw. ausgeschaltet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
enable | BOOLEAN | 0 / 1 | T, R | ----

0 | Filter ist ausgeschaltet
1 | Filter ist eingeschaltet

Die Filterfunktion wird nur bei Filterordnung > 0 aktiviert (P-AXIS-00140).


Filterzeitkonstante (P-AXIS-00357)

Der Parameter definiert die Zeitkonstante des PT1-Filters.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
time_constant | UNS32 | TAb ≤ time_constant ≤ MAX(UNS32) (mit TAb ->NC-Zykluszeit) | T, R, S | µs


Istwerttransformation (trafo.actual_pos.*)

In dieser Struktur werden die Parameter für die achsspezifische Istwerttransformation festgelegt.

Mehr:

button Aktivierung (P-AXIS-00368)

button Transformations - ID (P-AXIS-00369)

button Transformationsparameter (P-AXIS-00370)

button Zusätzliche Eingangsachsen (P-AXIS-00371)


Aktivierung (P-AXIS-00368)

Mit diesem Steuerflag wird die Transformation ein- bzw. ausgeschaltet. Ein/Ausschalten ist nur während Steuerungshochlauf möglich.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
enable | BOOLEAN | 0: Transformation ist ausgeschaltet (Default) 1: Transformation ist eingeschaltet | T, R | ----


Transformations - ID (P-AXIS-00369)

Mit diesem Wert wird die ID der Transformation angegeben.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
id | UNS32 | 0: Keine Funktion (Default) 1: Zweiachsige Winkel-Stablängentransformation Variante 1 (*) 2: Zweiachsige Winkel-Stablängentransformation Variante 2 (*) 3: Einachsige Winkel-Stablängentransformation Variante 3 (*) | T, R | ----

(*) gemäß FS421


Transformationsparameter (P-AXIS-00370)

Durch diesen Parameter wird die durch P-AXIS-00369 ausgewählte Transformation parametriert. Die Bedeutung der Parameter ist abhängig von der jeweiligen Transformations-ID.

Variablenname | Typ | Bedeutung | Achstyp | Dimension
param[i] | REAL64 | Abhängig von Transformations-ID | T, R | ----


Zusätzliche Eingangsachsen (P-AXIS-00371)

Bestimmte Transformationstypen, z.B. Transformations-Id 1 und 2, benötigen als Eingangsgröße nicht nur die aktuelle Istposition der zugehörigen Achse, sondern zusätzlich noch die Istpositionen von weiteren Achsen. Durch diesen Parameter können zusätzliche Achsen anhand ihrer Achsummer als Eingangsachsen definiert werden.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
input[i].nr | UNS16 | 0 < nr < MAX(UNS16) | T, R | ----


Sollwerttransformation (trafo.command_pos.*)

In dieser Struktur werden die Parameter für die achsspezifische Sollwerttransformation festgelegt.

Mehr:

button Aktivierung (P-AXIS-00380)

button Transformations - ID (P-AXIS-00381)

button Transformationsparameter (P-AXIS-00382)


Aktivierung (P-AXIS-00380)

Mit diesem Steuerflag wird die Transformation ein- bzw. ausgeschaltet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
enable | BOOLEAN | 0: Transformation ist ausgeschaltet (Default) 1: Transformation ist eingeschaltet | R | ----


Transformations - ID (P-AXIS-00381)

Mit diesem Wert wird die ID der Transformation angegeben. Aktuell stehen die folgenden Transformationsfunktionen zur Verfügung.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
id | UNS32 | 0, 1, 2, 3, 4 | R | ----

0 | Keine Funktion (Default)
1 | e-Funktion, Abbildung Linearbewegung in Drehbewegung
2 | Schubkurbel-Funktion , Abbildung Linearbewegung in Drehbewegung
3 | - Exzenter-Funktion (in Vorbereitung)
4 | Kurbel-Kinematik, Abbildung Drehbewegung in Linearbewegung


Transformationsparameter (P-AXIS-00382)

Variablenname

Typ

Bedeutung (abhängig von Transformations-ID)

Achstyp

Dimension

param[i]

REAL64

ID 1

param[0] | h (*)
param[1] | k0 (*)
param[2] | k1 (*)
param[3] | k2 (*)

(*siehe Funktionsgleichungen)

ID 2:

param[0] | Kurbellänge l1
param[1] | Pleuellänge l2
param[2] | Exzentrizität e
param[3] | Lösungbereich Motorwinkel ϕ M 0:.0..180 Grad 1: 180..360 Grad
param[4] | Bewegungsrichtung Linearachse 0: positiv 1: negativ

ID 4:

param[0] | la Abstand 1 Gelenkpunkte
param[1] | lb Abstand 2 Gelenkpunkte
param[2] | Kurbellänge lh
param[3] | Offset Nullstellung Linearachse

R

----

ID 1: e- Funktion

Beispiel:

trafo.command_pos.param[0] 10000

trafo.command_pos.param[1] 1.0

trafo.command_pos.param[2] 2.0

trafo.command_pos.param[3] 1.0

ID2: Schubkurbel

Beispiel:

trafo.command_pos.param[0] 1000000

trafo.command_pos.param[1] 3000000

trafo.command_pos.param[2] 0

trafo.command_pos.param[3] 0

ID4: Kurbel mit Anlenkung durch Linearachse

Beispiel:

trafo.command_pos.param[0] 1000000

trafo.command_pos.param[1] 1410000

trafo.command_pos.param[2] 1000000

trafo.command_pos.param[3] 0

In Nullstellung der Kinematik (β=0) liefert die Abbildung für ls die Position 0. Wenn notwendig kann über param[3] ein Offset zu dieser Position eingestellt werden.


Wegabhängige Dynamikgewichtung (dynamic_weighting.*)

Bei bestimmten Technologien (z.B. "Punching") ist es zur Minimierung der Maschinenanregungen erforderlich, alle Dynamikgrenzwerte (Geschwindigkeit, Beschleunigung und Ruck) bei Eilgangbewegungen abhängig vom Relativfahrweg der an der Bahnbewegung beteiligten Achsen zu gewichten.

Die Dynamikgewichtung wird über P-AXIS-00431 aktiviert und ist nur bei inaktiver kanalspezifischer wegabhängiger Gewichtung wirksam (P-CHAN-00190).

Eine im NC Programm programmierte Gewichtung über G129 überschreibt die Werte der wegabhängigen Gewichtungsfunktion!

Mehr:

button Aktivierung (P-AXIS-00431)

button Gewichtungstabelle (dynamic_weighting.param[i].*)


Aktivierung (P-AXIS-00431)

Mit diesem Steuerflag wird die automatische wegabhängige Gewichtung in der Achse ein- bzw. ausgeschaltet.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
enable | BOOLEAN | 0: Gewichtung ist in der Achse ausgeschaltet (Default) 1: Gewichtung ist in der Achse eingeschaltet | T, R | ----


Gewichtungstabelle (dynamic_weighting.param[i].*)

Diese Struktur besteht aus den Elementen Weggrenze und den zugeordneten Eilganggewichtungsfaktoren für Geschwindigkeit, Beschleunigung und Rampenzeit.

Variablenname | Typ | Index | Dimension
param[i] |  | i = 0 .. [MAX_NBR_DYN_WEIGHT_AXIS - 1] | ----

Wert MAX_NBR_DYN_WEIGHT_AXIS | Bedeutung
8 (applikationsabhängig) | Maximale Anzahl von Tabelleneinträgen

Folgende weitere Bedingungen müssen bei der Definition der Tabelleneinträge beachtet werden:

q Der Fahrweggrenzwert in der Tabelle nimmt zu grösseren Indexwerten hin zu.

q Der Gewichtungsfaktor ist auf einen Minimalwert von 1% beschränkt. Bei der Rampenzeit ist zusätzlich die minimale Rampenzeit tr_min (P-AXIS-00201) als unterer Grenzwert zu berücksichtigen.

q Die Gewichtung ist nach oben hin bis zu den Maximalwerten vb_max (P-AXIS-00212) und a_max (P-AXIS-00008) möglich. Bei der Rampenzeit tr_grenz (P-AXIS-00200) ist die Gewichtung nach oben nicht beschränkt.

Mehr:

button Fahrweggrenze (P-AXIS-00432)

button Gewichtungsfaktor Eilganggeschwindigkeit (P-AXIS-00433)

button Gewichtungsfaktor Eilgangbeschleunigung (P-AXIS-00434)

button Gewichtungsfaktor Eilgangrampenzeit (P-AXIS-00435)

button Tabellenbeispiel


Fahrweggrenze (P-AXIS-00432)

Über dieses Element wird die obere Weggrenze definiert, bis zu der die Gewichtungsfaktoren der aktuellen Einträge unter Index <i> wirksam sind. Es gilt folgender Zusammenhang:

 |  | i =0 | i >=1
Fahrweggrenze | Unten | 0 | path_limit[i-1]
 | Oben | path_limit[i] | path_limit[i]

Beim letzten/höchsten Index entspricht die obere Fahrweggrenze dem maximalen möglichen Relativfahrweg der Achse.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
path_limit | UNS32 | 0 < path_limit < MAX(UNS32) | T | 0.1 μ m
 |  |  | R | 0.0001°


Gewichtungsfaktor Eilganggeschwindigkeit (P-AXIS-00433)

Über dieses Element wird der Gewichtungsfaktor für die Eilganggeschwindigkeit im Element i festgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
velocity_fact | UNS32 | 10 < velocity_fact < MAX(UNS32) | T, R | 0,1 %


Gewichtungsfaktor Eilgangbeschleunigung (P-AXIS-00434)

Über dieses Element wird der Gewichtungsfaktor für die Eilgangbeschleunigung im Element i festgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
acceleration_fact | UNS32 | 10 < acceleration_fact < MAX(UNS32) | T, R | 0,1 %


Gewichtungsfaktor Eilgangrampenzeit (P-AXIS-00435)

Über dieses Element wird der Gewichtungsfaktor für die Eilgangbeschleunigung im Element i festgelegt.

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
ramp_time_fact | UNS32 | 10 < ramp_time_fact < MAX(UNS32) | T, R | 0,1 %


Tabellenbeispiel

Als Grundlage dient eine Dynamikgewichtungstabelle mit 6 Elementen:

Index | Grenzwert Fahrweg path_limit [0.1 µm] (Bereichsgrenzen) | Gewichtungsfaktor velocity_fact [0.1%] | Gewichtungsfaktor acceleration_fact [0.1%] | Gewichtungsfaktor ramp_time_fact [0.1%]
0 | 10000 (0-10000) | 100 | 1000 | 1000
1 | 20000 (10000-20000) | 200 | 900 | 1500
2 | 40000 (20000-40000) | 300 | 800 | 2000
3 | 80000 (40000-80000) | 400 | 700 | 3000
4 | 160000 (80000-160000) | 500 | 600 | 4000
5 | 200000000 (160000-200000000) | 1000 | 500 | 5000

Abbildung der Dynamikgewichtungstabelle auf die Achsparameterstruktur:

# Axis dependend dynamic weighting

# ================================

dynamic_weighting.enable 1 0:not active 1:active

#

dynamic_weighting.param[0].path_limit 10000 [0.1µm]

dynamic_weighting.param[0].velocity_fact 100 [0.1%]

dynamic_weighting.param[0].acceleration_fact 1000 [0.1%]

dynamic_weighting.param[0].ramp_time_fact 1000 [0.1%]

dynamic_weighting.param[1].path_limit 20000 [0.1µm]

dynamic_weighting.param[1].velocity_fact 200 [0.1%]

dynamic_weighting.param[1].acceleration_fact 900 [0.1%]

dynamic_weighting.param[1].ramp_time_fact 1500 [0.1%]

dynamic_weighting.param[2].path_limit 40000 [0.1µm]

dynamic_weighting.param[2].velocity_fact 300 [0.1%]

dynamic_weighting.param[2].acceleration_fact 800 [0.1%]

dynamic_weighting.param[2].ramp_time_fact 2000 [0.1%]

dynamic_weighting.param[3].path_limit 80000 [0.1µm]

dynamic_weighting.param[3].velocity_fact 400 [0.1%]

dynamic_weighting.param[3].acceleration_fact 700 [0.1%]

dynamic_weighting.param[3].ramp_time_fact 3000 [0.1%]

dynamic_weighting.param[4].path_limit 160000 [0.1µm]

dynamic_weighting.param[4].velocity_fact 500 [0.1%]

dynamic_weighting.param[4].acceleration_fact 600 [0.1%]

dynamic_weighting.param[4].ramp_time_fact 4000 [0.1%]

dynamic_weighting.param[5].path_limit 200000000 [0.1µm]

dynamic_weighting.param[5].velocity_fact 1000 [0.1%]

dynamic_weighting.param[5].acceleration_fact 500 [0.1%]

dynamic_weighting.param[5].ramp_time_fact 5000 [0.1%]


Parameter für Twincat System Manager (twincat.*)

Diese Struktur dient zur achsspezifischen Verbindung mit dem Twincat System über ADS Kommunikation. Hierbei wird der Zugriff auf achsspezifische Objekte ermöglicht. Die Unterstrukturen und Elemente werden von Twincat verwaltet bzw. verwendet.


Parameter, die z. Zt. nur in der Achsverwaltung genutzt werden

Mehr:

button Maximal zulässiger Beschleunigungsoverride (P-AXIS-00107)

button Virtueller Radius (P-AXIS-00222)

button Regelungstyp (P-AXIS-00163)

button Vorsteuerungsgrößen

button Applikationsabhängige lagereglerspezif. Achsperipherieelemente

button Achslistenkopf


Maximal zulässiger Beschleunigungsoverride (P-AXIS-00107)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
max_a_override | UNS16 | ---- | T, R | 0,1%


TwinCAT CNC: Überblick

Parameter, die momentan nicht verwendet werden > Parameter, die z. Zt. nur in der Achsverwaltung genutzt werden

Virtueller Radius (P-AXIS-00222)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
virtuel_rad | UNS32 | ---- | T, R | ----


TwinCAT CNC: Überblick

Parameter, die momentan nicht verwendet werden > Parameter, die z. Zt. nur in der Achsverwaltung genutzt werden

Regelungstyp (P-AXIS-00163)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
regel_typ | UNS16 | ---- | T, R | ----


TwinCAT CNC: Überblick

Parameter, die momentan nicht verwendet werden > Parameter, die z. Zt. nur in der Achsverwaltung genutzt werden

Vorsteuerungsgrößen

Mehr:

button Max. zul. Sprung im Abbau der Vorsteuerung (P-AXIS-00227)


Max. zul. Sprung im Abbau der Vorsteuerung (P-AXIS-00227)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
vs_max_sprung | SGN32 | MAX(SGN32) > vs_max_sprung | T, R | ----


Applikationsabhängige lagereglerspezif. Achsperipherieelemente

Mehr:

button Aktivierung der Modulorechnung (P-AXIS-00121)

button Nockenlänge (P-AXIS-00133)


Aktivierung der Modulorechnung (P-AXIS-00121)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
mod_rechng | BOOLEAN | 0 / 1 | T, R | ----


TwinCAT CNC: Überblick

Parameter, die momentan nicht verwendet werden > Parameter, die z. Zt. nur in der Achsverwaltung genutzt werden > Applikationsabhängige lagereglerspezif. Achsperipherieelemente

Nockenlänge (P-AXIS-00133)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
nocken_laenge | UNS32 | MAX(UNS32) > nocken_laenge > 0 | T | 0,1µm
 |  |  | R | 0,0001°


Achslistenkopf

fb_nr | Funktionsblocknummer des Moduls(BF), momentan nicht verwendet.
achs_ident | weitergehende Achsspezifikation, momentan nicht verwendet.
anzahl | Anzahl von Werten, momentan nicht verwendet.
info | Information, momentan nicht verwendet.


Parameter, die z.Zt. in der Achsverwaltung nicht genutzt werden

Mehr:

button Einstellungen für eine Paarachse

button Anzahl Driftwerte für automatische Driftwertberechnung(P-AXIS-00022)

button Toleranzbandüberwachung für Schleppabstand (P-AXIS-00171)

button Parameter für die Bahnregelung (bahnrg.*)


Einstellungen für eine Paarachse

Mehr:

button Physikalische Nummer der Paarachse (P-AXIS-00143)

button Paarachse vorhanden (P-AXIS-00142)

button Referenzpunktfahrtrichtung für Paarachse (P-AXIS-00144)

button Kennung, welche Überwachungsfunktionen aktiv sein sollen(P-AXIS-00104)


Physikalische Nummer der Paarachse (P-AXIS-00143)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
paar_ax_nr | UNS08 | MAX(UNS08) > paar_ax_nr > 0 | T, R | ----

Vorgesehen z.B. für die Handhabung von Dreh-/Schwenkgelenkantrieben.


Paarachse vorhanden (P-AXIS-00142)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
paar_achse | BOOLEAN | 0 / 1 | T, R | ----

Vorgesehen z.B. für die Handhabung von Dreh-/Schwenkgelenkantrieben.


Referenzpunktfahrtrichtung für Paarachse (P-AXIS-00144)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
paar_ref_richt | BOOLEAN | 0 / 1 | T, R | ----

Vorgesehen z.B. für die Handhabung von Dreh-/Schwenkgelenkantrieben für Referenzpunktfahrt.


Kennung, welche Überwachungsfunktionen aktiv sein sollen(P-AXIS-00104)

TwinCAT CNC: Überblick

Parameter, die momentan nicht verwendet werden > Parameter, die z.Zt. in der Achsverwaltung nicht genutzt werden > Einstellungen für eine Paarachse

Kennung, welche Überwachungsfunktionen aktiv sein sollen
(P-AXIS-00104)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
lr_ueberwach | UNS32 | MAX(UNS32) > lr_ueberwach > 0 | T, R | ----


Anzahl Driftwerte für automatische Driftwertberechnung(P-AXIS-00022)

TwinCAT CNC: Überblick

Anzahl Driftwerte für automatische Driftwertberechnung
(P-AXIS-00022)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
anz_driftwerte | UNS16 | MAX(UNS16) > anz_driftwerte > 0 | T, R | ----


Toleranzbandüberwachung für Schleppabstand (P-AXIS-00171)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
slep_toleranz | SGN16 | MAX(SGN16) > slep_toleranz > 0 | T, R | ----


Parameter für die Bahnregelung (bahnrg.*)

Mehr:

button Proportional-Faktor für Bahnregelung, Zähler (P-AXIS-00034)

button Proportional-Faktor für Bahnregelung, Nenner (P-AXIS-00035)

button Integral-Faktor für Bahnregelung, Zähler (P-AXIS-00032)

button Integral-Faktor für Bahnregelung, Nenner (P-AXIS-00033)

button Aktivierung der Bahnregelung (P-AXIS-00029)


TwinCAT CNC: Überblick

Parameter, die momentan nicht verwendet werden > Parameter, die z.Zt. in der Achsverwaltung nicht genutzt werden > Parameter für die Bahnregelung (bahnrg.*)

Proportional-Faktor für Bahnregelung, Zähler (P-AXIS-00034)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
br_p_faktor | SNG32 | ---- | T, R | ----


TwinCAT CNC: Überblick

Parameter, die momentan nicht verwendet werden > Parameter, die z.Zt. in der Achsverwaltung nicht genutzt werden > Parameter für die Bahnregelung (bahnrg.*)

Proportional-Faktor für Bahnregelung, Nenner (P-AXIS-00035)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
br_p_nenner | SNG32 | ---- | T, R | ----


TwinCAT CNC: Überblick

Parameter, die momentan nicht verwendet werden > Parameter, die z.Zt. in der Achsverwaltung nicht genutzt werden > Parameter für die Bahnregelung (bahnrg.*)

Integral-Faktor für Bahnregelung, Zähler (P-AXIS-00032)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
br_i_faktor | SNG32 | ---- | T, R | ----


TwinCAT CNC: Überblick

Parameter, die momentan nicht verwendet werden > Parameter, die z.Zt. in der Achsverwaltung nicht genutzt werden > Parameter für die Bahnregelung (bahnrg.*)

Integral-Faktor für Bahnregelung, Nenner (P-AXIS-00033)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
br_i_nenner | SNG32 | ---- | T, R | ----


Aktivierung der Bahnregelung (P-AXIS-00029)

Variablenname | Typ | erlaubter Bereich | Achstyp | Dimension
bahnregelung | BOOLEAN | 0 / 1 | T, R | ----

Industrielle Steuerungstechnik GmbH Rosenbergstrasse 28 70174 Stuttgart Germany | Suggestions and/or Corrections
 | For ISG CNC documentation
From Name ______________________ Company ______________________ Telephone: __________/____________ Telefax: __________/____________ |
 | Are there any errors in this documentation, please notify us on this sheet or via email documentation@isg-stuttgart.de
 | Suggestions for improvement are also welcome.

Suggestions and/or Corrections: